2007-11-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* smime.el (from):
	* rfc2047.el (message-posting-charset):
	* qp.el (mm-use-ultra-safe-encoding):
	* pop3.el (parse-time-months):
	* nnrss.el (mm-text-html-renderer, mm-text-html-washer-alist):
	* nnml.el (files):
	* nnheader.el (gnus-newsgroup-name, nnheader-file-coding-system)
	(jka-compr-compression-info-list, ange-ftp-path-format)
	(efs-path-regexp):
	* nndiary.el (files):
	* mml2015.el (mc-default-scheme, mc-schemes, pgg-default-user-id)
	(pgg-errors-buffer, pgg-output-buffer, epg-user-id-alist)
	(epg-digest-algorithm-alist, inhibit-redisplay)
	(password-cache-expiry):
	* mml1991.el (pgg-default-user-id, pgg-errors-buffer)
	(pgg-output-buffer, password-cache-expiry):
	* mml.el (mml-dnd-protocol-alist, ange-ftp-name-format)
	(efs-path-regexp):
	* mml-smime.el (epg-user-id-alist, epg-digest-algorithm-alist)
	(inhibit-redisplay):
	* mm-uu.el (file-name, start-point, end-point, entry)
	(gnus-newsgroup-name, gnus-newsgroup-charset):
	* mm-util.el (mm-mime-mule-charset-alist, latin-unity-coding-systems)
	(latin-unity-ucs-list):
	* mm-bodies.el (mm-uu-yenc-decode-function, mm-uu-decode-function)
	(mm-uu-binhex-decode-function):
	* message.el (gnus-message-group-art, gnus-list-identifiers, )
	(rmail-enable-mime-composing, gnus-local-organization)
	(gnus-post-method, gnus-select-method, gnus-active-hashtb)
	(gnus-read-active-file, facemenu-add-face-function)
	(facemenu-remove-face-function, gnus-article-decoded-p)
	(tool-bar-mode):
	* mail-source.el (display-time-mail-function):
	* gnus-util.el (nnmail-pathname-coding-system)
	(nnmail-active-file-coding-system, gnus-emphasize-whitespace-regexp)
	(gnus-original-article-buffer, gnus-user-agent)
	(rmail-default-rmail-file, mm-text-coding-system, tool-bar-mode)
	(xemacs-codename, sxemacs-codename, emacs-program-version):
	* gnus-sum.el (tool-bar-mode, gnus-tmp-header, number):
	* gnus-start.el (gnus-agent-covered-methods)
	(gnus-agent-file-loading-local, gnus-agent-file-loading-cache)
	(gnus-current-headers, gnus-thread-indent-array, gnus-newsgroup-name)
	(gnus-newsgroup-headers, gnus-group-list-mode)
	(gnus-group-mark-positions, gnus-newsgroup-data)
	(gnus-newsgroup-unreads, nnoo-state-alist)
	(gnus-current-select-method, mail-sources)
	(nnmail-scan-directory-mail-source-once, nnmail-split-history)
	(nnmail-spool-file, gnus-cache-active-hashtb):
	* gnus-mh.el (mh-lib-progs):
	* gnus-ems.el (gnus-tmp-unread, gnus-tmp-replied)
	(gnus-tmp-score-char, gnus-tmp-indentation, gnus-tmp-opening-bracket)
	(gnus-tmp-lines, gnus-tmp-name, gnus-tmp-closing-bracket)
	(gnus-tmp-subject-or-nil, gnus-check-before-posting, gnus-mouse-face)
	(gnus-group-buffer):
	* gnus-cite.el (font-lock-defaults-computed, font-lock-keywords)
	(font-lock-set-defaults):
	* gnus-art.el (tool-bar-map, w3m-minor-mode-map)
	(gnus-face-properties-alist, charset, gnus-summary-article-menu)
	(gnus-summary-post-menu, total-parts, type, condition, length):
	* gnus-agent.el (gnus-agent-read-agentview):
	* flow-fill.el (show-trailing-whitespace):
	* gnus-group.el (tool-bar-mode, nnrss-group-alist): Remove unnecessary
	eval-and-compile wrappers for byte compiler pacifiers.

	* mm-view.el (mm-inline-image-xemacs): Only do something for XEmacs.
	(mm-display-inline-fontify): Check for featurep 'xemacs not
	extent-list.

	* mm-decode.el (mm-display-external): Check for featurep 'xemacs not
	itimer-list.
	(mm-create-image-xemacs): Only do something for XEmacs.
	(mm-image-fit-p): Check for featurep 'xemacs not glyph-width.

	* mm-util.el (mm-find-buffer-file-coding-system): Add check for XEmacs.

	* gnus-registry.el (gnus-adaptive-word-syntax-table):
	* gnus-fun.el (gnus-face-properties-alist): Pacify byte compiler.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body):
	* gnus-demon.el (gnus-demon):
	* gnus-uu.el (gnus-uu-default-view-rules): Fix typos in docstrings.

2007-11-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-citation-line-function)
	(message-insert-formatted-citation-line): Fix spelling of
	`message-insert-formated-citation-line'.

2007-11-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-highlight): Mark as risky local variable.

2007-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnml.el (nnml-request-rename-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-group.el (gnus-group-rename-group): Encode non-ASCII group name
	that a user enters; decode group names in messages.

	* gnus-msg.el (gnus-inews-do-gcc): Encode non-ASCII group names.

2007-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-eval-alist): Mark as risky local variable.

	* gnus.el (gnus-group-charter-alist): Mark as risky local variable.

	* gnus-art.el (gnus-button-alist, gnus-header-button-alist): Mark as
	risky local variable.

	* gnus-group.el (gnus-group-icon-list): Mark as risky local variable.

2007-11-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el: Improve documentation to fix function name typo.
	Reported by Daiki Ueno <ueno@unixuser.org>.

2007-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Honor gnus-article-over-scroll
	even if the point is not in the last page of an article.
	(gnus-article-prev-page): Honor gnus-article-over-scroll when moving
	back to the previous page.

2007-10-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* qp.el (quoted-printable-decode-string): Fix typo in doc string.

2007-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Work even if there's no scroll bar.

2007-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-check-news-body-syntax): Avoid
	mm-string-as-multibyte.
	(message-hide-headers): Don't assume (point-min)==1.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): Fix if remove is
	given.
	(message-bogus-address-regexp): New variable.
	(message-bogus-recipient-p): New function.
	(message-check-recipients): New command.
	(message-syntax-checks): Add `bogus-recipient'.
	(message-fix-before-sending): Add `bogus-recipient'.

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): Add "alpine".
	(gnus-treat-emphasize, gnus-treat-body-boundary): Don't test
	window-system.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Bump version to Gnus v5.13.

2007-10-28  Miles Bader  <miles@gnu.org>

	* nnheader.el (nnheader-uniquify-message-id): Make sure this is defined
	at compile-time too.

2007-10-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-setup-hook): Add
	`message-remove-blank-cited-lines' to options.

2007-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): New function.
	Suggested by Karl Pl,Ad(Bsterer.

2007-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* hashcash.el (mail-add-payment): Replace mapcar called for effect with
	mapc.

	* imap.el (imap-open): Replace mapcar called for effect with mapc.
	(top-level): Use mapc to set functions to be traced for debugging.

	* legacy-gnus-agent.el (gnus-agent-convert-agentview): Replace mapcar
	called for effect with while loop.

	* message.el (message-talkative-question): Replace mapcar called for
	effect with mapc.

	* mm-util.el: Use mapc instead of mapcar to make compatible functions.
	(mm-find-mime-charset-region, mm-find-charset-region): Replace mapcar
	called for effect with dolist.

	* mml.el (mml-insert-mime): Replace mapcar called for effect with mapc.

	* nndiary.el: Use dolist instead of mapcar to add diary headers to
	gnus-extra-headers and nnmail-extra-headers.

	* nnimap.el (nnimap-request-update-info-internal): Replace mapcar
	called for effect with dolist.
	(top-level): Use mapc to set functions to be traced for debugging.

	* nnmail.el (nnmail-read-incoming-hook): Doc fix.
	(nnmail-split-fancy-with-parent): Replace mapcar called for effect with
	dolist.

	* nnmaildir.el (nnmaildir--delete-dir-files, nnmaildir-request-close):
	Replace mapcar called for effect with mapc.
	(nnmaildir--scan, nnmaildir-request-scan, nnmaildir-retrieve-groups)
	(nnmaildir-request-update-info, nnmaildir-request-delete-group)
	(nnmaildir-retrieve-headers, nnmaildir-request-set-mark)
	(nnmaildir-close-group): Replace mapcar called for effect with dolist.

	* nnrss.el (nnrss-make-hash-index): Use gnus-remove-if instead of
	remove-if that's a cl function.

	* webmail.el (webmail-debug): Replace mapcar called for effect with
	dolist.

	* gnus-xmas.el (gnus-group-add-icon): Replace mapcar called for effect
	with mapc.

2007-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-agentview, gnus-agent-save-alist)
	(gnus-agent-expire-unagentized-dirs): Replace mapcar called for effect
	with while loop.

	* gnus-art.el: Use mapc instead of mapcar to make gnus-article-*
	functions from article-* functions.
	(gnus-multi-decode-header): Replace mapcar called for effect with
	dolist.

	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	(gnus-bookmark-show-details): Replace mapcar called for effect with
	while loop.

	* gnus-diary.el (gnus-diary-update-group-parameters): Replace mapcar
	called for effect with while loop.

	* gnus-group.el (gnus-group-suspend): Replace mapcar called for effect
	with dolist.

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Replace
	mapcar called for effect with dolist.

	* gnus-spec.el (gnus-correct-length): Make it simple and fast.

	* gnus-sum.el (gnus-multi-decode-encoded-word-string)
	(gnus-build-sparse-threads, gnus-summary-limit-include-expunged):
	Replace mapcar called for effect with dolist.
	(gnus-simplify-buffer-fuzzy): Replace mapcar called for effect with
	mapc.

	* gnus-topic.el (gnus-topic-find-groups, gnus-topic-move-group):
	Replace mapcar called for effect with dolist.
	(gnus-topic-list): Replace mapcar called for effect with mapc.

	* gnus.el: Use mapc instead of mapcar to add autoloads.

2007-10-23  Richard Stallman  <rms@gnu.org>

	* gnus-group.el (gnus-group-highlight): Mark as risky.

2007-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-server-to-method): Return method found first in
	gnus-newsrc-alist.

	* gnus-art.el (gnus-article-highlight-signature)
	(gnus-insert-prev-page-button, gnus-insert-next-page-button): Make a
	button overlay without the front stickiness.

2007-10-22  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-expire-group-1): The check for an unsorted
	overview buffer needed a catch to receive its throw.
	(gnus-agent-flush-cache): Declared as interactive to make this function
	easier to use.

2007-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* html2text.el (html2text-fix-paragraph): Use `forward-line' instead of
	`next-line'.

2007-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use rmail-dont-reply-to to
	exclude address matching message-dont-reply-to-names.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-string<): New function.

	* gnus-sum.el (gnus-article-sort-by-author)
	(gnus-article-sort-by-recipient, gnus-article-sort-by-subject): Use it.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-win.el (gnus-configure-windows): Focus on the frame for which
	the frame-focus tag is set in gnus-buffer-configuration.

2007-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-add-button): Make a button overlay without
	the front stickiness.

2007-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-alist): Exclude newline in RFC2396-compliant
	url pattern; remove duplicate one.
	(gnus-article-extend-url-button): New function.
	(gnus-article-add-buttons): Use it.
	(gnus-button-push): Use concatenated url that it makes.

2007-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* sieve-manage.el (sieve-manage-interactive-login): Doc fix.
	(sieve-manage-open): Use `mapc' instead of `mapcar'.

2007-10-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-uu.el (gnus-uu-reginize-string, gnus-uu-expand-numbers):
	Don't hardcode point-min==1.

2007-09-30  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-article-reply-with-original)
	(gnus-article-followup-with-original): When `transient-mark-mode' is
	off, refrain from active-region behavior for followups.

2007-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Alias gbk to cp936.
	Fix comment about "iso8859-1".

2007-10-08   Daiki Ueno  <ueno@unixuser.org>

	* mm-decode.el (mm-possibly-verify-or-decrypt): Replace PARTS with the
	ones returned from the verify-function.

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Call
	mml2015-extract-cleartext-signature if extraction failed.

2007-10-07  Daiki Ueno  <ueno@unixuser.org>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Delete the first line
	beginning with "-----BEGIN PGP SIGNED MESSAGE-----" if extraction
	failed.

2007-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* Relicense "GPLv2 or later" files to "GPLv3 or later".

2007-09-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-kill-thread): Allow universal prefix zero
	to mark a thread as expirable.  Add variable `hide' to handle hiding of
	thread for both the null and zero (kill/expire thread) universal prefix
	cases.
	(gnus-summary-expire-thread): Add new function to expire a thread,
	using gnus-summary-kill-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Add 'M-C-e' and 'T e'
	shortcuts for gnus-summary-expire-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Remove `M-C-e' and `T
	e' bindings for gnus-summary-expire-thread.  Add `T E' binding.

2007-09-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-store-extra-entry): Allow for nil
	extras value, so an extras entry can be deleted.
	(gnus-registry-delete-extra-entry): Use it.
	(gnus-registry-fetch-extra-flags, gnus-registry-has-extra-flag)
	(gnus-registry-store-extra-flags, gnus-registry-delete-extra-flags)
	(gnus-registry-delete-all-extra-flags): Allow for arbitrary flag symbol
	 storage through the gnus-registry, and provide an appropriate API for
	 it.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-newsgroup-maximum-articles): Move from gnus.el.
	Suggested by Leo <sdl.web@gmail.com>.

	* gnus.el: Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-newsgroup-maximum-articles): Rename from
	gnus-maximum-newsgroup.  Suggested by Leo <sdl.web@gmail.com>.

	* gnus-agent.el (gnus-agent-fetch-headers): Do.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles): Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmbox.el (nnmbox-request-article): Don't assume delim regexp matches
	newline.
	(nnmbox-request-accept-article): Don't change article in source buffer;
	narrow to header to use message-fetch-field rather than
	nnmail-fetch-field; use with-current-buffer instead of save-excursion.
	(nnmbox-request-replace-article): Quote lines that'll be misidentified
	as delimiters; make sure article ends with newline.
	(nnmbox-delete-mail): Correct last position of article to be deleted;
	ignore X-Gnus-Newsgroup header in article body.
	(nnmbox-save-mail): Quote lines looking like delimiters at the right
	positions; make sure article ends with newline.

	* message.el (message-display-abbrev): Don't infloop when a user
	inserts SPC in the beginning of header.

2007-09-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups): Add INBOX to the
	list of groups not followed by default.  Fix type to be regexp.
	(gnus-registry-grep-in-list): Fix inverted parameters to string-match.

2007-09-06  Tassilo Horn  <tassilo@member.fsf.org>

	* hmac-def.el (define-hmac-function): Switch from old-style to
	new-style backquotes.

	* md4.el (md4-make-step): likewise.

2007-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-gnus-to-newsrc-format): Use a unibyte buffer and
	raw-text coding system when saving .newsrc file, which may contain
	non-ASCII group names.

2007-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-score-extra): New widget.
	(gnus-score-extra-convert): New function.
	(gnus-score-customize): Use it for Extra.

2007-08-31  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-extract-cleartext-signature): New function.
	(mml2015-mailcrypt-clear-verify): Use it.
	(mml2015-gpg-clear-verify): Use it.
	(mml2015-pgg-clear-verify): Use it.
	(mml2015-epg-clear-verify): Replace the current part with the output
	from GnuPG; don't extract the plaintext by itself.

	* mm-uu.el (mm-uu-pgp-beginning-signature): Abolish.
	(mm-uu-pgp-signed-extract-1): Bind coding-system-for-read when calling
	mml2015-clear-verify-function; don't touch the armor headers or
	dash-escaped text here.

2007-08-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Don't jump to nonexistent part.
	(gnus-mime-view-part-as-type-internal): Default to text/plain for text
	parts, or application/octet-stream as a last resort.
	(gnus-mime-view-part-as-type): Don't toggle display.
	(gnus-mime-view-part-as-charset): Don't turn off display before
	querying charset.

	* mm-view.el (mm-inline-text-html-render-with-w3): Don't add XEmacs
	stuff to undisplayer function in Emacs.
	(mm-inline-text-html-render-with-w3m): Remove Emacs/W3 stuff.

	* mml.el (mml-generate-mime-1): Prefer utf-8 when encoding
	text/calendar parts.

2007-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Use utf-8 by default for
	decoding text/calendar parts.

	* message.el (message-forward-make-body-mime): Always mark body as
	having no illegible text; remove signed-or-encrypted argument.
	(message-forward-make-body): Don't pass signed-or-encrypted arg to it.

	* mml.el (mml-generate-mime): Make sure it uses multibyte temp buffer.
	(mml-generate-mime-1): Don't encode body if it is specified to be in
	raw form; don't make buffer be unibyte when inserting multibyte string.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sha1.el: Fix up comment style.
	(sha1-F0, sha1-F1, sha1-F2, sha1-F3, sha1-S1, sha1-S5, sha1-S30)
	(sha1-OP, sha1-add-to-H): Use new-style backquotes.

	* hex-util.el: Fix up comment style.
	(hex-char-to-num, num-to-hex-char): Use new-style backquotes.

	* gnus-salt.el: Use with-current-buffer.
	(gnus-pick-setup-message): Fix long-standing typo.

2007-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* imap.el (imap-logout-timeout): New variable.
	(imap-logout, imap-logout-wait): New functions.
	(imap-kerberos4-open, imap-gssapi-open, imap-close): Use them.

	* nnimap.el (nnimap-logout-timeout): New server variable.
	(nnimap-open-server, nnimap-close-server): Bind imap-logout-timeout to
	nnimap-logout-timeout.

	* gnus-art.el (gnus-article-summary-command-nosave)
	(gnus-article-read-summary-keys): Don't use 3rd arg of pop-to-buffer.

2007-08-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-maximum-newsgroup): New variable.

	* gnus-agent.el (gnus-agent-fetch-headers): Limit the range of articles
	according to gnus-maximum-newsgroup.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles):
	Limit the range of articles according to gnus-maximum-newsgroup.

2007-08-14  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-art.el (gnus-sticky-article): Fixed problems described in
	<b4mps1qitio.fsf@jpl.org> on ding.  Thanks to Katsumi.
	Don't perform gnus-configure-windows here; reuse existing sticky
	article buffer.

	* gnus-sum.el (gnus-summary-display-article): Setup article buffer if
	it doesn't exist in gnus-article-mode.

2007-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-decoded-group-names): New variable.
	(gnus-agent-decoded-group-name): New function.
	(gnus-agent-group-path, gnus-agent-group-pathname): Use it.
	(gnus-agent-expire-group-1): Use it; decode group name in messages.

2007-08-12  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-sum.el (gnus-summary-article-map, gnus-summary-make-menu-bar):
	Add binding for gnus-sticky-article.
	(gnus-summary-exit): Don't kill sticky article buffers.

	* gnus-art.el (gnus-sticky-article-mode): New mode to generate a sticky
	article buffer.
	(gnus-sticky-article, gnus-kill-sticky-article-buffer)
	(gnus-kill-sticky-article-buffers): New commands.

2007-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-xref-number-is-evil): New server variable.
	(nntp-find-group-and-number): If it is non-nil, don't trust article
	numbers in the Xref header.

2007-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-group): New function.
	(gnus-agent-flush-group, gnus-agent-expire-group)
	(gnus-agent-regenerate-group): Use it.
	(gnus-agent-expire-unagentized-dirs): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

2007-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Bind inhibit-read-only to t.

	* gnus-sum.el (gnus-summary-insert-articles): Mark inserted articles
	that are unread as unread, and also as selected so that information of
	marks having been changed by a user may be updated when exiting group.

2007-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-headers): Bind inhibit-read-only to t.

2007-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Pass part number that is
	calculated ignoring signature parts to gnus-treat-article.

2007-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-security-verify-or-decrypt): Don't narrow to
	a point here in order to keep the window start.
	(gnus-insert-mime-security-button): Make a button overlay without the
	front stickiness.
	(gnus-mime-display-security): Goto the end of a button.

	* gnus-group.el (gnus-group-name-at-point): Fix regexps.

2007-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-name-at-point): Rewrite; rename from
	group-name-at-point.
	(gnus-group-completing-read): New function that offers decoded
	non-ASCII group names for completion.
	(gnus-fetch-group, gnus-group-read-ephemeral-group)
	(gnus-group-jump-to-group, gnus-group-make-group-simple)
	(gnus-group-unsubscribe-group, gnus-group-fetch-charter)
	(gnus-group-fetch-control): Use it.
	(gnus-fetch-group): Use group-name-at-point for the initial value
	rather than the default value; use gnus-alive-p.

	* gnus-msg.el (gnus-group-mail, gnus-group-news, gnus-group-post-news)
	(gnus-summary-mail-other-window, gnus-summary-news-other-window)
	(gnus-summary-post-news): Use gnus-group-completing-read.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name in error msg.
	(gnus-read-move-group-name): Decode group name for completion.

2007-07-31  Ted Zlatanov  <tzz@lifelogs.com>

	* gnus-srvr.el (gnus-server-close-all-servers): Close servers not only
	in gnus-inserted-opened-servers but also in gnus-server-alist (Katsumi
	Yamaoka slightly modified the code).

2007-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-group-names-not-encoded-p): New variable.
	(nnmail-split-incoming): Bind it.

	* nnml.el (nnml-group-name-charset): New function.
	(nnml-decoded-group-name): Use it; don't decode group name if
	nnmail-group-names-not-encoded-p is non-nil.
	(nnml-encoded-group-name): New function.
	(nnml-group-pathname): Inline nnml-decoded-group-name.
	(nnml-request-expire-articles): Decode group name in message.
	(nnml-request-delete-group): Ditto; bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnml-save-mail, nnml-active-number): Work with decoded group names and
	not decoded ones according to nnmail-group-names-not-encoded-p.
	(nnml-generate-active-info): Use nnml-encoded-group-name.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* gmm-utils.el, gnus-async.el, gnus-msg.el, gnus-score.el
	* gnus-util.el, imap.el, mailcap.el, nnimap.el: Replace `iff' in
	doc-strings and comments.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

2007-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Make
	gnus-summary-respool-article work.

2007-07-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Refer to mm-uu-configure-list in doc
	string.

2007-07-20  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* nnrss.el (nnrss-ignore-article-fields): New variable.  List of fields
	that should be ignored when comparing distant RSS articles with local
	ones.
	(nnrss-make-hash-index): New function.  Create a hash index according
	to the ignored fields.
	(nnrss-check-group): Use it.

2007-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-group-pathname): Take notice of the method.

	* gnus-art.el (article-decode-group-name): Decode Xref header too.

	* gnus-group.el (gnus-group-make-group): Encode group name here unless
	the new optional argument ENCODED is non-nil.
	(gnus-group-make-doc-group): Use gnus-group-name-charset to determine
	coding system for encoding group name.
	(gnus-group-make-rss-group): Pass un-encoded group name to
	gnus-group-make-group.
	(gnus-group-set-info): Tell gnus-group-make-group that group name is
	encoded.

	* gnus-sum.el (gnus-summary-move-article, gnus-read-move-group-name):
	Encode group name to which articles are moved or copied.
	(gnus-summary-edit-article): Use gnus-group-name-charset to determine
	coding system for encoding Newsgroup, Followup-To and Xref headers.

	* nnagent.el (nnagent-request-set-mark): Use unibyte buffer to compose
	marks; use nnheader-file-coding-system to write a file.
	(nnagent-retrieve-headers): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* nnmail.el (nnmail-insert-xref): Don't break non-ASCII group name.

	* nnml.el (nnml-decoded-group-name, nnml-group-pathname): New functions.
	(nnml-request-article, nnml-request-create-group)
	(nnml-request-rename-group, nnml-find-id)
	(nnml-possibly-change-directory, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number, nnml-marks-changed-p)
	(nnml-save-marks): Use nnml-group-pathname instead of
	nnmail-group-pathname.

	(nnml-request-create-group, nnml-request-expire-articles)
	(nnml-request-move-article, nnml-request-delete-group)
	(nnml-deletable-article-p, nnml-possibly-create-directory)
	(nnml-get-nov-buffer, nnml-generate-nov-databases-directory)
	(nnml-open-marks): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	(nnml-request-article): Pass server argument to nnml-find-group-number.
	(nnml-request-create-group, nnml-active-number, nnml-save-marks): Pass
	server argument to nnml-possibly-create-directory.
	(nnml-request-accept-article): Pass server argument to
	nnml-active-number and nnml-save-mail.
	(nnml-find-group-number): Pass server argument to nnml-find-id.
	(nnml-request-update-info): Pass server argument to
	nnml-marks-changed-p.

	(nnml-find-id, nnml-find-group-number, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number): Add server argument.

	(nnml-request-delete-group): Warn if group is missing.
	(nnml-get-nov-buffer): Decode group name.
	(nnml-generate-active-info): Encode group name.
	(nnml-open-marks): Decode group name in messages.

2007-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-part-wrapper): Work with the nearest part
	if it is not specified.
	(gnus-article-pipe-part, gnus-article-save-part)
	(gnus-article-interactively-view-part, gnus-article-copy-part)
	(gnus-article-view-part-as-charset, gnus-article-view-part-externally)
	(gnus-article-inline-part, gnus-article-save-part-and-strip)
	(gnus-article-replace-part, gnus-article-delete-part)
	(gnus-article-view-part-as-type): Pass raw prefix argument to
	gnus-article-part-wrapper.

2007-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-save-active): Bind
	nnheader-file-coding-system to gnus-agent-file-coding-system.

	* gnus-cache.el (gnus-cache-save-buffers)
	(gnus-cache-possibly-enter-article, gnus-cache-request-article)
	(gnus-cache-retrieve-headers, gnus-cache-change-buffer)
	(gnus-cache-possibly-remove-article, gnus-cache-articles-in-group)
	(gnus-cache-braid-nov, gnus-cache-braid-heads)
	(gnus-cache-generate-active, gnus-cache-rename-group)
	(gnus-cache-delete-group, gnus-cache-update-file-total-fetched-for)
	(gnus-cache-update-overview-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-cache-decoded-group-names, gnus-cache-unified-group-names): New
	variables.
	(gnus-cache-decoded-group-name): New function.
	(gnus-cache-file-name): Use it.
	(gnus-cache-generate-active): Use non-decoded group name for active.

	* gnus-util.el (gnus-write-buffer): Bind file-name-coding-system at the
	right place.
	(gnus-write-active-file): Don't break non-ASCII group names.

	* nntp.el (nntp-marks-changed-p): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-uu.el (gnus-uu-decode-save): Typo.

2007-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-font-lock-keywords): Quote faces.

2007-07-14  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-mime-delete-part): Don't go through article-edit
	finishing actions if we did not edit the article.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-rename-group, gnus-agent-delete-group)
	(gnus-agent-fetch-articles, gnus-agent-unfetch-articles)
	(gnus-agent-crosspost, gnus-agent-backup-overview-buffer)
	(gnus-agent-flush-group, gnus-agent-flush-cache)
	(gnus-agent-fetch-headers, gnus-agent-load-alist)
	(gnus-agent-read-agentview, gnus-agent-expire-group-1)
	(gnus-agent-retrieve-headers, gnus-agent-request-article)
	(gnus-agent-regenerate-group)
	(gnus-agent-update-files-total-fetched-for)
	(gnus-agent-update-view-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-agent-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.
	(gnus-agent-save-local): Bind file-name-coding-system correctly; bind
	coding-system-for-write instead of buffer-file-coding-system to
	gnus-agent-file-coding-system.

	* gnus-msg.el (gnus-inews-make-draft, gnus-inews-insert-archive-gcc):
	Decode group name.

	* gnus-srvr.el (gnus-browse-foreign-server): Make group names unibyte.

	* gnus-start.el (gnus-update-active-hashtb-from-killed)
	(gnus-read-newsrc-el-file): Make group names unibyte.

	* nnmail.el (nnmail-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.

	* nnrss.el (nnrss-file-coding-system): Doc fix; make it begin with *.
	(nnrss-request-delete-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnrss-read-server-data, nnrss-read-group-data): Bind
	file-name-coding-system correctly.
	(nnrss-check-group): Pass nnrss-file-coding-system to md5.

	* nntp.el: Require gnus-group for the function gnus-group-name-charset.
	(nntp-server-to-method-cache): New variable.
	(nntp-group-pathname): New function that decodes non-ASCII group names.
	(nntp-possibly-create-directory, nntp-marks-changed-p)
	(nntp-save-marks, nntp-open-marks): Use it.
	(nntp-possibly-create-directory, nntp-open-marks):
	Bind file-name-coding-system to nnmail-pathname-coding-system.
	(nntp-open-marks): Decode group names when bootstrapping marks.

	* rfc2047.el (rfc2047-encode-message-header): Make XEmacs decode
	Newsgroups and Folowup-To headers.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face): Remove variable.
	(gnus-server-font-lock-keywords): Use faces that are not aliases.

	* gnus-util.el (gnus-message-with-timestamp-1): Use log-message instead
	of modifying message-stack directly for XEmacs.

	* mm-util.el (mm-decode-coding-string, mm-encode-coding-string)
	(mm-decode-coding-region, mm-encode-coding-region): Don't modify string
	if the coding-system argument is nil for XEmacs.

	* nnrss.el (nnrss-compatible-encoding-alist): Inherit the value of
	mm-charset-override-alist.

	* rfc2047.el: Don't require base64; require rfc2045 for the function
	rfc2045-encode-string.
	(rfc2047-encode-parameter): Use rfc2045-encode-string to quote or not
	to quote the parameter value.

2007-07-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-name-charset): Allow a method of the short
	form in gnus-group-name-charset-method-alist.

	* gnus-eform.el (gnus-edit-form): Add optional argument layout which
	overrides the default layout edit-form.

	* gnus-win.el (gnus-buffer-configuration): Add edit-server.

	* gnus-srvr.el (gnus-server-edit-server): Use edit-server layout.

2007-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-catchup): Don't recognize cached articles
	as unfetched articles.

2007-07-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-level-unsubscribed): Improve doc string.

2007-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnagent.el (nnagent-request-set-mark): Also set the marks for the
	original back end that keeps marks in the local system.

2007-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-summary-command-nosave): Don't set the 3rd
	arg of pop-to-buffer for XEmacs.
	(gnus-article-read-summary-keys): Ditto; don't restore window
	configuration if summary command ends up with neither article buffer
	nor summary buffer; describe bindings if summary keys end with C-h.

2007-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-fix-before-sending): Skip raw message part to be
	forwarded while checking illegible text.
	(message-forward-make-body-mime, message-forward-make-body): Mark
	signed or encrypted raw message as having no illegible text.

2007-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-add-timestamp-to-message): New user option.
	(gnus-message-with-timestamp-1): New macro.
	(gnus-message-with-timestamp): New function.
	(gnus-message): Use them.

	* nnheader.el (nnheader-message): Use them.

2007-06-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Add newlines to
	.newsrc.eld file.

2007-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-fetch-headers)
	(gnus-agent-retrieve-headers): Bind
	gnus-decode-encoded-address-function to identity.

	* nntp.el (nntp-send-xover-command): Recognize an xover command is
	available also when the server returns simply a dot.

	* gnus-ems.el (gnus-x-splash): Redisplay window before measuring it.

2007-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Fix calculation; error in tty.

2007-06-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Make it work.

	* gnus-start.el (gnus-1): Relax restrictions that prevent gnus-x-splash
	from being used.

2007-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Make a button overlay without
	the front stickiness.
	(gnus-article-summary-command-nosave): Correct the order of the
	arguments passed to pop-to-buffer.
	(gnus-article-read-summary-keys): Ditto; make it work properly when the
	summary command ends up with the article buffer.

	* mm-decode.el (mm-insert-part): Separate the extracted parts that have
	the same faces.

2007-06-07  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-split-methods): Fix typo in docstring.

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-time-format, gnus-summary-sort-by-schedule):
	* gnus-sum.el (gnus-summary-highlight):
	* mail-source.el (mail-source-delete-old-incoming-confirm):
	* nndiary.el (nndiary-reminders): Fix typos in docstrings.

2007-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-externally)
	(gnus-mime-view-part-internally): Fix predicate function passed to
	completing-read.

	* mm-decode.el (mm-image-fit-p): Return t if argument is not an image.

	* gnus.el (gnus-update-message-archive-method): Add :version.

2007-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-update-message-archive-method): New variable.

	* gnus-start.el (gnus-setup-news): Update saved "archive" method
	according to gnus-message-archive-method if
	gnus-update-message-archive-method is non-nil.

2007-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-limit-to-address): New function.  Suggested
	by Loic Dachary <loic@dachary.org>.
	(gnus-summary-limit-map, gnus-summary-make-menu-bar): Add it.

2007-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-pop-to-buffer): Add switch-function argument.
	(message-mail): Pass switch-function argument to it.

2007-05-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-file-name-rewrite-functions): Make it customizable.
	Improve doc string.

2007-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-header-from, gnus-header-subject, gnus-header-name)
	(gnus-header-content)
	* gnus-cite.el (gnus-cite-10)
	* gnus-srvr.el (gnus-server-closed)
	* gnus.el (gnus-group-mail-1, gnus-group-mail-1-empty)
	(gnus-group-mail-2, gnus-group-mail-2-empty, gnus-group-mail-3)
	(gnus-group-mail-3-empty, gnus-group-mail-low)
	(gnus-group-mail-low-empty, gnus-splash)
	* message.el (message-header-to, message-header-cc)
	(message-header-subject, message-header-other, message-header-name)
	(message-header-xheader, message-separator, message-cited-text)
	(message-mml): Lighten colors of faces used for dark background.

2007-05-24  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-need-unselect-to-notice-new-mail): Change default
	to t as an experiment.  Suggested by Greg Troxel <gdt@work.lexort.com>.

2007-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-narrow-to-headers-or-head): Ignore
	mail-header-separator in the body.

2007-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-image-fit-p): Return t if image size is just the
	same as window size.

2007-05-22  Kevin Ryde  <user42@zip.com.au>

	* message.el (message-font-lock-keywords): Use message-header-xheader
	face for "X-Foo", its apparent intended purpose.  Move "X-" pattern
	ahead of the anything pattern, to get it recognised.

2007-05-12  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* gnus-sum.el (gnus-articles-to-read)
	(gnus-summary-insert-old-articles): Don't truncate group name for
	`read-string'.

	* gnus-util.el (gnus-limit-string): Delete this function.

	* gnus-sum.el (gnus-simplify-subject-fully): Use
	`truncate-string-to-width' instead.

2007-05-11  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* gnus-sum.el (gnus-summary-next-group-on-exit): New variable.  Tell
	if, on summary exit, the next group has to be selected.
	(gnus-summary-exit): Use it.

2007-05-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode): Fix comment about displaying
	non-break space.

2007-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnfolder.el (nnfolder-request-group, nnfolder-request-create-group):
	Check if group is not a directory.
	(nnfolder-request-expire-articles): Don't delete articles if the target
	group is not available.

	* nnml.el (nnml-request-create-group): Properly check if group is not a
	file.
	(nnml-request-expire-articles): Don't delete articles if the target
	group is not available.

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	Don't quote characters that are within parentheses.

2007-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-auto-select-on-ephemeral-exit): New variable.
	(gnus-handle-ephemeral-exit): Select article according to it.

2007-05-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-insert-formated-citation-line): Remove newline.
	(message-citation-line-format): Add final \n here so that the user can
	avoid a blank line.

2007-05-03  Dan Christensen  <jdc@uwo.ca>

	* nndoc.el (nndoc-type-alist, nndoc-lanl-gov-announce-type-p)
	(nndoc-transform-lanl-gov-announce, nndoc-generate-lanl-gov-head):
	Update lanl/arXiv support.

2007-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Bump version number.

2007-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2007-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: No Gnus v0.6 is released.

2007-04-27  Didier Verna  <didier@xemacs.org>

	* gnus-util.el (gnus-orify-regexp): Moved and renamed to ...
	* gmm-utils.el (gmm-regexp-concat): here.
	* message.el: Don't require 'gnus-util.
	(message-dont-reply-to-names): Handle name change above.
	* gnus-sum.el (gnus-ignored-from-addresses): Ditto.

2007-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-synonym-alist): Don't make it a user option
	since the initial value varies according to the system.

2007-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-synonym-alist): Defcustom.

2007-04-25  NAKAJI Hiroyuki  <nakaji@jp.freebsd.org>  (tiny change)

	* mm-util.el (mm-charset-synonym-alist): Map iso8859-1 to iso-8859-1.

2007-04-24  Didier Verna  <didier@xemacs.org>

	Improve the type of gnus-ignored-from-addresses.
	* gnus-util.el (gnus-orify-regexp): New function.
	* message.el (gnus-util): Require it.
	* message.el (message-dont-reply-to-names): Use gnus-orify-regexp.
	* gnus-sum.el (gnus-ignored-from-addresses): New function.
	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Use it.

2007-04-24  Didier Verna  <didier@xemacs.org>

	* gnus-sum.el:
	* gnus-utils.el: Fix some trailing whitespaces.

2007-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-resend-message-edit): Add Gcc header.
	(gnus-summary-resend-bounced-mail): Ditto; search whole body for parent
	article's Message-ID; refer parent article in summary buffer.

	* message.el (message-bounce): Call mime-to-mml.

2007-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-supersede-article): Add Gcc header.

2007-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-strip-charset-parameters): New function.
	(gnus-mime-view-part-as-charset): Use it; redisplay subpart currently
	displayed of multipart/alternative part if it is invoked from summary
	buffer.

	* mm-view.el (mm-inline-text-html-render-with-w3m)
	(mm-inline-text-html-render-with-w3m-standalone)
	(mm-inline-render-with-function): Use mail-parse-charset by default.

2007-04-18  Levin Du  <zslevin@gmail.com>  (tiny change)

	* parse-time.el (parse-time-string-chars): Check if CHAR
	is less than the length of parse-time-syntax.

2007-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-digest-mail-forward): Pull articles processed
	from gnus-newsgroup-processable.

2007-04-16  Didier Verna  <didier@xemacs.org>

	* gnus-msg.el (gnus-configure-posting-styles): Handle
	message-signature-directory properly with :file syntax. Reported by
	"Leo".

2007-04-11  Didier Verna  <didier@xemacs.org>

	New user option: message-signature-directory.
	* gnus-msg.el (gnus-configure-posting-styles): Support it.
	* message.el (message-insert-signature): Ditto.
	* message.el (message-signature-file): Doc update.
	* message.el (message-signature-directory): New.

2007-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-yank-articles): Use
	message-exchange-point-and-mark instead of exchange-point-and-mark.

2007-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-yank-original): Make sure cited text ends with
	newline; don't exchange point and mark.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* tls.el (open-tls-stream): Properly handle case where there
	is no associated buffer.

2007-04-03  Thien-Thi Nguyen  <ttn@gnu.org>

	* gnus-msg.el (gnus-inews-yank-articles): Fix bug: After
	message-yank-original, make sure (< mark TEXT point).

2007-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fill-column): New variable.
	(message-mode): Use it.  Add comment on a possible new hook.

	* nnmail.el (nnmail-spool-file): Mark as obsolete.
	(nnmail-get-new-mail): Reformat.

	* gnus-registry.el (gnus-registry-cache-save): Add FIXME comment.

	* gmm-utils.el: Fix Commentary.
	(gmm-tool-bar-from-list): Fix typo in doc string.

2007-03-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* message.el (message-yank-original): Don't switch point and mark
	unnecessarily to put point and mark as documented.

2007-03-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Only fetch headers
	from the message heads.

2007-03-25  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-art.el (gnus-article-set-window-start): Do nothing when the
	article buffer does not have a window.  This may not be the best
	solution but is certainly better than setting the start of the null,
	that is the current, window.

2007-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-setup-hook): New hook.
	(gnus-draft-setup): Run it.

	* gnus-score.el (gnus-inhibit-slow-scoring): New variable, renamed from
	gnus-score-fast-scoring.  Allow regexp.
	(gnus-score-headers): Use it.

	* gnus-util.el (gnus-emacs-version): Include "no MULE" in no-MULE
	XEmacs.

	* gnus-art.el (gnus-article-browse-html-article): Fix typo in doc
	string.
	(gnus-button-alist): Also catch `<f1> k ...'.
	(gnus-treat-display-x-face): Fix doc string.

2007-03-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-msg.el (gnus-setup-message, gnus-inews-add-send-actions): Move
	evaluation of gnus-extended-version to ensure correct generation of the
	User-Agent header when message-generate-headers-first is used.

2007-03-24  Simon Josefsson  <simon@josefsson.org>

	* hashcash.el (hashcash-generate-payment-async): Don't crash if
	hashcash-path is nil.  Don't call callback with incorrect number of
	parameters if val is 0.

2007-03-20  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-required-news-headers):
	* gnus-util.el (gnus-intern-safe): Fix typo in docstring.

2007-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-generate-new-buffers): Change the meaning of the
	nil value; add `standard' to the choices; treat t as `unique'; improve
	doc string.
	(gnus-select-frame-set-input-focus): Autoload.
	(message-buffer-name): Search for the existing message buffer if
	message-generate-new-buffers is nil or `standard'; treat the value t of
	message-generate-new-buffers as `unique'.
	(message-pop-to-buffer): Raise the frame already displaying the message
	buffer; clear the echo area after querying.
	(message-setup): Pass the `continue' argument to compose-mail.
	(message-mail): Prefer `switch-function' if it is given; search for the
	existing message buffer if the `continue' argument is non-nil; pass
	continue and switch-function arguments to compose-mail by way of
	message-setup.
	(message-mail-other-window): Adjust argument of message-setup.
	(message-mail-other-frame): Ditto.

2007-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (font-lock-set-defaults): Autoload it for Emacs.
	(gnus-message-citation-mode): Require font-lock for XEmacs; make sure
	to turn font-lock on when turning gnus-message-citation-mode on.

2007-03-06  Daiki Ueno  <ueno@unixuser.org>

	* mml-smime.el (mml-smime-use): New variable; default to use openssl.
	(mml-smime-function-alist): New variable; add epg as the backend.
	* mml-sec.el (mml-smime-sign): Don't require mml-smime, autoload
	mml-smime- functions instead.
	* mm-view.el: Require smime.

2007-03-05  Didier Verna  <didier@xemacs.org>

	* gnus-topic.el (gnus-topic-hierarchical-parameters): Perform merging
	instead of just inheritance for posting styles.
	* gnus.el (gnus-group-fast-parameter): Fix typo in comment.

2007-02-24  John Paul Wallington  <jpw@pobox.com>

	* tls.el (tls-certtool-program): Fix custom type.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-message-search-citation-line): Use point-at-bol
	and point-at-eol instead of line-(beginning|end)-position.

	* assistant.el (assistant-parse-buffer): Ditto.

2007-02-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-find-usable-key): New function.
	(mml2015-epg-sign): Use it.
	(mml2015-epg-encrypt): Use it.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-make-in-reply-to): Quote name containing
	non-ASCII characters.  It will make the RFC2047 encoder cause an error
	if there are special characters.  Reported by NAKAJI Hiroyuki
	<nakaji@jp.freebsd.org>.

2007-02-27  Didier Verna  <didier@xemacs.org>

	Include the group parameters as well as the topic ones in the
	inheritance filter process.
	* gnus-topic.el (gnus-topic-hierarchical-parameters): New optional
	argument GROUP-PARAMS-LIST.
	* gnus-topic.el (gnus-group-topic-parameters): Use it.

2007-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-never-echoes-commands)
	(nntp-open-connection-functions-never-echo-commands): New variables.
	(nntp-send-command): Use them.

2007-02-20  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-verify): Simplified.

2007-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-content-disposition-alist): New user option.
	(mml-content-disposition): New function.
	(mml-insert-mime-headers, mml-minibuffer-read-disposition): Use it.
	(mml-attach-file, mml-dnd-attach-file): Pass file name to it.

2007-02-19  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-verify): Convert LF to CRLF before signature
	verification.

2007-02-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing to also match on
	articles posted in the last 24 hours.

2007-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* smiley.el (smiley-regexp-alist): Add "dead" smiley.

2007-02-14  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* nntp.el (nntp-send-command): Don't wait for echoes when
	nntp-open-ssl-stream is used.

2007-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-test-font-lock-add-keywords)
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords): Remove.
	(gnus-message-citation-mode): Instead of modifying font-lock-keywords
	directly, make the variables in font-lock-defaults buffer-local, add
	gnus-message-citation-keywords to them and then update the value of
	font-lock-keywords.

2007-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cite-original-1): Don't call
	gnus-article-highlight-citation.

	* gnus-cite.el (gnus-cite-parse): Work with two or more MS-type
	citations; fix line count.

2007-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-test-font-lock-add-keywords): New function.
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords): Use it; fix the emulating
	versions of font-lock-add-keywords and font-lock-remove-keywords to
	work with XEmacs correctly.

2007-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-cite-face-list): Set the values of
	gnus-message-max-citation-depth and gnus-message-citation-keywords.
	(gnus-message-max-citation-depth): Use defvar rather than defconst.
	(gnus-message-cite-prefix-regexp): New variable.
	(gnus-message-search-citation-line): Use it; protect against long
	citation prefix; fill match data with nil rather than 0 for XEmacs; set
	the 0th match data for Emacs.
	(gnus-message-citation-keywords): Set LAXMATCH flag in every HIGHLIGHT.
	(gnus-message-add-citation-keywords): Append keywords rather than
	prepending; emulate font-lock-add-keywords if it is not available.
	(gnus-message-remove-citation-keywords): Emulate
	font-lock-remove-keywords if it is not available.

	* gnus-msg.el (gnus-message-highlight-citation): Default to t.

	* message.el (message-cite-prefix-regexp): Set the value of
	gnus-message-cite-prefix-regexp.

2007-02-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update parser.

2007-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-button-prefer-mid-or-mail): Fix typo in docstring.

2007-01-28  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.

2007-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* uudecode.el (uudecode-string-to-multibyte): New function emulating
	string-to-multibyte.
	(uudecode-decode-region-internal): Use it.

2007-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-home-score-file, gnus-home-adapt-file): Fix
	custom choice.

	* gnus-art.el (gnus-signature-limit): Fix custom choice.

2007-01-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-util.el (mm-inhibit-file-name-handlers): Add epa-file-handler.

	* mm-decode.el (mm-save-part-to-file): Use `mm-write-region' instead of
	`write-region' to respect `mm-inhibit-file-name-handlers'.

2007-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnsoup.el (nnsoup-directory, nnsoup-packer, nnsoup-packet-directory):
	Use gnus-home-directory instead of "~/" or "$HOME".

2007-01-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el (encrypt-insert-file-contents): Add better prompt
	to mention filename.
	Add comments at beginning regarding usage.
	(encrypt-write-file-contents): Change interactive so a string is
	acceptable.  If the file has no associated model, show an error instead
	of a nonsense prompt.

2007-01-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* spam.el (spam-bsfilter-ham-switch): Fix typo.
	Thanks to Yoshihiko Yamada for kind notification of this typo.

2007-01-12  Kenichi Handa  <handa@m17n.org>

	* uudecode.el (uudecode-decode-region-internal): Make it work in a
	multibyte buffer.

2007-01-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-fast-scoring): New variable.
	(gnus-score-headers): Use it.

	* gnus-sum.el (gnus-auto-select-first): Improve doc string.

	* message.el (message-cite-original-1): Call
	gnus-article-highlight-citation if requested.
	(message-make-from): Allow name and address as optional arguments.

	* gnus-cite.el (gnus-article-highlight-citation): Add SAME-BUFFER arg.

	* gnus-art.el (gnus-article-browse-html-article): Add warning about web
	bugs to doc string.
	(gnus-button-alist): Add mid\\|message-id.
	(gnus-button-fetch-group): Extend for use in
	`browse-url-browser-function'.
	(gnus-button-url-regexp): Try to catch paired parentheses like in
	Wikipedia URLs.

	* gnus-sum.el (gnus-summary-reparent-children): Another doc string fix.
	Suggested by Simon Krahnke <overlord@gmx.li>.

2007-01-13  Romain Francoise  <romain@orebokech.com>

	* nnml.el (nnml-use-compressed-files): Fix typo in docstring.
	Update copyright.

2007-01-13  Patric Mueller  <bhaak@bigfoot.com>  (tiny change)

	* gnus-sum.el (gnus-summary-reparent-children): Fix typo in doc string.

2007-01-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups)
	(gnus-registry-split-fancy-with-parent): Fix documentation.

2007-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-gmane-internal): Speed up spam reporting
	from nnweb groups.

2006-12-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-gmane-internal): Add necessary "/" to
	Xref urls.  Erase buffer before requesting head.

	* mm-decode.el (mm-display-external): Use itimer function for XEmacs.

2007-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-soup.el (gnus-soup): New custom group.  Make user variables
	customizable.

2007-01-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Ask user whether to skip or abort if
	no signing key is found.
	(mml2015-epg-encrypt): Ask user whether to skip or abort if
	no encrypting and/or signing key is found.

2007-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-spam): Remove redundant message.

2007-01-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Put back code to merge the
	headers read from disk with the ones newly found in the current search.
	This should no longer cause problems, because the article numbers in
	Gmane's `nov.php' output are ignored since the previous change.

2007-01-02  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gmm-utils.el (gmm-tool-bar-style): Fix custom type.

2007-01-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Use itimer function for XEmacs.

2007-01-01  Romain Francoise  <romain@orebokech.com>

	* gnus-sum.el (gnus-summary-make-menu-bar): Fix typo.

2006-12-31  Steve Youngs  <steve@sxemacs.org>

	* gnus-cite.el: Load easy-mmode at compile time for (S)XEmacs to get
	`define-minor-mode' macro definition expanded properly.
	(gnus-message-citation-mode): This is now OK for (S)XEmacs so don't
	exclude it there.

	* gnus-msg.el (gnus-message-highlight-citation): Revert Reiner's patch
	of 2006-12-30.  The default is nil on (S)XEmacs already because of the
	`fboundp' test.
	(gnus-message-citation-mode): Revert Reiner's patch of 2006-12-30.
	This is OK to autoload in (S)XEmacs now.

2006-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-limit-to-singletons): New command and
	keystroke.
	(gnus-summary-limit-to-singletons): Fix typo.

	* spam-report.el (spam-report-gmane-internal): Fall back on Xref if all
	else fails.

2006-12-30  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-cite.el (turn-off-gnus-message-citation-mode): Fix typo in
	docstring.

	* gnus-sum.el (gnus-summary-insert-ticked-articles): New command.
	(gnus-summary-make-menu-bar, gnus-summary-buffer-map): Bind it.
	(gnus-summary-insert-dormant-articles): Fix typo in message.

2006-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-highlight-citation): Ensure default to be
	nil for XEmacs.
	(gnus-message-citation-mode): Don't autoload in XEmacs.

	* gnus-cite.el (gnus-message-citation-mode): Don't define in XEmacs.

2006-12-29  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* nnimap.el (nnimap-expunge-search-string): Mention
	nnimap-search-uids-not-since-is-evil in docstring.

2006-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el: Revert to make-obsolete-variable because
	define-obsolete-variable-alias is not supported in Emacs 21.

	* spam.el (spam-ifile-path, spam-ifile-database-path)
	(spam-bogofilter-path): Use define-obsolete-variable-alias instead of
	make-obsolete-variable.
	(spam-bsfilter-path, spam-bsfilter-program)
	(spam-spamassassin-path, spam-spamassassin-program)
	(spam-sa-learn-path, spam-sa-learn-program): Rename variables.  Don't
	use "path" inappropriately.
	(spam-check-spamassassin, spam-spamassassin-register-with-sa-learn)
	(spam-check-bsfilter, spam-bsfilter-register-with-bsfilter): Use new
	variable names.

2006-12-28  Daiki Ueno  <ueno@unixuser.org>

	* gnus-sum.el (gnus-summary-next-article): Make sure we are in the
	summary buffer.

	* password.el (password-cache-remove): Use clear-string to burn
	password, if available.

2006-12-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-citation-mode): Fix autoload.

	* gnus-cite.el (gnus-message-highlight-citation): Move to gnus-msg.el.

	* gnus-msg.el (gnus-setup-message): Add gnus-message-citation-mode.
	(gnus-message-highlight-citation): Move defcustom here from
	gnus-cite.el.
	(gnus-message-citation-mode): Autoload.

	* gnus-cite.el: Adjust Oliver's code to Gnus namespace.  Add some
	checks to make it compile with XEmacs.
	(gnus-message-citation-mode): New minor mode.
	(gnus-message-max-citation-depth, gnus-message-citation-keywords)
	(gnus-message-highlight-citation): New variables.
	(gnus-message-search-citation-line)
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords)
	(turn-on-gnus-message-citation-mode)
	(turn-off-gnus-message-citation-mode): New functions.

2006-12-26  Oliver Scholz  <epameinondas@gmx.de>

	* gnus-cite.el: Enable highlighting of different citation levels in
	message-mode.

2006-12-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-fqdn): Fix comment.
	(message-bogus-system-names): Add ".local".

	* spam.el (spam-ifile-path, spam-ifile-program)
	(spam-ifile-database-path, spam-ifile-database)
	(spam-bogofilter-path, spam-bogofilter-program): Rename variables.
	Don't use "path" inappropriately.
	(spam-spamoracle-database, spam-get-ifile-database-parameter): Fix doc
	strings.
	(spam-check-ifile, spam-ifile-register-with-ifile)
	(spam-check-bogofilter, spam-bogofilter-register-with-bogofilter): Use
	new variable names.

	* gnus-art.el (gnus-treat-display-x-face, gnus-treat-display-face)
	(gnus-treat-display-smileys): Simplify using
	gnus-image-type-available-p.

	* gnus-ems.el (gnus-image-type-available-p): Use display-images-p if
	available.

2006-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-fetch): Replace buffer's contents with the decoded
	one after turning on the buffer's multibyteness instead of decoding
	them directly in the unibyte buffer that causes unexpected conversion
	in Emacs 23 (unicode).

2006-12-21  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-generate-hashcash): Fix custom type.

2006-12-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-recenter): Remove debug messages.

2006-12-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-tool-bar-gnome): Exchange connect and
	disconnect icons.  Add help text.

2006-12-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-extra-header-to-number): CRM114 spam score is
	negated to be consistent with the others we handle.

2006-12-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-setup-buffer): Actually set the local
	version of gnus-summary-buffer to something, so that we can use two
	article buffers at the same time.

2006-12-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-necessary-extra-headers): Make spam-use-regex-headers
	trigger all the extra headers.
	(spam-extra-header-to-number): Don't require spam-use-crm114 for header
	sorting.

2006-12-14  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Keep the mapping stable for
	solid groups.

2006-12-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* legacy-gnus-agent.el: Add Copyright notice.

2006-12-12  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): Fix last change.

2006-12-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnweb.el (nnweb-gmane-search): Placeholder TOPDOC setting.

	* gnus-sum.el (gnus-summary-recenter): Force setting the window start
	to make it work reliably in CVS Emacs.
	(gnus-summary-limit-strange-charsets-predicate)
	(gnus-summary-limit-to-predicate): New functions.

2006-12-08  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): New optional arg
	specifying array size.
	(gnus-summary-insert-line, gnus-summary-prepare-threads): Regrow indent
	array if it is too small.
	(gnus-sort-threads-recursive): Renamed from gnus-sort-thread-1.
	(gnus-sort-threads-loop): New function.

2006-12-06  Chris Moore  <dooglus@gmail.com>

	* gnus-sum.el (gnus-sort-threads, gnus-summary-limit-children):
	Use `max' to avoid the value of `max-lisp-eval-depth' decreasing.

2006-12-04  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* mm-url.el (mm-url-predefined-programs): Call curl with correct
	options.

2006-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-url-ping-plain): Wait for output to avoid
	DOS-ing the recipient.

	* nnweb.el (nnweb-gmane-create-mapping): Use the article number from
	the headers when creating the mapping to avoid mismappings.
	(nnweb-gmane-create-mapping): Always nix out old mapping.

2006-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): Bind mm-decrypt-option
	and mm-verify-option to never.

2006-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): New function.
	(message-forward-make-body): Use it.

	* mml2015.el (mml2015-pgg-clear-verify, mml2015-epg-clear-verify):
	Replace encode-coding-string with mm-encode-coding-string.

2006-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nneething.el (nneething-decode-file-name): Replace
	decode-coding-string with mm-decode-coding-string.

	* gnus-int.el (gnus-open-server): Say failed server's name.

2006-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs)
	(gnus-agent-regenerate-group): Fix space/tab mixup in messages.

	* gnus-art.el (gnus-article-x-face-command, gnus-numeric-save-name):
	* gnus-group.el (gnus-group-sort-function, gnus-group-line-format)
	(gnus-group-mode, gnus-group-read-group, gnus-group-delete-group)
	(gnus-group-make-directory-group, gnus-group-transpose-groups):
	* gnus-start.el (gnus-options-subscribe, gnus-options-not-subscribe)
	(gnus-subscribe-newsgroup, gnus-1):
	* gnus-sum.el (gnus-summary-make-false-root, gnus-make-threads):
	* gnus.el (gnus-nntp-server, gnus-use-cross-reference)
	(gnus-valid-select-methods, total-expire, gnus-summary-line-format)
	(gnus-group-read-only-p): Fix space/tab mixup in docstrings.

2006-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-limit-to-headers): New command and
	keystroke.
	(gnus-summary-limit-to-bodies): Implement headersp.

2006-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Protect against "Process dns deleted" strings.

2006-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-string-to-multibyte): Alias to identity in XEmacs.

2006-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-hashcash): Expand range of values to
	include `opportunistic'.
	(message-send-mail): Use it.

2006-11-18  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Make last fix more thorough
	and comment it.

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update regexp.

2006-11-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-extract-address-components): Improve comment.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-extract-address-components): Work with address in
	which the name portion contains @.

2006-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-start): Move custom group up.
	(gnus-select-method): Don't autoload, but make it available for
	`customize-variable'.
	(gnus-getenv-nntpserver): Don't autoload.

2006-11-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: Revert to 7.82 (removed changes since 2006-10-16).

2006-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-sendmail-extra-arguments): New variable.
	(message-send-mail-with-sendmail): Use it.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Use mm-string-as-unibyte instead of
	mm-with-unibyte-current-buffer to make string unibyte.

	* mm-decode.el (mm-insert-part): Use mm-string-to-multibyte instead of
	mm-string-as-multibyte.

2006-11-14  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Prefix "pgp-" to a micalg value.
	Reported by Werner Koch <wk@gnupg.org>.

2006-11-14  Daiki Ueno  <ueno@p360>

	* mml2015.el: Autoload epa-select-keys when compiling.

2006-11-13  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Save the signing keys in
	message-options.
	(mml2015-epg-encrypt): Save the recipient keys in message-options.

2006-11-13  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-encrypt): Removed backward compatibility for
	EasyPG (< 0.0.6).
	(mml2015-always-trust): New user option.
	(mml2015-epg-passphrase-callback): Display key ID on the passphrase
	prompt.

2006-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-authinfo-force): New variable.
	(nntp-send-authinfo): Use it.

2006-11-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): Allow _not_ to
	decode encoded words.  Improve prompt.  Add comment about forwarding.
	(message-replacement-char): Move up.

2006-11-08  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* gnus-sum.el (gnus-summary-catchup): Use gnus-sorted-intersection
	instead of gnus-intersection because arguments of gnus-sorted-nunion
	must be sorted.  This avoids corruption of gnus-newsgroup-unreads.

2006-11-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): Reformat prompt.
	(message-simplify-subject-functions): Enable
	message-strip-subject-encoded-words by default.

2006-11-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): New function
	(message-simplify-subject-functions): New variable.
	(message-simplify-subject): Use it.  Fix typo in doc string.
	Support message-strip-subject-encoded-words.

2006-11-03  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-delay-format-function):
	* nndiary.el (nndiary-reminders):
	* nnsoup.el (nnsoup-always-save): Use "non-nil" in docstrings.

2006-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-boring-headers): Fetch date from
	gnus-original-article-buffer to avoid problems with localized date
	strings.

2006-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* html2text.el (html2text-format-tags): Avoid infloop on open tags.

2006-10-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-iso-8859-list, mm-codepage-ibm-list):
	New variables.
	(mm-setup-codepage-iso-8859, mm-setup-codepage-ibm): New functions.
	(mm-charset-synonym-alist): Move some entries to
	mm-codepage-iso-8859-list.
	(mm-charset-synonym-alist, mm-charset-override-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

2006-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-set-mode-line): Quote % in group name.

2006-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-make-mode-line-string): Make it compatible
	with Emacs 21 and XEmacs.

2006-10-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-parse-address): New function for better parsing,
	catching errors, etc.
	(spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use it.

2006-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-view.el: Add interactive arg to html2text autoload.

2006-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Use no-encode for `B B'.

2006-10-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-iso-8859-list, mm-codepage-ibm-list): New
	variables.
	(mm-setup-codepage-iso-8859, mm-setup-codepage-ibm): New functions.
	(mm-charset-synonym-alist): Move some entries to
	mm-codepage-iso-8859-list.

	* gnus.el (gnus-getenv-nntpserver, gnus-select-method): Autoload.

2006-10-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-citation-line-format)
	(message-insert-formated-citation-line): Fix implementation of %E, %N
	and %n according to the doc string.

2006-10-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use
	car-safe to avoid bad parses.

2006-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-doc-group): Work for non-ASCII group
	names.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name.

2006-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-edit-message): Make sure to remove Date
	header.

	* message.el (message-draft-headers): Add Date.
	(message-headers-to-generate): Fix typo in docstring.

	* nndraft.el (nndraft-required-headers): New variable.
	(nndraft-generate-headers): Use it.

	* gnus-registry.el (gnus-registry-wash-for-keywords): Bind `word'.

2006-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-wash-for-keywords)
	(gnus-registry-find-keywords): New functions to allow easy searching of
	articles that are in the registry.

2006-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use
	ietf-drums-parse-address instead of gnus-extract-address-components.
	Reported by Damien Elmes <damien@repose.cx>.

2006-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-mime): Remove unused custom group.

2006-10-13  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Use RFC 2440 definition of
	"blank line" when searching for end of armor headers.

2006-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-write-region): Fix variable name.

2006-10-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-write-region): New function based on compatibility
	code from `mm-make-temp-file'.

	* mm-util.el (mm-make-temp-file): Use `gmm-write-region'.

	* nnmaildir.el (nnmaildir--update-nov)
	(nnmaildir-request-replace-article, nnmaildir-request-accept-article):
	Use `gmm-write-region'.

2006-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist, mm-charset-override-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

	* nnheader.el (nnheader-find-file-noselect): Inhibit version-control.

	* message.el (message-replacement-char): New variable.
	(message-fix-before-sending): Use it.
	(message-simplify-subject): New function to remove duplicate code.
	(message-reply, message-followup): Use it.

	* gnus-sum.el (gnus-summary-make-menu-bar): Clarify
	gnus-summary-limit-to-articles.

2006-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-with-local-quit): New macro.

	* gnus-demon.el (gnus-demon): Replace with-local-quit with it.

2006-10-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Another fix to
	ignore non-string data.

2006-09-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Fix to ignore
	non-string data (needs to be done in the registry too).

2006-09-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-save, gnus-registry-cache-save)
	(gnus-registry-remove-alist-text-properties, gnus-registry-action)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-fetch-simplified-message-subject-fast)
	(gnus-registry-fetch-sender-fast, gnus-registry-store-extra-entry):
	Remove text properties on ingress into the registry and when it's saved.
	(gnus-registry-clean-empty-function): Fix bug with cleaning the
	registry from entries with no groups.

2006-09-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Add utility
	function to remove string properties.

2006-09-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm): Adjust custom version.

	* mm-util.el (mm-charset-override-alist, mm-charset-eval-alist): Adjust
	custom version.

	* gnus-draft.el (gnus-draft-mode): Don't call `mml-mode'.

2006-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-insert-prev-page-button)
	(gnus-insert-next-page-button): Simplify.  Reformat.

2006-09-27  Maxime Edouard Robert Froumentin  <max@lapin-bleu.net>

	* gnus-art.el (gnus-insert-prev-page-button)
	(gnus-insert-next-page-button): Apply gnus-article-button-face.

2006-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-demon.el (gnus-demon): Use with-local-quit to avoid hangs.

2006-09-20  Maxime Edouard Robert Froumentin  <max@lapin-bleu.net>

	(gnus-insert-mime-button, gnus-insert-mime-security-button): Apply
	gnus-article-button-face to MIME and security buttons.

2006-09-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp): Try to make the value more
	readable.

2006-09-20  Steve Youngs  <steve@sxemacs.org>

	* gnus-art.el (gnus-article-browse-html-parts): They're files, so use
	`browse-url-of-file' instead of `browse-url'.

2006-09-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.  Articles containing quotation were cut prematurely.

2006-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cite-original-1): Use nobody by default for the
	value of From header.
	(message-reply): Ditto.

2006-09-11  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-clear-decrypt): Don't append verify results
	to the gnus-info.  This fixes a bug of inline-PGP message verification.
	Reported by Michael Piotrowski <mxp@dynalabs.de>.

2006-09-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-leave-mail-on-server): Mention problem of duplicate
	mails in the doc string.  Add some URLs in comment.
	(pop3-movemail): Warn about pop3-leave-mail-on-server.

2006-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings): Fix
	backslashes handling and the way to find boundaries of quoted strings.

2006-09-07  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-encrypt): Simply throw an error if
	mml1991-encrypt-to-self is set and mml1991-signers is not set.
	* mml2015.el (mml2015-epg-encrypt): Simply throw an error if
	mml2015-encrypt-to-self is set and mml2015-signers is not set.

2006-09-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-marker-list): Move up.  Convert comment into
	doc string.
	(gnus-button-regexp, gnus-button-last): Remove unused variables.

2006-09-06  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-use): Doc fix, mention epg.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-use): Default to epg, if available.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-sign): Don't lookup a private key by
	message-sender.
	(mml1991-epg-encrypt): Ditto.
	* mml2015.el (mml2015-epg-sign): Don't lookup a private key by
	message-sender.
	(mml2015-epg-encrypt): Ditto.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-send-mail-with-sendmail): Look for sendmail in
	several common directories.

2006-09-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-encrypt): Expand group configuration.
	* mml1991.el (mml1991-epg-encrypt): Expand group configuration.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Make it fast.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Don't infloop in XEmacs.

	* rfc2047.el (rfc2047-strip-backslashes-in-quoted-strings): Decode `\\'
	in quoted string into `\'.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	Use standard-syntax-table.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-decode-address-function): New variable.
	(article-decode-encoded-words): Use it to decode headers which are
	assumed to contain addresses.
	(gnus-mime-delete-part): Remove useless `or'.

	* gnus-sum.el (gnus-decode-encoded-address-function): New variable.
	(gnus-summary-from-or-to-or-newsgroups): Use it to decode To header.
	(gnus-nov-parse-line): Use it to decode From header.
	(gnus-get-newsgroup-headers): Ditto.
	(gnus-summary-enter-digest-group): Use it to decode `to-address'.

	* mail-parse.el (mail-decode-encoded-address-region): New alias.
	(mail-decode-encoded-address-string): New alias.

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	New function.
	(rfc2047-encode-message-header, rfc2047-encode-region): Use it.
	(rfc2047-strip-backslashes-in-quoted-strings): New fnction.
	(rfc2047-decode-region): Use it; add optional argument `address-mime'.
	(rfc2047-decode-string): Ditto.
	(rfc2047-decode-address-region): New function.
	(rfc2047-decode-address-string): New function.

2006-08-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-caesar-buffer-body): Allow rotating headers.

	* gnus-sum.el (gnus-summary-caesar-message): Allow rotating headers.

	* message.el (message-insert-formated-citation-line): Fix %f.
	Reported by Torsten Bronger <bronger@physik.rwth-aachen.de> .

2006-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-bookmark.el (gnus-bookmark-file-coding-system): New variable.
	(gnus-bookmark-mouse-available-p): New macro.
	(gnus-bookmark-bmenu-list): Use it; use gnus-mouse-2.
	(gnus-bookmark-bmenu-show-infos): Use it.
	(gnus-bookmark-insert-details): Use it; use gnus-mouse-2.
	(gnus-bookmark-bmenu-hide-infos): Ditto.
	(gnus-bookmark-remove-properties): New function.
	(gnus-bookmark-set, gnus-bookmark-make-cell): Use it.
	(gnus-bookmark-set-bookmark-name): Don't use 2nd arg of split-string.
	(gnus-bookmark-write-file): Bind coding-system-for-write.
	(gnus-bookmark-insert-file-format-version-stamp): Add coding cookie.
	(gnus-bookmark-jump): Make completing-read work with XEmacs; activate
	group before selecting it.
	(gnus-bookmark-get-bookmark): Use assoc instead of assoc-string.
	(gnus-bookmark-bmenu-mode-map): Bind `q' to bury-buffer instead of
	quit-window if it is not available; use gnus-mouse-2 and bind it to
	gnus-bookmark-bmenu-select-by-mouse.
	(gnus-bookmark-show-details): Remove unused variable `details-list'.
	(gnus-bookmark-bmenu-select-by-mouse): New function.

2006-08-13  Romain Francoise  <romain@orebokech.com>

	* mm-extern.el (mm-extern-mail-server): End `y-or-n-p' prompt with a
	space.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Use binary rather than raw-text-unix.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Make sure the eol conversion doesn't take
	place when communicating with the external programs.  Reported by
	ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2006-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Fix typo in comment.

2006-07-31  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.
	Make it more robust by parsing author and date independently.

2006-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work with Mac as well.

2006-07-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): If mml2015-signers is not set, use the
	first matching secret key.
	(mml2015-epg-encrypt): Ditto.

	* mml1991.el (mml1991-epg-sign): If mml1991-signers is not set, use the
	first matching secret key.
	(mml1991-epg-encrypt): Ditto.

	* mml2015.el (mml2015-encrypt-to-self): New user option.
	(mml2015-epg-encrypt): Append mml2015-signers to recipients list if
	mml2015-epg-encrypt-to-self is set.

	* mml1991.el (mml1991-encrypt-to-self): New variable.
	(mml1991-epg-encrypt): Append mml1991-signers to recipients list if
	mml1991-epg-encrypt-to-self is set.

	* mml2015.el (mml2015-signers): New user option.
	(mml2015-epg-sign): Reflect the value of mml2015-signers.
	(mml2015-epg-encrypt): Allow to select signing keys.

	* mml1991.el (mml1991-signers): New variable.
	(mml1991-epg-sign): Reflect the value of mml1991-signers.
	(mml1991-epg-encrypt): Allow to select signing keys.

2006-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work even if the file
	uses CRLF for the line-break code.

2006-07-25  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el: Require mml-sec instead of password.
	(mml2015-verbose): Inherit the default value from mml-secure-verbose.
	(mml2015-cache-passphrase): Inherit the default value from
	mml-secure-cache-passphrase.
	(mml2015-passphrase-cache-expiry): Inherit the default value from
	mml-secure-passphrase-cache-expiry.

	* mml1991.el: Require mml-sec instead of password.
	(mml1991-verbose): Inherit the default value from mml-secure-verbose.
	(mml1991-cache-passphrase): Inherit the default value from
	mml-secure-cache-passphrase.
	(mml1991-passphrase-cache-expiry): Inherit the default value from
	mml-secure-passphrase-cache-expiry.

	* mml-sec.el: Require password.
	(mml-secure-verbose): New user option.
	(mml-secure-cache-passphrase): New user option.
	(mml-secure-passphrase-cache-expiry): New user option.

2006-07-24  Daiki Ueno  <ueno@unixuser.org>

	* pgg-def.el (pgg-truncate-key-identifier): Truncate the key ID to 8
	letters from the end.  Thanks to "David Smith" <davidsmith@acm.org> and
	andreas@altroot.de (Andreas V,Av(Bgele)

	FIXME: Use `tiny change'?

2006-07-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-url.el (mm-url-insert-file-contents): Inhibit Connection: close
	workaround for the url package included with Emacs.

	* nnweb.el (nnweb-google-create-mapping): Update regexp.

2006-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-select-newsgroup): Setup the article buffer
	correctly.  This fixes a bug caused by the 2006-05-12 change.

2006-07-18  Karl Fogel  <kfogel@red-bean.com>

	* nnmail.el (nnmail-article-group): If splitting raises an error, give
	some information about the error when saying that the `bogus' mail
	group will be used.

2006-07-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-delete-article): Don't use TAB in doc
	string.

2006-07-16  NAKAJI Hiroyuki  <nakaji@heimat.jp>  (tiny change)

	* mm-util.el (mm-charset-synonym-alist): Map windows-31j to cp932.

2006-07-14  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-start.el (gnus-subscribe-options-newsgroup-method): Doc fix.

2006-07-10  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-function-alist): Add epg.
	(mml1991-epg-passphrase-callback, mml1991-epg-sign)
	(mml1991-epg-encrypt): New functions.

2006-07-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-verbose): New variable.
	(mml2015-cache-passphrase): Ditto.
	(mml2015-passphrase-cache-expiry): Ditto.
	(mml2015-function-alist): Add epg.
	(mml2015-epg-passphrase-callback, mml2015-epg-decrypt)
	(mml2015-epg-clear-decrypt, mml2015-epg-verify)
	(mml2015-epg-clear-verify, mml2015-epg-sign, mml2015-epg-encrypt): New
	functions.

2006-07-08  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-cite-original-1): Preserve region when removing
	quoted text due to X-No-Archive in order to avoid bogus attribution
	when citing multiple messages.

2006-06-27  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-group.el (gnus-group-sort-by-unread): Fix typo.  Reported by
	Kenneth Jacker <khj@be.cs.appstate.edu>.

2006-06-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-user-format-function-d)
	(gnus-user-format-function-D): Autoload.

	* imap.el (Commentary): Fix typo.

	* gnus-util.el (kill-empty-logs, gnus-byte-compile): Remove anonymous
	2006-04-22 contribution.

2006-06-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-valid-select-methods): Revert last change for nnweb.
	It didn't really fix the bogosity I'm seeing with solid web groups.

2006-06-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-valid-select-methods): Declare nnweb with 'address.
	Since revision 6.95 (2003-01-05) of gnus-group.el, solid web groups are
	created using server names.  If we use the feature without declaring
	it, Gnus does not properly manage server and group state.

	* nnweb.el (nnweb-google-search): Respect nnweb-max-hits as upper
	bound.

2006-06-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-find-method-for-group): On killed/unknown groups, try
	looking up the method using GROUP's prefix before inventing a new one.
	It is used on killed/unknown groups in various places where returning
	an all-new method isn't expected by the caller.

	* gnus-util.el (gnus-group-server): Fix for empty virtual server names
	and match semantics of gnus-group-real-prefix.

2006-06-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-broken-references-mailers): New variable.
	(nnmail-ignore-broken-references): New function generalizing
	nnmail-fix-eudora-headers.
	(nnmail-fix-eudora-headers): Now obsolete.

	* gnus-art.el (gnus-button-handle-custom): Support
	`customize-apropos*'.

2006-06-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-hide-headers): Inhibit read-only stuff.

	* gnus-group.el (gnus-fetch-group): Document ARTICLES and select those
	articles.

2006-06-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-reply-above): New variable.
	(message-yank-original): Use it.

2006-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Allow `*'s in parameter values.

2006-06-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-bookmark.el (gnus-bookmark-jump): Don't mark unrelated articles
	as read.

	* gnus-group.el (gnus-group-quick-select-group): Add GROUP argument.

2006-06-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-bookmark.el: Fix Copyright, keywords, whitespace, etc.
	(gnus-bookmark-default-file): Use gnus-directory.
	(gnus-bookmark-bmenu-file-column, gnus-bookmark-use-annotations):
	Remove "*" in doc string.
	(gnus-bookmark-write-file): Simplify.
	(gnus-bookmark-maybe-sort-alist): Use `when'.
	(gnus-bookmark-get-bookmark): Fix typo in doc string.
	(gnus-bookmark-set-bookmark-name, gnus-bookmark-get-bookmark): Add
	FIXME about Emacs 21 and XEmacs compatibility.
	(gnus-bookmark-set-bookmark-name): Use `gnus-replace-in-string' for
	compatibility.
	(gnus-bookmark-bmenu-mode): Use `gnus-run-mode-hooks' for
	compatibility.
	(gnus-bookmark-menu-heading): Fix version.

2006-06-19  Bastien Guerry  <bzg@altern.org>

	* gnus-bookmark.el: New file.

2006-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.

2006-06-17  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-srvr.el (gnus-browse-unsubscribe-group): Don't subscribe
	unsubscribed groups as if they were killed ones.  It causes duplicate
	entries in gnus-newsrc-alist.

2006-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.
	(message-send-mail): Add check for continuation headers.
	(message-check-news-header-syntax): Fix regexp used to check for
	continuation headers.

2006-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-display-mime): Make sure body ends with newline.

2006-06-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-toggle-truncate-lines): Fix code.

2006-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-truncate-lines): Default to the value of
	default-truncate-lines.

2006-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-mime-mule-charset-alist): Use unicode-precedence-list
	to fill the utf-8 entry.

2006-06-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.

2006-05-30  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (directory-files-and-attributes): Move all the way
	forward (the third and final move).
	(gnus-agent-read-agentview): Trap reconstruction errors due to
	nonexistant directory.  Handle by returning nil.

2006-05-30  Didier Verna  <didier@xemacs.org>

	* message.el (message-dont-reply-to-names): Update the custom type.
	* message.el (message-dont-reply-to-names): New defsubst: potentially
	convert a list of regexps into a single one.
	* message.el (message-get-reply-headers): Use it.
	* nnmail.el (nnmail-fancy-expiry-target): Ditto.

2006-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (directory-files-and-attributes): Move forward.

2006-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-ml.el (gnus-mailing-list-subscribe)
	(gnus-mailing-list-unsubscribe, gnus-mailing-list-owner)
	(gnus-mailing-list-message): Fix doc strings.

2006-05-29  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-ml.el (gnus-mailing-list-message): Use gnus-url-mailto instead
	of doing it manually.

2006-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-toggle-truncate-lines): Fix typo in
	comment.

2006-05-29  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (Added gnus-agent-flush*) to purge agent info.
	(gnus-agent-read-agentview): Fixed handling of end-of-file error.
	(gnus-agent-read-local): All symbols allocated in my-obarray
	(gnus-agent-set-local): Skip invalid entries (min and/or max is nil).
	(gnus-agent-regenerate-group): Check numeric names to see if they are
	messages or groups.
	(gnus-agent-total-fetched-for): Ignore 'dummy.group' (there should be a
	better way of do this...)

	* gnus-cache.el (gnus-agent-total-fetched-for): Ignore
	'dummy.group' (there should be a better way of do this...)

2006-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-save-all-headers): Mention it might be overridden.
	(gnus-saved-headers): Ditto.
	(gnus-default-article-saver): Mention functions may have properties.
	(gnus-article-save): Override gnus-save-all-headers and
	gnus-saved-headers by :headers property which saver function may have.
	(gnus-summary-save-in-file): Add :headers property.
	(gnus-summary-write-to-file): Ditto.

	* gnus-sum.el (gnus-summary-save-article): Bind
	gnus-prompt-before-saving to t when saving many articles in a file;
	always show all headers.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-rearrange-article): Add missing citation
	marks.

	* message.el (message-indent-citation): Add optional arguments to allow
	using it outside of message buffers.

	* gnus-art.el (gnus-article-unfold-long-headers): New variable.
	(gnus-article-treat-unfold-headers): Use it.
	(gnus-article-truncate-lines): New variable.
	(gnus-article-mode): Use it.
	(gnus-article-toggle-truncate-lines): New function.

	* gnus-sum.el (gnus-summary-wash-map, gnus-summary-make-menu-bar): Add
	gnus-article-toggle-truncate-lines.

	* uudecode.el (uudecode-decode-region-external): nil isn't a valid
	coding system in XEmacs, use binary.

2006-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-enrich-utf-8-by-mule-ucs): Don't edit
	after-load-alist.

	* gnus-art.el (gnus-summary-save-in-file): Use property to specify
	this function should save decoded articles.
	(gnus-summary-write-to-file): Use property to specify this function
	should save decoded articles and specify gnus-summary-save-in-file
	should be used to save articles other than the first one when saving
	many articles.
	(gnus-summary-save-body-in-file): Use property to specify this
	function should save decoded articles.
	(gnus-summary-write-body-to-file): Use property to specify this
	function should save decoded articles and specify
	gnus-summary-save-body-in-file should be used to save articles other
	than the first one when saving many articles.

	* gnus-sum.el (gnus-summary-save-article): Simplify.

2006-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver): Add
	gnus-summary-write-body-to-file.
	(gnus-article-save-coding-system): Don't use coding system object
	in XEmacs.
	(gnus-read-save-file-name): Add optional `dir-var' argument which
	specifies directory in which files are saved; work even if optional
	`variable' argument is not specified.
	(gnus-summary-write-to-file): Read file name.
	(gnus-summary-save-body-in-file): Add optional `overwrite' argument.
	(gnus-summary-write-body-to-file): New function.

	* gnus-sum.el (gnus-newsgroup-last-directory): New variable.
	(gnus-summary-local-variables): Add it.
	(gnus-summary-save-map): Add gnus-summary-write-article-body-file.
	(gnus-summary-save-article): Remove optional `decode' argument;
	determine whether to decode articles by the value of
	gnus-default-article-saver; when saving many files using
	gnus-summary-write-to-file or gnus-summary-write-body-to-file, use
	it first and use gnus-summary-save-in-file or
	gnus-summary-save-body-in-file thereafter unless
	gnus-prompt-before-saving is always; move point to article which
	will be saved.
	(gnus-summary-save-article-file): Revert.
	(gnus-summary-write-article-file): Revert.
	(gnus-summary-save-article-body-file): Revert.
	(gnus-summary-write-article-body-file): New function.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-article): Remove comment.

2006-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver): Doc fix.
	(gnus-article-save-coding-system): Move from gnus-sum.el, rename
	from gnus-summary-save-article-coding-system, and default to a
	certain coding system.
	(gnus-output-to-file): Add coding cookie and encode text according
	to gnus-article-save-coding-system; don't use mm-append-to-file.

	* gnus-sum.el (gnus-summary-save-article-coding-system): Move to
	gnus-art.el and rename to gnus-article-save-coding-system.
	(gnus-summary-save-article): Require gnus-art; don't show all
	headers if it decodes articles; don't add coding cookie here;
	don't bind mm-text-coding-system-for-write.
	(gnus-summary-save-article-file): Save decoded articles.
	(gnus-summary-write-article-file): When saving many files, use
	gnus-summary-write-to-file first and gnus-summary-save-in-file
	thereafter unless gnus-prompt-before-saving is always.
	(gnus-summary-save-article-body-file): Save decoded articles.

2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnrss.el (nnrss-check-group): Bind hash-index.

2006-05-23  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* nnrss.el (nnrss-check-group): Use the md5sum of the whole RSS item as
	its hash index.  Store this hash in `nnrss-group-data'.
	(nnrss-read-group-data): Update accordingly.

2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Improve gnus-button-handle-symbol
	entry.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add
	gnus-article-browse-html-article.

2006-05-23  Hynek Schlawack  <hynek@ularx.de>

	* gnus-sum.el (gnus-summary-mime-map): Add
	gnus-article-browse-html-article.
2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-save-article-coding-system): Offer some
	suitable coding systems in customize.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-sources): Fix custom type.

2006-05-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-save-article-mail): Clarify doc string.
	(gnus-summary-expire-articles-now): Shorten prompt.

	* gmm-utils.el (wid-edit): Require.
	(defun-gmm): Renamed from `gmm-defun-compat'.
	(gmm-image-search-load-path): Use it.
	(gmm-image-load-path-for-library): Use it.  Sync with `mh-compat.el'.

2006-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-save-article-coding-system): New
	variable.
	(gnus-summary-save-article): Add optional `decode' argument.  If
	it is set and gnus-summary-save-article-coding-system is non-nil,
	save decoded article.
	(gnus-summary-write-article-file): Save decoded article if
	gnus-summary-save-article-coding-system is non-nil.

	* ecomplete.el (ecomplete-database-file-coding-system): Fix custom
	type.

2006-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (easy-menu-define): Use :active instead of :enable.

2006-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Go to summary buffer
	first to test gnus-single-article-buffer which may be buffer-local.

	* gnus-sum.el (gnus-summary-setup-buffer): Make
	gnus-single-article-buffer buffer-local and nil in ephemeral
	group; make gnus-article-buffer, gnus-article-current, and
	gnus-original-article-buffer always buffer-local.
	(gnus-summary-exit): Kill article buffer belonging to ephemeral
	group.
	(gnus-handle-ephemeral-exit): Don't move to next summary line.

2006-05-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnml.el (nnml-request-compact-group): Compressed files might not
	have .gz extension.

2006-05-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-dissect-buffer): Remove spurious double assignment.
	(mm-copy-to-buffer): Use with-current-buffer.
	(mm-display-part): Simplify.
	(mm-inlinable-p): Add optional arg `type'.

2006-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-mime-view-part-as-type): Add optional PRED arg.
	(gnus-mime-view-part-externally, gnus-mime-view-part-internally):
	Try harder to show the attachment internally or externally using
	gnus-mime-view-part-as-type.

2006-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-from-style, message-signature-separator)
	(message-user-organization-file, message-send-mail-function)
	(message-citation-line-function, message-yank-prefix)
	(message-indent-citation-function, message-signature)
	(message-signature-file, message-signature-insert-empty-line):
	Remove autoloads.

	* gnus-art.el (gnus-buttonized-mime-types): Remove
	"multipart/signed".  Revert 2006-04-26 change.

2006-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2006-05-01  Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: No Gnus v0.5 is released.

2006-04-30  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-request-article): Do proper xwfu encoding when
	fetching articles by message-id.

2006-04-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (hashcash): Require hashcash as normal.

	* ecomplete.el (ecomplete-highlight-match-line): Use
	point-at-eol.
	(ecomplete-highlight-match-line): Use `highlight', because that
	face exists in both Emacs and XEmacs.

	* message.el (message-display-abbrev): Use point-at-bol.

	* mail-source.el: Don't require timer/timer-funcs.

	* gnus-async.el: Ditto.

	* password.el: Ditto.

	* mm-url.el: Ditto.

	* mm-util.el: Require timer/timer-funcs.

2006-04-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-url.el (mm-url-insert-file-contents): Don't set Connection:
	Close.

2006-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Assume buffer is made
	unibyte after clear-decrypt function runs.

	* mml2015.el (mml2015-pgg-clear-decrypt): Treat data which pgg
	returns as a unibyte string.

2006-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): No need to load pgg.el, which is
	always loaded by way of gnus-art.el -> mm-uu.el -> mml2015.el.
	(mml1991-pgg-encrypt): Ditto.

2006-04-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-user-organization-file): Check several
	locations of the organization file.

	* gnus-sum.el (gnus-summary-mime-map, gnus-summary-make-menu-bar):
	Add gnus-article-view-part-as-type.

	* gnus-art.el (gnus-article-view-part-as-type): New function.

	* message.el (message-valid-fqdn-regexp): Add TLDs .cat, jobs,
	.mobi and .travel.  Remove .nato, .bitnet and .uucp.

	* mml.el: Simplify autoload.
	(mml-mode): defvar dnd-protocol-alist instead of using
	symbol-value.
	(mml-default-directory): New variable.
	(mml-minibuffer-read-file): Use it.
	(mml-dnd-protocol-alist, mml-dnd-attach-options): Adjust :version.

	* message.el (message-citation-line-format): New variable.
	(message-insert-formated-citation-line): New function.
	(message-citation-line-function): Add
	`message-insert-formated-citation-line' to custom type.

	* mm-decode.el (mm-verify-option): Add gnus-buttonized-mime-types
	to doc string.

	* gnus-art.el (gnus-buttonized-mime-types): Add "multipart/signed"
	depending on mm-verify-option.

2006-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): Make sure to load pgg.el before
	binding pgg-* variables; reimplement the section which prevents
	MIME header from being signed.
	(mml1991-pgg-encrypt): Make sure to load pgg.el before binding
	pgg-text-mode; remove a blank line at the top of body.

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Don't remove blank
	lines at the top of body; use gnus-newsgroup-charset if there's no
	Charset header.

2006-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-self-insert-commands): Doc fix.

	* mm-uu.el (mm-uu-pgp-signed-test): Erase prompt.
	(mm-uu-pgp-encrypted-test): Ditto.
	(mm-uu-pgp-encrypted-extract-1): Make sure there's a blank line
	between header and body; return application/pgp-encrypted handle
	if decryption failed; decode decrypted body by charset.

	* mm-decode.el (mm-automatic-display): Don't make application/pgp
	element match to application/pgp-*.

2006-04-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-wash-article): Sync up to new Google
	HTML.

2006-04-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-call-script): Message the error
	string.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el (gnus-byte-compile): Use it.

2006-04-22  xyblor  <fake@invalid.email>  (Tiny change.)

	* gnus-util.el (kill-empty-logs): New function.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mail-alias-type): Doc fix.
	(message-mail-alias-type-p): New function.
	(message-send): Use it.
	(message-mode): Ditto.
	(message-strip-forbidden-properties): Ditto.

	* ecomplete.el (ecomplete-database-file-coding-system): New
	variable.
	(ecomplete-save): Use it.
	(ecomplete-setup): Use it.

2006-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-self-insert-commands): New variable.
	(message-strip-forbidden-properties): Use it.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Use a regexp
	that doesn't make XEmacs choke.

2006-04-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-replace-in-string):
	Prefer replace-regexp-in-string over of replace-in-string.

2006-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-select-frame-set-input-focus):
	Use select-frame-set-input-focus if it is available in XEmacs; use
	definition defined in Emacs 22 for old Emacsen.

2006-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Use equal instead of equalp.

2006-04-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-cache-save): Remove text
	properties when saving via the temp buffer.

2006-04-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-generate-hashcash): Honor custom type.

2006-04-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-hashcash): Default to non-nil when
	hashcash is found.

	* gnus-sum.el (gnus-summary-expire-articles-now): Clarify prompt.
	(gnus-refer-thread-limit): Increase default to 500.

	* mm-view.el (mm-inline-text): Supply delsp to flow-fill.

	* flow-fill.el (fill-flowed): Allow delete-space.

2006-04-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-deuglify-unwrap-min)
	(gnus-outlook-deuglify-unwrap-max, gnus-outlook-display-hook):
	Remove autoloads.

2006-04-18  Simon Josefsson  <jas@extundo.com>

	* message.el (message-generate-hashcash): Default to.

2006-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Decode encoded value after
	concatenating segments rather than before concatenating them.

2006-04-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el: Move comment to gnus-group-update-tool-bar.

	* imap.el (imap-quote-specials): New function.
	(imap-login-auth): Quote specials.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2231.el (rfc2231-parse-string): Sort the parameters first.

	* message.el (message-forward-make-body-plain): Allow
	message-forward-ignored-headers to be a list.
	(message-remove-ignored-headers): Factor out into function.
	(message-forward-make-body-mml): Use it.
	* rfc2231.el (rfc2231-parse-string): Remove dead code.
	(rfc2231-parse-string): Allow concatanation of parameters that
	aren't contiguous.  The test case is
	  (mail-header-parse-content-type "message/external-body;
	    name*0*=us-ascii''~%2ffoo%2fbar%2fbaz%2fxyzzy%2f;
	    access-type=LOCAL-FILE;
	    name*1*=plugh%2fhello-sailor%2fbing.pdf")

2006-04-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-accept-process-output): Return the value of
	`nnheader-accept-process-output'.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-treat-types): Add text/x-patch.
	(gnus-button-alist): Recognize more diff formats.
	(gnus-button-patch): Strip directory.

2006-04-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-select-frame-set-input-focus): Check for
	Emacs 22 when setting focus.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-treat-types): Do treatment of
	text/x-verbatim parts.
	(gnus-button-patch): New command.

	* ietf-drums.el (ietf-drums-parse-address): Attempt parsing
	addresses that contain invalid characters.

2006-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Use
	gnus-replace-in-string.
	(message-is-yours-p): Use the more correct
	mail-header-parse-address instead of
	mail-extract-address-components.
	(message-put-addresses-in-ecomplete): Fix typo.

	* gnus-sum.el (gnus-summary-limit-to-bodies): New command and
	keystroke.

	* gnus-art.el (gnus-treatment-function-alist): Change order of
	newsgroups/generic header folding to avoid double-folding.

	* message.el (message-hidden-headers): Add X-Draft-From.

	* gnus-sum.el (gnus-summary-repeat-search-article-forward): New
	command.
	(gnus-summary-repeat-search-article-backward): New command.

	* gnus-topic.el (gnus-topic-display-missing-topic): Skip past
	groups in the parent topic.

2006-04-16  Jo,Ac(Bo Cachopo  <joao.cachopo@inesc-id.pt>  (tiny change)

	* spam.el (spam-necessary-extra-headers): Add X-CRM114-Status.
	(spam-extra-header-to-number): Return the CRM114 number as a
	number instead of a string.

2006-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-face-properties-alist): Moved here from
	gnus-fun.

	* gnus-fun.el (gnus-face-properties-alist): Move to gnus-art.

2006-04-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-strip-forbidden-properties): Only display on
	self-insert-command.

	* hashcash.el (hashcash-insert-payment-async): Remove dead code;
	reindent.
	(hashcash-insert-payment-async-2): Make sure the buffer is alive.

2006-04-15  NAKAJI Hiroyuki  <nakaji@takamatsu-nct.ac.jp>  (tiny change)

	* smiley.el (smiley-style): Fix typo.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-encode-string): Use mm-disable-multibyte
	instead of set-buffer-multibyte.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Work on unibyte
	buffer and then decode the buffer text if necessary.
	(rfc2231-encode-string): Be sure to work on multibyte buffer at
	first, and after mm-encode-body, change the buffer to unibyte.

2006-04-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* hashcash.el (hashcash-insert-payment-async-2): Use
	message-goto-eoh instead of doing it manually.
	(mail-add-payment): Use message-narrow-to-header instead of trying
	to do the same itself.

	* message.el (message-hidden-headers): Add Face.

	* gnus-sum.el (gnus-summary-reparent-thread): Factor out
	reparenting code.
	(gnus-summary-reparent-children): Refactored out code.
	(gnus-summary-thread-map): New keystroke.
	(gnus-summary-reparent-children): Make into command.

	* smiley.el (smiley-style): Default to `medium' if using a large
	font.

	* gnus-sum.el (unmorse-region): Remove autoload, because morse.el
	does it itself.

	* message.el (message-point-in-header-p): Simplify definition.

2006-04-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnagent.el (nnagent-request-set-mark): Silence log file
	writing.
	(nnagent-request-set-mark): Use write-region instead of
	append-to-file.

	* gnus-sum.el (gnus-read-header): Fudge article number if using a
	strange select method.

	* ecomplete.el (ecomplete-display-matches): Get highlightling
	right.
	(ecomplete-display-matches): Use literals.
	(ecomplete-display-matches): Disable message logging.

	* message.el (message-display-abbrev): Small optimization.

	* ecomplete.el (ecomplete-display-matches): Allow automatic
	display.

	* message.el (message-strip-forbidden-properties): Display
	abbrevs.
	(message-display-abbrev): Get automatic display right.

	* ecomplete.el (ecomplete-display-matches): Use M-n/M-p
	keystrokes.

2006-04-13  Romain Francoise  <romain@orebokech.com>

	TODO: Backport to v5-10!

	* gnus-util.el (gnus-alist-to-hashtable, gnus-hashtable-to-alist):
	Moved here (and renamed) from gnus-registry.el.

	* gnus-registry.el: Require gnus-util.
	Use `gnus-alist-to-hashtable' and `gnus-hashtable-to-alist'.

2006-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-catchup-current): Change
	if-then-else-if-then-else into cond.
	(gnus-group-catchup): Indent.
	(group-name-at-point): New function.
	(gnus-fetch-group): Provide default from thing at point.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-display-abbrev): Fix regexp.

	* ecomplete.el (ecomplete-highlight-match-line): Reimplement
	choosing.
	(ecomplete-highlight-match-line): Fix up code rewrite, remove
	dead variables.

	* message.el (message-newline-and-indent): Remove debugging.
	(message-display-abbrev): Use new implementation.

2006-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode): Set
	cursor-in-non-selected-windows to nil.

	* smiley.el: Revert previous change.
	(smiley-data-directory): defvar it before using it in the
	defcustom of `smiley-style'.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-newline-and-indent): New function.

	* ecomplete.el: Implement more bits.

	* message.el (message-put-addresses-in-ecomplete): Clean up the
	string.

	* ecomplete.el (ecomplete-add-item): Chop off decimals.

	* gnus-sum.el (gnus-summary-save-parts): Bind
	gnus-summary-save-parts-counter and use it to make unique file
	names.

	* gnus-art.el (gnus-ignored-headers): Add some more headers.

	* ietf-drums.el (ietf-drums-parse-addresses): Take a RAWP
	parameter to say whether to actually parse the individual
	addresses.

	* message.el (message-put-addresses-in-ecomplete): New function.
	(ecomplete): Require.
	(message-mail-alias-type): Add ecomplete as an option.

2006-04-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* flow-fill.el (fill-flowed): Remove trailing space from blank
	quoted lines.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* smiley.el (smiley-style): Move definition later to avoid a
	compilation warning.

2006-04-12  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Work on unibyte
	buffer and then decode the buffer text if necessary.
	(rfc2231-encode-string): Be sure to work on multibyte buffer at
	first, and after mm-encode-body, change the buffer to unibyte.
	Use mm-disable-multibyte instead of set-buffer-multibyte.

2006-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-copy-part): Find name parameter in
	Content-Type header instead of Content-Disposition header.
	(gnus-mime-inline-part): Ditto.
	(gnus-mime-view-part-as-charset): Ignore charset that the part
	specifies.

	* mm-decode.el (mm-display-part): Work with external parts and
	usual parts similarly.

	* mm-extern.el (mm-inline-external-body): Use mm-display-part
	instead of gnus-display-mime.

	* mm-util.el (mm-decompress-buffer): Use mm-with-unibyte-buffer
	instead of with-temp-buffer.

	* gnus-uu.el (gnus-uu-save-article): Put mml tags instead of part
	tag to summarized topics part in order to encode non-ASCII text.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el (smiley-style): New variable.
	(smiley-directory): New function.
	(smiley-data-directory): Derive from `smiley-style' using
	`smiley-directory'.
	(smiley-regexp-alist): Add new entries.

	* gnus-art.el (gnus-button-valid-localpart-regexp): Exclude `@'.
	(gnus-article-browse-delete-temp): Add :version.

2006-04-11  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* gnus-sieve.el (gnus-sieve-generate): Delete from the start of
	the sieve region.

2006-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: No Gnus v0.4 is released.

2006-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Fix up to new
	layout.

	* rfc2047.el (rfc2047-decode-encoded-words): Don't message about
	unknown charset.

	* message.el (message-header-synonyms): Add Original-To to the
	default.

	* gnus-sum.el (gnus-get-newsgroup-headers-xover): group is an
	optional parameter.

2006-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-fun.el (gnus): Require it for gnus-directory.

2006-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-fun.el (gnus-face-properties-alist): Add :version.

2006-04-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-filter): Fix.

2006-04-05  Simon Josefsson  <jas@extundo.com>

	* password.el (password-reset): New function.

2006-04-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-encrypt-region, pgg-gpg-sign-region): Wait
	for BEGIN_SIGNING too, new in GnuPG 1.4.3.

2006-04-04  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-create-mapping): Update regexp.
	Some whitespace was matched into the url, which broke browsing hits
	> 100 when mm-url-use-external was nil.

2006-04-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Check
	gnus-extra-headers for 'Newsgroups.

	* message.el (message-tool-bar-gnome): Check if `flyspell-mode' is
	bound.

2006-04-04  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Clean up process buffers every time gpg processes
	complete.

2006-04-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-fun.el (gnus-convert-image-to-face-command): Fix typo in
	doc string.

2006-04-03  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-filter)
	(pgg-gpg-wait-for-completion): Check if buffer is alive.

	* pgg-gpg.el (pgg-gpg-process-sentinel): Don't remove GNUPG:
	lines, temporary fix.

2006-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-update-tool-bar): Add :initialize and :set.

2006-03-29  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-start-process): Don't bind
	default-enable-multibyte-characters.  This reverts the change from
	revision 6.17 which is no longer necessary because the passphrase
	is sent separately now.  GnuPG messages are unreadable under
	multibyte locales with default-enable-multibyte-characters set to
	nil.

2006-03-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-gnome): Move "spell".

2006-03-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Don't use
	XEmacs-only `replace-in-string'.  Use `gnus-group-real-name'
	instead.

2006-03-27  Karl Kleinpaste  <karl@charcoal.com>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Improve
	newsgroups handling for NNTP overviews which don't include
	Newsgroups.

2006-03-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-resend): Bind message-generate-hashcash to nil.

2006-03-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* hashcash.el (hashcash-already-paid-p): Bind case-fold-search
	when searching for already-paid recipients.

2006-03-27  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Invoke gpg asynchronous, to avoid querying for
	passphrases when it is not needed.
	(pgg-gpg-use-agent): Add, to hard code that pgg shouldn't wait for
	passphrase stuff from gpg, should only be necessary when you use
	gpg with a smartcard.

2006-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-insert-mime): Ignore cached contents of
	message/external-body part.

	* mm-decode.el (mm-get-part): Add optional 'no-cache' argument.
	(mm-insert-part): Ditto.

2006-03-23  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-update-agent): Add again, with fixes from
	Reiner.
	(pgg-gpg-use-agent-p): Use it again.

2006-03-23  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-update-agent): Remove, doesn't work with
	older emacsen.
	(pgg-gpg-use-agent-p): Don't use it.

2006-03-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* pgg-gpg.el (pgg-gpg-update-agent): Only use make-network-process
	if we can.

2006-03-22  Sascha Wilde  <wilde@sha-bang.de>

	* pgg-gpg.el (pgg-gpg-use-agent): Disable by default.
	(pgg-gpg-update-agent): New function.
	(pgg-gpg-use-agent-p): New function.
	(pgg-gpg-process-region, pgg-gpg-encrypt-region)
	(pgg-gpg-encrypt-symmetric-region, pgg-gpg-decrypt-region)
	(pgg-gpg-sign-region): Use it.

2006-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-map-articles): Don't funcall symbol macro.
	Reported by Ralf Wachinger <rwachinger@gmx.de>.

2006-03-21  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el: Ideas below based on patch from Sascha Wilde
	<wilde@sha-bang.de>.
	(pgg-gpg-use-agent): New variable.
	(pgg-gpg-process-region): Use it.
	(pgg-gpg-encrypt-region): Likewise.
	(pgg-gpg-encrypt-symmetric-region): Likewise.
	(pgg-gpg-decrypt-region): Likewise.
	(pgg-gpg-sign-region): Likewise.
	(pgg-gpg-possibly-cache-passphrase): Don't cache a nil password.

2006-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-queue-mail): Fix custom tag for `t'.

	* spam.el (spam-mark-new-messages-in-spam-group-as-spam):
	Add comment on version.

2006-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add missing test smiley.

2006-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-with-part): New macro.
	(mm-get-part): Use it; work with message/external-body as well.
	(mm-save-part): Treat name and filename equally.

	* mm-extern.el (mm-extern-cache-contents): New function.
	(mm-inline-external-body): Use it; force the part to be displayed;
	move undisplayer added to the cached handle to the parent.

	* gnus-art.el (gnus-mime-save-part-and-strip): Add name parameter.
	(gnus-mime-view-part-as-type): Work with message/external-body.

	* gnus-util.el (gnus-tool-bar-update): Bind tool-bar-mode.

2006-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Prefer user's
	images in image-load-path.  [Sync with image.el, revision 1.60, in
	Emacs.]

2006-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Pass value of
	path rather than symbol.  Always return list of directories.
	Guarantee that image directory comes first.  [Sync with image.el,
	revision 1.59, in Emacs.]

	* message.el (message-make-tool-bar): Adjust to new API of
	`gmm-image-load-path-for-library'.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* gnus-group.el (gnus-group-make-tool-bar): Ditto.

2006-03-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-art.el (gnus-article-only-boring-p):
	Bind inhibit-point-motion-hooks to avoid infinite loop when entering
	intangible text.
	Reported by Ralf Wachinger <rwnewsmampfer@geekmail.de>.

2006-03-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Fix typo.  Use
	`defun' instead of `gmm-defun-compat'.

2006-03-14  Simon Josefsson  <jas@extundo.com>

	* message.el (message-unique-id): Don't use message-number-base36
	if (user-uid) is a float.
	Reported by Bjorn Solberg <bjorn_ding1@hekneby.org>.

2006-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect): Dissect all parts correctly.

	* gnus-art.el (gnus-mime-display-single): Make sure there is an
	empty line between a part and a message part.

2006-03-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add more test smileys.
	(smiley-data-directory, smiley-regexp-alist)
	(gnus-smiley-file-types): Fix doc strings.
	(smiley-update-cache): Clear smiley-cached-regexp-alist before
	adding new elements.
	(smiley-mouse-map): Unused code.  Make it a comment.

2006-03-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-scan-groups): Add autoload cookie;
	scan latest NoCeM messages instead of old ones.
	(gnus-nocem-check-article): Fix regexps so as to match to PGP
	delimiters that are recently used.
	(gnus-nocem-load-cache): Add autoload cookie.

	* gnus.el (gnus-use-nocem): Enable it to be set to also a number.

	* gnus-start.el (gnus-setup-news): Scan NoCeM messages if a group
	level which is larger than gnus-use-nocem is specified.

	* gnus-group.el (gnus-group-get-new-news): Ditto.

2006-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-tool-bar-update): New function.

	* gnus-group.el (gnus-group-update-tool-bar): New variable.
	(gnus-group-insert-group-line): Add gnus-tool-bar-update.

	* gnus-topic.el (gnus-topic-prepare-topic): Add gnus-tool-bar-update.

	* gnus-group.el (gnus-group-redraw-when-idle)
	(gnus-group-redraw-check): Remove.
	(gnus-group-make-tool-bar): Remove gnus-group-redraw-check.

2006-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-split-it): Invert match-partial-words behavior
	if optional last element is specified in splits (FIELD VALUE...).

2006-03-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-tool-bar): Rename gmm-image-load-path
	to gmm-image-load-path-for-library.  Call with no-error argument.
	(message-tool-bar-gnome): Rename "mail/attach" to "attach".

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* gnus-group.el (gnus-group-make-tool-bar): Ditto.

	* gmm-utils.el (gmm-image-load-path): Remove alias.

2006-03-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path): Add alias.

	* nnml.el (nnml-generate-nov-databases-directory): Rename from
	nnml-generate-nov-databases-1.
	(nnml-generate-nov-databases): Use it.
	(nnml-generate-nov-databases-directory): Document no-active
	argument.

	* gmm-utils.el (gmm-image-load-path-for-library): Return single
	directory if path is t.  Add no-error.

	* gnus-group.el (gnus-group-make-tool-bar): Use add-hook.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

	* gnus-art.el (gnus-article-browse-delete-temp-files): Simplify
	resetting gnus-article-browse-html-temp-list.

	* gmm-utils.el (gmm-image-load-path-for-library): Sync with
	mh-compat.el revision 1.9 in Emacs.  Rename `gmm-image-load-path'.
	Add example to docstring.  Rename local variables.  Move error
	checks to default case in cond and simplify.

2006-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-cid-retrieve-1): Check carefully whether
	handle is multipart when calling it recursively.
	(mm-w3m-cid-retrieve): Display warning if retrieving fails.

2006-03-03  Daniel Pittman  <daniel@rimspace.net>

	* nnimap.el (nnimap-request-update-info-internal): Optimize.
	Don't `gnus-uncompress-range' to avoid excessive memory usage.

2006-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-tool-bar-gnome): Check if gnus-topic.el
	is loaded.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Check if spam.el is
	loaded.

2006-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-with-unibyte-current-buffer): Change "Emacs 23"
	to "Emacs 23 (unicode)" in doc string.

	* gnus-sum.el (gnus-summary-set-display-table): Change "Emacs 23" to
	"Emacs 23 (unicode)" in comment.

2006-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-get-part): Don't use mm-with-unibyte-current-buffer.

	* gnus-sum.el (gnus-summary-set-display-table): Don't nix out
	characters 160 through 255 in Emacs 23.

2006-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-temp-list): Rename from
	gnus-article-browse-html-temp.
	(gnus-article-browse-delete-temp): Make it customizable.  Add
	`file'.  Adjust doc string.
	(gnus-article-browse-delete-temp-files): Add argument.  Allow
	query for each file.  Adjust doc string.
	(gnus-article-browse-html-parts): Add
	`gnus-article-browse-delete-temp-files' to
	`gnus-summary-prepare-exit-hook' and `gnus-exit-gnus-hook'.

2006-03-02  Hynek Schlawack  <hynek@ularx.de>

	* gnus-art.el (gnus-article-browse-html-temp)
	(gnus-article-browse-delete-temp): New variables.
	(gnus-article-browse-delete-temp-files): New function.
	(gnus-article-browse-html-parts): Use it.

2006-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-redraw-check): Remove redundant tests.

	* gmm-utils.el (gmm-image-load-path): Mention ../etc search in doc
	string.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Don't use
	gnus-summary-insert-new-articles when unplugged.  Remove
	gnus-summary-search-article-forward.

	* gmm-utils.el (gmm-tool-bar-style): Test tool-bar-mode and
	display-visual-class instead of display-color-cells.

2006-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Encode parts other than text/* or
	message/* containing non-ASCII text properly.

2006-03-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Require gmm-utils, remove autoloads.
	(message-tool-bar): Set default based on
	gmm-tool-bar-style.
	(message-tool-bar-gnome): Add gmm-customize-mode.

	* gnus-sum.el (gnus-summary-tool-bar): Set default based on
	gmm-tool-bar-style.
	(gnus-summary-tool-bar-gnome): Add gmm-customize-mode.

	* gnus-group.el (gnus-group-tool-bar): Set default based on
	gmm-tool-bar-style.
	(gnus-group-tool-bar-gnome): Add gmm-customize-mode.

	* gmm-utils.el (gmm-image-directory): Rename variable from
	gmm-image-load-path.
	(gmm-image-load-path): Use gmm-image-directory.
	(gmm-customize-mode): New function.
	(gmm-tool-bar-style): New variable.

	* gnus-group.el (gnus-group-redraw-when-idle): Rename from
	gnus-group-redraw-line-number.
	(gnus-group-redraw-check): Simplify.
	(gnus-group-tool-bar-update): Remove redraw check.
	(gnus-group-make-tool-bar): Add redraw check.

2006-03-01  Michael Piotrowski  <mxp@dynalabs.de>  (tiny change)

	* gnus-art.el (gnus-button): Add missing parentheses.

2006-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-with-unibyte-current-buffer): Add note.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button): New face.
	(gnus-article-button-face): Use it.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Add
	gnus-summary-next-page.  Re-order.

	* gnus-group.el (gnus-group-tool-bar-gnome): prev-node and
	next-node are now included.
	(gnus-group-redraw-line-number): New internal variable.
	(gnus-group-redraw-check): Helper function for updating the tool
	bar.
	(gnus-group-tool-bar-update): Add gnus-group-redraw-check.

	* gmm-utils.el (gmm-tool-bar-item): Add TODO about modifiers.

	* spam.el (spam-spamassassin-score-regexp): New internal variable.
	(spam-extra-header-to-number, spam-check-spamassassin-headers):
	Use it to match format of Spamassassin 3.0 and later.  Reported by
	IRIE Tetsuya <irie@t.email.ne.jp>.
	(spam-check-bogofilter)
	(spam-bogofilter-register-with-bogofilter): Fix args of
	`gnus-error' calls.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-send): Bind message-signature to avoid
	unnecessary interaction when sending queued mails.  Reported by
	TAKAHASHI Yoshio <tkh@jp.fujitsu.com>.

2006-02-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-sequence-of-unread-articles): Return nil if
	first or last are nil.

2006-02-24  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Don't choke on ^M.

2006-02-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Respect gnus-batch-mode.

2006-02-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Protect more against buggy tcp output.

2006-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-search): Use new
	nov.php.

2006-02-24  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-create-mapping)
	(nnweb-gmane-wash-article, nnweb-gmane-search): Fix Gmane web
	groups.  Kudos to Olly Betts <olly@survex.com> for providing NOV
	output on the server side.
	(nnweb-google-create-mapping): Update regexps and add some
	progress indication.

2006-02-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-tool-bar-gnome): Fix
	gnus-agent-toggle-plugged.  Re-order icons.
	(gnus-group-tool-bar-gnome): Add
	gnus-group-{prev,next}-unread-group.
	(gnus-group-tool-bar-gnome): Re-order icons.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Move
	gnus-summary-insert-new-articles.

	* message.el (message-tool-bar-gnome, message-tool-bar-retro): Fix
	comments.

	* utf7.el (utf7-utf-16-coding-system): Fix comment.  utf-16-be is
	also available in Emacs 21.3.

	* message.el (message-fix-before-sending): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* qp.el (quoted-printable-encode-region): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* mm-util.el: Change "Emacs 22" to "Emacs 23 (unicode)" in
	comment.
	(mm-coding-system-p): Add comment about no-MULE XEmacs.

	* mm-view.el (mm-fill-flowed): Add :version.

2006-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-image-load-path): Don't modify image-load-path
	and load-path.

2006-02-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Autoload gmm-image-load-path.
	(message-tool-bar-retro): Prepend "gnus/" subdirectory to some
	icon file names.  Use old Emacs 21 "mail_send.xpm" icon for
	consitency.

	* gmm-utils.el (gmm-image-load-path): Also search in
	"../etc/images".  Don't set gmm-image-load-path if we don't find
	the image.

2006-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-image-load-path): Don't make
	`gmm-image-load-path' include subdirectories which the second arg
	`image' might specify.

	* gnus-group.el (gnus-group-tool-bar-retro): Prepend the "gnus/"
	subdirectory to icon file names.

	* gnus-sum.el (gnus-summary-tool-bar-retro): Ditto.

2006-02-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-tool-bar): Add IMAGE argument to
	gmm-image-load-path calls.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* message.el (message-make-tool-bar): Ditto.

	* mml.el (mml-preview): Added comment concerning tool bar icons.

	* gnus-group.el (gnus-group-tool-bar-gnome): Use new icon names.
	(gnus-group-make-tool-bar): Use `gmm-image-load-path'.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Use new icon names.
	(gnus-summary-make-tool-bar): Use `gmm-image-load-path'.

	* message.el (message-tool-bar-gnome): Use new icon names.
	(message-make-tool-bar): Use `gmm-image-load-path'.

	* gmm-utils.el (gmm-defun-compat, gmm-image-search-load-path): New
	functions from MH-E.
	(gmm-image-load-path): New variable from MH-E.
	(gmm-image-load-path): New function from MH-E.  Added arguments
	LIBRARY, IMAGE and PATH.  Don't modify paths.  Don't use
	*-image-load-path-called-flag.

2006-02-21  Milan Zamazal  <pdm@brailcom.org>

	* mm-view.el (mm-view-pkcs7-verify): Implement using smime.el.

2006-02-21  Wolfram Fenske  <wolfram.fenske@student.uni-magdeburg.de>  (tiny change)

	* nnimap.el (nnimap-request-move-article): Change folder back to
	source group before deleting.

2006-02-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-override-alist): Fix type in doc string.

	* gnus-art.el (mm-url-insert-file-contents-external): Autoload
	mm-url.

	* mm-uu.el (mm-uu-type-alist): Improve `LaTeX'.

2006-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Don't check the
	coding system which mm-charset-to-coding-system returns for a
	given charset is valid.

2006-02-16  Juanma Barranquero  <lekktu@gmail.com>

	* html2text.el (html2text-remove-tag-list):
	* spam-stat.el (spam-stat-buffer-words): Fix typo in docstring.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-cus.el: Revert 2005-10-17 change.

2006-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Call
	article-really-strip-banner only when the regexp match is made.

2006-02-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Use
	gnus-extract-address-components instead of
	mail-header-parse-addresses to make it work with non-ASCII text;
	remove mail-encode-encoded-word-string.

	* rfc2231.el (rfc2231-parse-string): Attempt to parse parameter
	values which are surrounded with \"...\"; make it never cause a
	Lisp error; give up parsing of parameters if it failed in
	extracting type.

2006-02-14  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime.el (smime-cert-by-ldap-1): Fix bug where
	`smime-ldap-search' returns results without userCertificates.

2006-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file): Don't catch file-error in Emacs.

2006-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-check-spamassassin-headers): Adapt format for
	Spamassassin 3.0 or later.  Reported by ARISAWA Akihiro
	<ari@mbf.ocn.ne.jp>.
	(spam-list-of-processors): Add spam-use-gmane.

2006-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file): Import the Emacs 22 version of
	make-temp-file; make it work with XEmacs as well.

	* gnus-art.el (gnus-article-browse-html-parts): Use the 3rd arg of
	mm-make-temp-file.

	* mm-decode.el (mm-display-external): Use the 3rd arg of
	mm-make-temp-file.
	(mm-create-image-xemacs): Ditto.

2006-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-send): Replace message-narrow-to-head
	with message-narrow-to-headers.
	(gnus-draft-setup): Narrow to header to run message-fetch-field.
	(gnus-draft-check-draft-articles): New function.
	(gnus-draft-edit-message, gnus-draft-send-message): Use it.

2006-02-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-parts):
	`hs-show-html-list' should read `gnus-article-browse-html-parts'.
	Don't use suffix argument for mm-make-temp-file for Emacs 21
	compatibility.  Remove useless `format'.

2006-02-13  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-wash-article): Update regexps.
	(nnweb-group-alist): Use defvoo instead of defvar.

2006-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnoo.el (nnoo-declare): Don't generate duplicate entries when
	re-loading nn* modules.

2006-02-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-tool-bar): Remove duplicate check
	for `tool-bar-mode' and don't check it's default-value.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* message.el (message-make-tool-bar): Ditto.

	* gnus-art.el (gnus-article-browse-html-parts): Remove useless
	`substring'.  Shorten tmp-file name.

	* gnus.el: Remove bogus comment.

2006-02-10  Hynek Schlawack  <hynek@ularx.de>

	* gnus-art.el (gnus-article-browse-html-parts): New function.
	(gnus-article-browse-html-article): New function for viewing html
	articles with a browser.

2006-02-09  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-pgg-sign): Enable pgg-text-mode.
	(mml2015-pgg-encrypt): Ditto.

	* mml1991.el (mml1991-pgg-sign): Enable pgg-text-mode.
	(mml1991-pgg-encrypt): Ditto.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnfolder.el (nnfolder-insert-newsgroup-line): Use
	message-make-date instead of current-time-string.

	* mm-view.el (mm-inline-message): Don't set gnus-newsgroup-charset
	to gnus-decoded which mm-uu might set.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Sort segmented parameters;
	don't decode quoted parameters; remove misimported Emacs code.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-decode-encoded-string): Don't use split-string which
	behaves differently according to Emacs version; use
	mm-decode-coding-region to convert charset to coding-system.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Remove misimported Emacs code.

2006-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-charset): Don't use ignore-errors
	when calling mail-header-parse-content-type.
	(article-de-quoted-unreadable): Ditto.
	(article-de-base64-unreadable): Ditto.
	(article-wash-html): Ditto.

	* mm-decode.el (mm-dissect-buffer): Don't use ignore-errors when
	calling mail-header-parse-content-type and
	mail-header-parse-content-disposition.
	(mm-find-raw-part-by-type): Don't use ignore-errors when calling
	mail-header-parse-content-type.

	* mml.el (mml-insert-mime-headers): Use mml-insert-parameter to
	insert charset and format parameters; encode description after
	inserting it to buffer.
	(mml-insert-parameter): Fold lines properly even if a parameter is
	segmented into two or more lines; change the max column to 76.

	* rfc1843.el (rfc1843-decode-article-body): Don't use
	ignore-errors when calling mail-header-parse-content-type.

	* rfc2231.el (rfc2231-parse-string): Return at least type if
	possible; don't cause an error even if it fails in parsing of
	parameters.  Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't break lines at the beginning, leave
	it to mml-insert-parameter.

	* webmail.el (webmail-yahoo-article): Don't use ignore-errors when
	calling mail-header-parse-content-type.

2006-02-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-use-article-number):
	Improve doc string.
	(spam-report-gmane-internal): Check if a suitable header was found
	in the article.

2006-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Revert 2006-02-03 change.
	(rfc2231-encode-string): Make param*=value always begin with LWSP.

2006-02-05  Romain Francoise  <romain@orebokech.com>

	Update copyright notices of all files in the gnus directory.

2006-02-03  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-request-group): Avoid growing overview files.

2006-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Add missing semicolons to
	segmented lines of parameter value to cope with Thunderbird 1.5
	bug (cf. https://bugzilla.mozilla.org/show_bug.cgi?id=323318).
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't make lines exceeding 76 column.

2006-02-01  Max Froumentin  <max@lapin-bleu.net>  (tiny change)

	* mml.el (mml-generate-mime-1): Correct the order of inline signed
	parts.

2006-01-31  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-group-alist): Use defvar instead of defvoo,
	there's only one active file for all servers.
	(nnweb-request-scan): Make sure nnweb-articles is initialized on
	solid groups.  Gnus might have used a FAST request to select the group.
	(nnweb-request-group, nnweb-google-parse-1): Don't keep nnweb-type
	and nnweb-search redundantly in the active file.
	(nnweb-request-list): Don't list bogus groups.  There can only be one.
	(nnweb-request-create-group): Don't use ARGS.
	(nnweb-possibly-change-server, nnweb-request-group): Remove some
	initialisations.  Let nnoo do the work.

2006-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-emacs-sources-extract, mm-uu-diff-extract):
	Say the part has been decoded.

	* mm-view.el (mm-display-inline-fontify): Get decoded part rightly.

2006-01-31  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-viewer-passes-test): Don't put "(nil t)" into
	mailcap-viewer-test-cache when there's no 'test clause, since that
	will invert the meaning of a "nil" test previously determined by
	mailcap-mailcap-entry-passes-test.

2006-01-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el: Bind tool-bar-mode instead of tool-bar-map when
	compiling.

	* gnus-sum.el: Ditto.

	* message.el: Don't bind tool-bar-map when compiling.

2006-01-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-google-parse-1): Clarify some comments.

2006-01-30  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-google-parse-1)
	(nnweb-google-create-mapping, nnweb-google-search): Adapt to
	current Google Groups.

2006-01-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-make-tool-bar): Add checks for XEmacs
	and tool-bar-mode.

	* gnus-group.el (gnus-group-make-tool-bar): Add checks for XEmacs
	and tool-bar-mode.

	* message.el (message-tool-bar-update): Simplify.
	(message-make-tool-bar): Add checks for XEmacs and tool-bar-mode.

	* gnus-sum.el (gnus-summary-tool-bar-update): Check for
	gnus-summary-buffer.
	(gnus-summary-tool-bar-gnome): Use "reply-author" icon for
	gnus-summary-reply.

	* gmm-utils.el (gmm): Add :version.

2006-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (clean): New rule.
	(distclean): Use it.

2006-01-26  Steve Youngs  <steve@sxemacs.org>

	* gmm-utils.el (gmm-tool-bar-item, gmm-tool-bar-zap-list): Don't
	autoload.

2006-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-verbose): Add :group.

2006-01-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Change some comments WRT tool-bars.

	* gnus-sum.el (gnus-summary-tool-bar)
	(gnus-summary-tool-bar-gnome, gnus-summary-tool-bar-retro)
	(gnus-summary-tool-bar-zap-list): New variables.
	(gnus-summary-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.

	* gnus-group.el (gnus-group-tool-bar, gnus-group-tool-bar-gnome)
	(gnus-group-tool-bar-retro, gnus-group-tool-bar-zap-list): New
	variables.
	(gnus-group-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.
	(gnus-group-tool-bar-update): New function.

	* message.el (message-mode-field-menu): Add "Show hidden Headers".

2006-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Ignore it if a given part
	is dissected into a single part of which the type is the same as
	the given one; decode charset.

2006-01-21  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-parse-mailcap-extras): "test" key must go
	into alists as symbol not string, since that's what
	mailcap-viewer-passes-test and mailcap-mailcap-entry-passes-test
	look for.

2006-01-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-tool-bar-item): Add "Separator".
	(gmm-tool-bar-from-list): Suppress tooltip for `gmm-ignore'.

	* message.el (message-tool-bar-gnome): Use gmm-ignore.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-security-button-commands): New variable.
	(gnus-mime-security-button-menu): New definition.
	(gnus-mime-security-button-map): Use them.
	(gnus-mime-security-button-menu): New function.
	(gnus-insert-mime-security-button): Addition to help echo.
	(gnus-mime-security-run-function, gnus-mime-security-save-part)
	(gnus-mime-security-pipe-part): New functions.

	* mm-uu.el (mm-uu-buttonize-original-text-parts): Remove.
	(mm-uu-dissect-text-parts): Revert a part of 2006-01-23 change.

	* mm-decode.el (mm-handle-set-disposition): Remove.
	(mm-handle-set-description): Remove.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): New variable.
	(mm-w3m-standalone-supports-m17n-p): New function.
	(mm-inline-text-html-render-with-w3m-standalone): Use it to alter
	w3m usage.

	* gnus-art.el (gnus-article-wash-html-with-w3m-standalone): Use
	mm-w3m-standalone-supports-m17n-p to alter w3m usage.

2006-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-zap-list): Use
	gmm-tool-bar-zap-list as custom type.
	(message-tool-bar-update): New function.
	(message-tool-bar, message-tool-bar-gnome)
	(message-tool-bar-retro): Add message-tool-bar-update.
	(message-tool-bar-gnome): Add flyspell-buffer.

	* gnus-util.el (gnus-error): Describe `args'.

	* gmm-utils.el (gmm-error): Describe `args'.
	(gmm-tool-bar-zap-list): New widget.
	(gmm-tool-bar-from-list): Improve description of `zap-list'.

2006-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-buttonize-original-text-parts): New variable.
	(mm-uu-dissect-text-parts): Buttonize original text parts; reduce
	the number of recursive calls.

	* mm-decode.el (mm-handle-set-disposition): New macro.
	(mm-handle-set-description): New macro.

2006-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Decode content transfer
	encoding.

2006-01-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-zap-list, message-tool-bar)
	(message-tool-bar-gnome, message-tool-bar-retro): New variables.
	(message-tool-bar-local-item-from-menu): Remove.
	(message-tool-bar-map): Replace by `message-make-tool-bar'.
	(message-make-tool-bar): New function.
	(message-mode): Use `message-make-tool-bar'.

	* gmm-utils.el: New file.
	(gmm-verbose, gmm-message, gmm-error): From gnus-utils.el.
	(gmm-lazy): New widget copied from `nnmail.el'.
	(gmm-tool-bar-from-list): New function for creating customizable
	tool bars.
	(gmm-tool-bar-from-list): Fix typos in doc string.  Remove debug
	output.
	(gmm): Add :prefix to defgroup.

2006-01-20  Per Abrahamsen  <abraham@dina.kvl.dk>

	* gmm-utils.el (gmm-widget-p): New function.

2006-01-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-file): Describe `description' in doc string.
	(mml-menu): Add Emacs MIME manual and PGG manual.

2006-01-20  Richard M. Stallman  <rms@gnu.org>

	* mm-url.el (mm-url-load-url): Require url-parse and url-vars.

2006-01-20  Kevin Greiner  <kevin.greiner@compsol.cc>

	* nntp.el (nntp-end-of-line): Doc fix.

2006-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* imap.el (imap-open): Handle case where buffer is a buffer
	object.

2005-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-delay.el (gnus-delay): Don't autoload.
	It's useless and could trigger a bug in cus-dep.el causing ldefs-boot
	to be re-loaded when customizing the `gnus-delay' group.

2005-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-insert-citation-line): Use newlines.

2006-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-body): Don't decode decoded body.

	* mm-uu.el (mm-uu-dissect-text-parts): Dissect dissected parts.

2006-01-19  Mark D. Baushke  <mdb@gnu.org>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Add --textmode to gpg args.

2006-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-inlined-types): Add application/pgp.
	(mm-automatic-display): Ditto.

	* mm-uu.el (mm-uu-dissect-text-parts): Recognize application/pgp
	part as text.

2006-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el: Update copyright.
	(nnrss-opml-import): Query whether to subscribe to each entry.

	* gnus-art.el:
	* gnus-sum.el:
	* mm-uu.el:
	* mm-view.el: Update copyright.

2006-01-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-info): New function.
	(message-mode-menu): Add it.
	Update copyright.

	* ChangeLog: Fix and update copyright.

2006-01-13  Romain Francoise  <romain@orebokech.com>

	* message.el (message-forward-subject-name-subject): Prefer the
	address to 'nowhere' if the sender has no name.
	Fix typo.  Update copyright year.

2006-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-wash-html): Use
	gnus-summary-show-article-charset-alist if a numeric arg is given.
	(gnus-article-wash-html-with-w3m-standalone): New function.

	* mm-view.el (mm-text-html-renderer-alist): Map w3m-standalone to
	mm-inline-text-html-render-with-w3m-standalone.
	(mm-text-html-washer-alist): Map w3m-standalone to
	gnus-article-wash-html-with-w3m-standalone.
	(mm-inline-text-html-render-with-w3m-standalone): New function.

2006-01-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Fix previous message-marks commit.
	Improve LaTeX.

2006-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-wash-html-in-text-plain-parts): New variable.
	(nnrss-request-article): Render text/plain parts as HTML.

	* gnus-art.el (gnus-article-wash-html-with-w3m): No need to narrow
	the buffer.

2006-01-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cus.el (gnus-group-parameters): Sync posting-style with
	custom definition of `gnus-posting-styles'.

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bind
	print-circle.  Suggested by Kalle Olavi Niemitalo <kon@iki.fi>.

2006-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-useful-groups): Use Gmane for ding.
	Use nntp for bug archive.

2006-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Fix the way to fill text/plain
	parts.
	(nnrss-normalize-date): New function converts ISO 8601 date into
	RFC822 style.  Suggested by Mark Plaksin <happy@mcplaksin.org>.
	(nnrss-check-group): Use it.

2006-01-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-work-articles): Remove useless `min'.

	* nnrss.el (nnrss-fetch): Make it fail gracefully when it can't
	fetch a feed.  Suggested by Mark Plaksin <happy@mcplaksin.org>.
	(nnrss-insert-w3): Ditto.

2005-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-digest-mail-forward): Reverse the order of
	the articles to be forwarded including the case where neither a
	number of articles nor a region is specified.

2005-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Fix last change; fill
	text/plain parts.

2005-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Replace <br />s with newlines
	in text/plain part.
	(nnrss-check-group): Don't add excessive newline to dc:subject.

2005-12-19  Mark Plaksin  <happy@mcplaksin.org>  (tiny change)

	* nnrss.el (nnrss-check-group): Put the RSS dc:subject in the
	article.

2005-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnml.el: Don't require gnus-bcklg.  Autoload it.
	(nnml-use-compressed-files, nnml-save-mail): Support other
	comression programs such as bzip2.

2005-12-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Make sure we check the buffer size before
	removing tcp headers.

2005-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-delete-text-of-type): Enable it to
	remove MIME buttons associated with multipart/alternative parts.
	(gnus-mime-display-alternative): Tag buttons using `article-type'
	text property.

	* gnus-msg.el (gnus-copy-article-buffer): Remove MIME buttons
	associated with multipart/alternative parts.

	* gnus-art.el (gnus-signature-separator): Fix custom type.

	* mm-decode.el (mm-inlined-types): Fix custom type.
	(mm-keep-viewer-alive-types): Ditto.
	(mm-automatic-display): Ditto.
	(mm-attachment-override-types): Ditto.
	(mm-inline-override-types): Ditto.
	(mm-automatic-external-display): Ditto.

2005-12-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-user-mail-address)
	(spam-report-user-agent): New variables.
	(spam-report-url-ping-plain): Use spam-report-user-agent.

2005-12-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* gnus-art.el (gnus-button-handle-custom): Do not just use
	`customize-apropos' for any "M-x customize-*" button but the
	function called for.  Accept both the function name and its
	argument in order to achieve this.
	(gnus-button-alist): Remove support for "custom:" URL's.  Pass
	function name to `gnus-button-handle-custom' in case of "M-x
	customize-*" buttons.

2005-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-buttonized-mime-types): Mention addition of
	multipart/alternative and add xref to mm-discouraged-alternatives
	in doc string.

	* mm-decode.el (mm-discouraged-alternatives): Add xref to
	gnus-buttonized-mime-types in doc string.

2005-12-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-discouraged-alternatives): Fix custom type.
	Suggest image/.* in the doc string.

2005-12-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Don't depend on message.el for
	message-marks (Debian bug #342521).

2005-12-12  Simon Josefsson  <jas@extundo.com>

	* password.el (password-read-from-cache): Add.
	(password-read): Use it.

2005-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Recognize
	us-ascii as a MIME charset.

	* mm-bodies.el (mm-decode-content-transfer-encoding): Protect
	against the case where the 2nd arg TYPE is nil.

2005-12-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-stream-type): Fix custom version.

	* mm-uu.el (mm-uu-type-alist): Simplify uu regexp.

2005-12-09  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* mm-decode.el (mm-display-external): Add missing cdr.

2005-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Use nametemplate (defined in
	RFC1524) if it is in mailcap or add a suffix according to
	mailcap-mime-extensions when generating a temp filename; postpone
	deleting a temp file for 2 seconds for some wrappers, shell
	scripts, and so on, which might exit right after having started a
	viewer command as a background job.

2005-12-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* nntp.el (nntp-marks-directory): Fix custom group.

	* gnus-fun.el (gnus-face-from-file): Decrease quant in smaller
	steps when < 10.

	* gnus-start.el (gnus-no-server-1): Mention
	`gnus-level-default-subscribed' in doc string.

2005-12-02  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* mm-view.el (mm-inline-text-html-render-with-w3m): Fix misplaced
	parens.

2005-11-26  Dave Love  <fx@gnu.org>

	* tls.el (open-tls-stream): Rename arg SERVICE to PORT.
	(tls-program, tls-success): Provide openssl alternative.

	* starttls.el: Doc fixes.
	(starttls-open-stream-gnutls, starttls-open-stream): Rename arg
	SERVICE to PORT.

	* pop3.el (pop3-open-server) <ssl>:  Clarify a loop.  Deal with
	port null or service name.
	(starttls-negotiate): Autoload.

2005-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-kill-to-signature): Fix interactive spec.

2005-11-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pop3.el (pop3-open-server): Recognize a string as a service name.

2005-11-24  Pascal Rigaux  <pixel@mandriva.com>  (tiny change)

	* rfc2231.el (rfc2231-parse-string): Support non-ascii chars.

2005-11-23  Dave Love  <fx@gnu.org>

	Add pop3s, pop3/starttls.

	* pop3.el (pop3-authentication-scheme): Clarify doc.
	(open-tls-stream, starttls-open-stream): Autoload.
	(pop3-stream-type): New.
	(pop3-open-server): Use it.

	* mail-source.el (mail-sources): Fix some :types.  Add stream type
	for POP.
	(mail-source-keyword-map): Add :stream for POP.
	(mail-source-fetch-pop): Use pop3-stream-type.

2005-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use current-time instead
	of current-time-string.

2005-11-20  Stefan Schimanski  <schimmi@debian.org>  (tiny change)

	* nnmail.el (nnmail-fancy-expiry-target): Protect against invalid
	date header.

2005-11-19  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-sum.el (gnus-fetch-old-headers): Updated docs to warn that
	it can seriously impact performance as it bypasses the agent's
	local caches.

2005-11-19  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-possibly-synchronize-flags): A server
	must be explicitly online rather than "not explicitly offline" for
	its flags to be synchronized.

	* gnus-sum.el (gnus-summary-remove-process-mark): Always return t so
	that gnus-uu-unmark-thread will function correctly.

	* gnus-group.el (gnus-total-fetched-for): Reduced cutoff so that
	1024K is instead displayed as 1M.

2005-11-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed): Bind adaptive-fill-mode to nil.

2005-11-16  Boris Samorodov  <bsam@ipt.ru>  (tiny change)

	* imap.el (imap-kerberos4-open): Ignore SSL stuff.

2005-11-13  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-read-local): Trivial fix to format of
	error message to display actual error condition.
	(gnus-agent-save-local): Avoid saving symbols that are bound to
	nil as they simply result in a warning message in
	gnus-agent-read-local.

2005-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-dribble-read-file): Use make-local-variable
	rather than make-variable-buffer-local for file-precious-flag.

2005-11-12  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-braid-nov): Now tests new nov entries
	for duplicates which are removed.  The invalid sort check then
	triggers a rescan after the sort as sorting may have moved
	duplicate entries such that they can be cheaply detected.

2005-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-dribble-read-file): Quote file-precious-flag.

2005-11-12  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-article-alist-save-format): Changed
	internal variable to a custom variable.  Changed default value
	from compressed(2) to uncompressed(1).
	(gnus-agent-read-agentview): Reversed revision 7.8 to restore
	support for uncompressed agentview files.  Taken together, reading
	the agentview file should now be 6-7 times faster.

2005-11-11  Jan Nieuwenhuizen  <janneke@gnu.org>

	* gnus-start.el (gnus-dribble-read-file): Set file-precious-flag,
	as a buffer-local variable.  This avoids creating truncated
	dribble files as a result of a hang up, eg.

2005-12-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-start-draft-setup): Enforce
	`gnus-draft-mode' for nndraft:drafts at startup.

	* gnus.el (gnus-splash): Change custom group.
	(gnus-group-get-parameter, gnus-group-parameter-value): Describe
	allow-list argument.

	* gnus-agent.el (gnus-agent-article-alist-save-format): Format doc
	string.

2005-12-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-default-article-saver): Add user-defined
	`function' to custom type.

2005-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* imap.el (imap-open): Handle case where buffer is a buffer
	object.

2005-11-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cache.el (gnus-cache-rename-group): Wrap doc strings and
	long lines.
	(gnus-cache-delete-group): Wrap doc strings.

	* gnus-agent.el (gnus-agent-rename-group)
	(gnus-agent-delete-group): Wrap doc strings.


2005-11-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-1): Add "native" to
	gnus-predefined-server-alist.

	* gnus.el (gnus-method-to-server): Don't add "native" to the
	lists here, because that leads to problems when
	gnus-select-method is bound.

2005-11-09  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-article-sort-by-date-reverse): Remove,
	use (not sort-by-date) instead.

2005-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-delay.el (gnus-delay-group): Don't autoload.
	It's useless and could trigger a bug in cus-dep.el causing ldefs-boot
	to be re-loaded when customizing the `gnus-delay' group.

2005-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* message.el: Revert last changes.
	(message-insert-citation-line): Use newlines.

2005-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-courtesy-message)
	(message-mark-insert-begin, message-mark-insert-end)
	(message-elide-ellipsis, message-cancel-message)
	(message-add-header, message-change-subject)
	(message-cross-post-followup-to-header)
	(message-cross-post-insert-note, message-reduce-to-to-cc)
	(message-widen-reply, message-delete-not-region)
	(message-kill-to-signature, message-insert-signature)
	(message-insert-importance-high, message-insert-importance-low)
	(message-insert-or-toggle-importance)
	(message-insert-disposition-notification-to)
	(message-indent-citation, message-yank-original)
	(message-cite-original-without-signature, message-cite-original)
	(message-insert-citation-line, message-position-on-field)
	(message-fix-before-sending, message-send-mail-partially)
	(message-send-mail, message-send-mail-with-sendmail)
	(message-send-mail-with-qmail, message-send-news)
	(message-check-news-header-syntax, message-generate-headers)
	(message-insert-courtesy-copy, message-fill-address)
	(message-fill-header, message-shorten-references)
	(message-setup-1, message-cancel-news)
	(message-forward-make-body-plain, message-forward-make-body-mime)
	(message-forward-make-body-mml, message-encode-message-body)
	(message-forward-make-body-digest-plain)
	(message-forward-make-body-digest-mime)
	(message-use-alternative-email-as-from): Insert `hard-newline'
	instead of ordinary newlines.

2005-11-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-generate-headers): Downcase the argument
	given to message-check-element.

2005-11-08  Kevin Greiner  <kevin.greiner@compsol.cc>

	* nntp.el (nntp-authinfo-rejected): New error condition.
	(nntp-wait-for): Use new error condition to signal authentication
	error.
	(nntp-retrieve-data): Rethrow new error condition to break out of
	recursive call to nntp-send-authinfo.

2005-11-08  Romain Francoise  <romain@orebokech.com>

	* gnus-sum.el (gnus-summary-catchup-and-goto-prev-group): New function.
	(gnus-summary-exit-map): Bind to `Z p'.
	(gnus-summary-make-menu-bar): Add menu item.

2005-11-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-treat-custom): Add `first'.
	(gnus-treat-*): Add `first' in all doc strings.

	* gnus-group.el (gnus-group-compact-group): Fix typo.

2005-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-parameters-case-fold-search): New variable.
	(gnus-parameters-get-parameter): Use it.

	* gnus-score.el (gnus-home-score-file): Doc fix.

2005-11-01  Xavier Maillard  <zedek@gnu-rox.org>  (tiny change)

	* gnus-score.el (gnus-update-score-entry-dates): Doc fix.

2005-10-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-special-display-p): New function.

	* mml.el (mml-preview): Use it; doc fix.

2005-10-29  Romain Francoise  <romain@orebokech.com>

	* message.el (message-fix-before-sending): Fix comment.

2005-10-29  Jari Aalto  <jari.aalto@cante.net>

	* gnus-sum.el (gnus-article-sort-by-date-reverse): New function.

2005-10-29  Jari Aalto  <jari.aalto@cante.net>

	* score-mode.el (gnus-score-edit-done-hook): Introduce variable.
	Used in gnus-score.el.

2005-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-setup): Remove bogus alias test.

2005-10-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* flow-fill.el (fill-flowed-encode-tests): Restore trailing
	whitespace removed in revision 7.8.  Use concatenated string to
	protect trailing whitespace.

2005-10-27  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* nnimap.el (nnimap-search-uids-not-since-is-evil): Add variable.
	(nnimap-request-expire-articles): Use it to avoid sending 'UID
	SEARCH UID ... NOT SINCE' queries, for inefficient servers like
	Courier IMAP ("some version from 2004").  Mostly based on similar
	code in the same function.

2005-10-26  Didier Verna  <didier@xemacs.org>

	* gnus-group.el (gnus-group-compact-group): invalidate original
	article buffer.
	* gnus-srvr.el (gnus-server-compact-server): ditto.
	* nnml.el (nnml-request-compact-group): handle self Xref: field in
	NOV database and in article itself.
	Invalidate article backlog.

2005-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-hide-markers): Fix XEmacs case.

2005-10-26  Simon Josefsson  <jas@extundo.com>

	* flow-fill.el (fill-flowed): Flow-fill unquoted lines too, revert
	part of 2004-07-25 change.

2005-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-display-completion-list): New function.
	(message-expand-group): Use it; make sure the Completions buffer
	is modifiable.

2005-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* imap.el (imap-open): Handle case where buffer is a buffer
	object.

2005-10-24  Eli Zaretskii  <eliz@gnu.org>

	* pgg-def.el:
	* pgg-gpg.el:
	* pgg-parse.el:
	* pgg-pgp.el:
	* pgg-pgp5.el:
	* pgg.el: Move to the parent lisp directory.

2005-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-ignored-from-addresses): Handle case where
	user-mail-name is an empty string.

2005-10-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-default-adaptive-score-alist): Set defaults
	depending on gnus-score-decay-constant.

	* encrypt.el (encrypt-insert-file-contents)
	(encrypt-write-file-contents): Don't use `gnus-message'.

	* mm-uu.el (mm-uu-verbatim-marks-extract): Add four start and end
	arguments.
	(mm-uu-type-alist): Add message-marks and insert-marks.  Pass
	arguments to mm-uu-verbatim-marks-extract.
	(mm-uu-hide-markers): New variable.
	(mm-uu-extract): Use face similar to `gnus-cite-3'.

	* gnus-fun.el (gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command): Use "convert" by default to
	allow other input image formats.
	(gnus-x-face-from-file, gnus-face-from-file): Adjust doc strings
	accordingly.

2005-10-23  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-gssapi-program): Align command line parameters
	with latest GNU SASL.
	(imap-gssapi-open): Ignore 'Trying ...' messages from GNU SASL.

2005-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update to new
	HTML.
	(nnslashdot-request-article): Ditto.

2005-10-20  Hiroshi Fujishima  <hiroshi.fujishima@gmail.com>  (tiny change)

	* mail-source.el (mail-source-fetch-pop): Require pop3.
	(mail-source-check-pop): Ditto.

2005-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-encoded-words): Fix the handling of
	errors.

2005-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-treat-strip-trailing-blank-lines)
	(gnus-treat-strip-leading-blank-lines): Improve doc string.

	* message.el (message-tool-bar-local-item-from-menu): Fix comment.

	* mm-bodies.el (mm-decode-string): Call
	`mm-charset-to-coding-system' with allow-override argument.

2005-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-allow-incomplete-encoded-text): New variable.
	(rfc2047-charset-to-coding-system): New function.
	(rfc2047-decode-encoded-words): New function.
	(rfc2047-decode-region): Use them.
	(rfc2047-decode-cte): Remove.
	(rfc2047-parse-and-decode): Remove.
	(rfc2047-decode): Remove.

2005-10-15  Kenichi Handa  <handa@m17n.org>

	* rfc2047.el (rfc2047-decode-cte): New function.
	(rfc2047-decode-region): Change the way to decode successive
	encoded-words: decode B- or Q-encoding in each encoded-word,
	concatenate them, and decode it as charset.

2005-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-cus.el (gnus-custom-map): New variable.  Bind mouse-1 to
	widget-move-and-invoke.
	(gnus-custom-mode): Use gnus-custom-map.

2005-10-15  Bill Wohler  <wohler@newt.com>

	* message.el (message-tool-bar-map): Renamed image file from
	mail_send to mail/send.

2005-10-16  Masatake YAMATO  <jet@gyve.org>

	* message.el (message-expand-group): Pass the common
	prefix substring of completion to `display-completion-list'.

2005-10-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml-sec.el (mml-secure-method): New internal variable.
	(mml-secure-sign, mml-secure-encrypt, mml-secure-message-sign)
	(mml-secure-message-sign-encrypt, mml-secure-message-encrypt): New
	functions using mml-secure-method.

	* mml.el (mml-mode-map): Add key bindings for those functions.
	(mml-menu): Simplify security menu entries.  Suggested by Jesper
	Harder <harder@myrealbox.com>.
	(mml-attach-file, mml-attach-buffer, mml-attach-external): Goto
	end of message if point is the headers of the message.

	* message.el (message-in-body-p): New function.

	* assistant.el: Autoload gnus-util and netrc.

	* mm-util.el (mm-charset-to-coding-system): Add allow-override.
	Use `mm-charset-override-alist' only when decoding.

	* mm-bodies.el (mm-decode-body): Call
	`mm-charset-to-coding-system' with allow-override argument.

	* gnus-art.el (gnus-mime-view-part-as-type-internal): Try to fetch
	`filename' from Content-Disposition if Content-Type doesn't
	provide `name'.
	(gnus-mime-view-part-as-type): Set default instead of
	initial-input.

2005-10-09  Daniel Brockman  <daniel@brockman.se>

	* format-spec.el (format-spec): Propagate text properties of % spec.

2005-10-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-treat-predicate): Add `first'.

2005-10-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Improve doc string.
	(mm-charset-override-alist): New variable.
	(mm-charset-to-coding-system): Use it.
	(mm-codepage-setup): New helper function.
	(mm-charset-eval-alist): New variable.
	(mm-charset-to-coding-system): Use mm-charset-eval-alist.  Warn
	about unknown charsets.

2005-10-04  David Hansen  <david.hansen@gmx.net>

	* nnrss.el (nnrss-request-article): Add support for the comments tag.
	(nnrss-check-group): Ditto.

2005-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-verbatim-marks-extract, mm-uu-latex-extract):
	Rename x-gnus-verbatim to x-verbatim.
	(mm-uu-type-alist): Fix regexp for verbatim-marks.

	* mm-decode.el (mm-automatic-display): Rename x-gnus-verbatim to
	x-verbatim.

	* mm-url.el (mm-url-predefined-programs): Add switches for curl.

	* gnus-util.el (gnus-remove-duplicates): Remove.

	* nnmail.el (nnmail-article-group): Use mm-delete-duplicates
	instead of gnus-remove-duplicates.

	* message.el (message-remove-duplicates): Remove.
	(message-idna-to-ascii-rhs-1): Use mm-delete-duplicates instead of
	message-remove-duplicates.

	* mm-util.el (mm-delete-duplicates): Use `delete-dups' if
	available, else use implementation from `delete-dups'.

	* message.el (message-insert-expires): New function.
	(message-mode-map): Add key binding.
	(message-mode-field-menu): Add menu entry.
	(message-mode): Document it.
	(message-make-expires-date): Use `message-make-date'.

2005-10-04  Josh Huber  <huber@alum.wpi.edu>

	* message.el (message-make-expires-date): New function.

2005-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (list-installed-shadows): New entry.
	(install): Use it.
	(remove-installed-shadows): New entry.

2005-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* time-date.el: Autoload parse-time-string, XEmacs needs it.

2005-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-inline-media-tests): Check presence of the diff-mode
	function rather than the diff-mode.el package.
	(mm-display-external): Use with-current-buffer.
	(mm-viewer-completion-map, mm-viewer-completion-map):
	Move initialization inside declaration.

2005-09-29  Simon Josefsson  <jas@extundo.com>

	* spam.el: Load hashcash when compiling, to avoid warnings.  Don't
	autoload mail-check-payment.
	(spam-check-hashcash): Define unconditionally, since hashcash.el
	is part of Gnus now.  Ignore errors from payment checking.

2005-09-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-bold-region, message-unbold-region): Rename
	from `bold-region' and `unbold-region'.

	* message.el: Remove useless autoloads.

2005-09-28  Simon Josefsson  <jas@extundo.com>

	* message.el (message-use-idna): Default to t.
	(message-use-idna): Test whether encoding works too.  Doc fix.

2005-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-warn-about-losing-connection): Remove.

2005-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-emacs-sources-regexp): Make variable
	customizable.  Change default value.
	(mm-uu-diff-groups-regexp): Change default value.
	(mm-uu-type-alist): Add doc string.
	(mm-uu-configure): Add doc string.  Make it interactive.
	(mm-uu-tex-groups-regexp): New variable.
	(mm-uu-latex-extract, mm-uu-latex-test): New functions.
	(mm-uu-type-alist): Add LaTeX documents.
	(mm-uu-verbatim-marks-extract): Use "text/x-gnus-verbatim" instead
	of "text/verbatim".
	(mm-uu-diff-groups-regexp): Fix missing quotes from previous commit.

	* mm-decode.el (mm-automatic-display): Use "text/x-gnus-verbatim"
	instead of "text/verbatim".

	* message.el (message-mark-inserted-region)
	(message-mark-insert-file): Use slrn style marks when called with
	prefix argument.

2005-09-27  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs-1): Reformat.

2005-09-27  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* message.el (message-remove-duplicates): New function.
	Implementation borrowed from `gnus-remove-duplicates'.
	(message-idna-to-ascii-rhs): Also encode idna addresses in
	Reply-To:, Mail-Reply-To: and Mail-Followup-To:.
	(message-idna-to-ascii-rhs-1): When `message-use-idna' is 'ask
	only ask about the same idna domain once per header and also tell
	in what header to replace the idna domain.

	* gnus-art.el (article-decode-idna-rhs): Also decode idna
	addresses in Reply-To:, Mail-Reply-To: and Mail-Followup-To:.
	(article-decode-idna-rhs): Fix regexp so that all idna-address in
	a header is decoded and not just the last one.

2005-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Don't modify text if it
	has been decoded.

	* mm-decode.el (mm-automatic-display): Add text/verbatim.
	(mm-insert-part): Don't modify text if it has been decoded.

	* mm-uu.el (mm-uu-verbatim-marks-extract): Say text has been
	decoded.

	* mm-view.el (mm-inline-text): Don't strip text props unless
	decoding enriched or richtext parts.

2005-09-25  Romain Francoise  <romain@orebokech.com>

	* gnus-agent.el (gnus-agent-expire-group, gnus-agent-expire):
	* gnus-start.el (gnus-subscribe-interactively):
	* gnus-uu.el (gnus-uu-grab-articles):
	End `yes-or-no-p' and `y-or-n-p' prompts with question mark and
	space.

2005-09-24  Emilio C. Lopes  <eclig@gmx.net>

	* smime.el (smime-sign-buffer, smime-decrypt-buffer):
	* mm-view.el (mm-view-pkcs7-decrypt):
	* gnus-sum.el (gnus-summary-limit-to-extra)
	(gnus-summary-respool-article, gnus-read-move-group-name):
	* gnus-score.el (gnus-summary-increase-score):
	* gnus-util.el (gnus-completing-read-with-default):
	* gnus-art.el (gnus-read-save-file-name)
	(gnus-summary-save-in-rmail, gnus-summary-save-in-mail)
	(gnus-summary-save-in-file, gnus-summary-save-body-in-file):
	* message.el (message-check-news-header-syntax):
	Follow convention for reading with the minibuffer.

2005-09-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-url-ping-plain):
	Use gnus-extended-version as User-Agent.

	* gnus-agent.el (gnus-agent-synchronize-flags): Explain why the
	default value is nil.

	* mm-uu.el (mm-uu-type-alist): Added slrn style verbatim-marks.
	(mm-uu-verbatim-marks-extract): New function.
	(mm-uu-extract): New face.
	(mm-uu-copy-to-buffer): Use it.

	* spam-report.el (spam-report-gmane-ham): Renamed from
	`spam-report-gmane-unspam'.
	(spam-report-gmane-internal): Renamed from `spam-report-gmane'.
	Simplify use of UNSPAM argument.  Fetch "X-Report-Unspam" header.

	* spam.el (spam-report-gmane-spam, spam-report-gmane-ham):
	Autoload.
	(spam-report-gmane-unregister-routine): Renamed
	`spam-report-gmane-unspam' to `spam-report-gmane-ham'.

2005-09-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-gmane, spam-report-gmane-register-routine)
	(spam-report-gmane-unregister-routine): Add support for gmane
	unregistration.

	* spam-report.el (spam-report-gmane-unspam)
	(spam-report-gmane-spam): Add new wrappers around spam-report-gmane.
	(spam-report-gmane): Change to take a single article and do unspam
	registration.

2005-09-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-url.el (mm-url-decode-entities): Fix regexp.

2005-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-synchronize-flags): Switch the
	default to nil, to be able to use Gnus at all.  If the default
	switches to something else, then the function should be fixed not
	be exceedingly slow.

2005-09-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-activate-group): If the server is nil, don't
	fail hard.

	* spam-report.el: Add better Keywords line.

	* spam.el: Add Maintainer and better Keywords line.

2005-09-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-replace-part)
	(gnus-mime-replace-part): New functions.
	(gnus-mime-action-alist, gnus-mime-button-commands)
	(gnus-mime-save-part-and-strip): Added file argument.
	(gnus-article-part-wrapper): Added interactive argument.

	* gnus-sum.el (gnus-summary-mime-map): Add
	`gnus-article-replace-part'.

2005-09-19  Didier Verna  <didier@xemacs.org>

	The nnml compaction feature:
	* nnml.el (nnml-request-compact-group): New function.
	* nnml.el (nnml-request-compact): New function.
	* gnus-int.el (gnus-request-compact-group): New function.
	* gnus-int.el (gnus-request-compact): New function.
	* gnus-group.el (gnus-group-compact-group): New function.
	* gnus-group.el (gnus-group-group-map): Bind it to 'G z'.
	* gnus-group.el (gnus-group-make-menu-bar): Add an entry for it.
	* gnus-srvr.el (gnus-server-compact-server): New function.
	* gnus-srvr.el (gnus-server-mode-map): Bind it to 'z'.
	* gnus-srvr.el (gnus-server-make-menu-bar): Add an entry for it.

2005-09-18  Deepak Goel  <deego@gnufans.org>

	* sieve.el (sieve-help): Fix `message' call: first arg should be a
	format spec.

2005-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-group-startup-message): Bind image-load-path.

2005-09-15  Romain Francoise  <romain@orebokech.com>

	* message.el (message-fill-paragraph): Clarify docstring.

2005-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-part): Protect against broken
	MIME messages.

2005-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-edit-article-done): Remove text props
	before parsing header.

2005-09-11  Jari Aalto  <jari.aalto@cante.net>

	* html2text.el: (html2text-replace-list): Add new entities.

2005-09-11  Romain Francoise  <romain@orebokech.com>

	* message.el (message-alternative-emails): Improve docstring.
	(message-setup-1): Call `message-use-alternative-email-as-from'
	after `message-setup-hook' to give it precedence over posting
	styles, etc.
	(message-use-alternative-email-as-from): Add docstring.  Remove
	the original From header if present.

	* nnml.el (nnml-compressed-files-size-threshold): New variable.
	(nnml-save-mail): Use it.

	* gnus-uu.el (gnus-uu-mark-series): Return number of marked
	articles.  Add new argument `silent'.
	(gnus-uu-mark-all): Report the total number of marked articles.

2005-09-10  Romain Francoise  <romain@orebokech.com>

	* gnus-uu.el (gnus-message-process-mark): Use gnus-message.
	(gnus-uu-mark-series): Likewise.

2005-09-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane): Fix generation of spam
	report URL.

2005-09-10  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-synchronize-flags): Make the default
	t, based on discussion on the ding list with Robert Epprecht
	<epprecht@solnet.ch>.

2005-09-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane): Make it work without
	X-Report-Spam header.  Gmane now only provides Archived-At.
	This is only used if `spam-report-gmane-use-article-number' is nil.
	(spam-report-gmane-spam-header): Remove.  Not used anymore.

	* gnus-sum.el (gnus-thread-sort-by-recipient): New function to
	make `gnus-summary-sort-by-recipient' work with threading.

	* nnweb.el (nnweb-google-wash-article): Print a message if article
	is not available.

2005-09-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* gnus-art.el (gnus-mime-display-single): Revert 2004-10-07
	change.  Decode text/* parts content before displaying.

2005-09-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml-smime.el: Remove defvar of gnus-extract-address-components.

2005-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Disable support modes.

2005-09-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tab-body-function): Fixed mismatched custom
	type.

	* gnus.el (gnus-group-change-level-function): Ditto.

	* gnus-msg.el (gnus-outgoing-message-group): Ditto.

	* gnus-art.el (gnus-signature-limit)
	(gnus-article-mime-part-function): Ditto.

2005-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-mode): Silence the byte compiler.

	* gnus-art.el (gnus-article-jump-to-part): Redisplay the article
	using `(sit-for 0)' before moving the point to the specified part;
	skip unbuttonized parts.
	(gnus-article-part-wrapper): Don't use save-window-excursion; don't
	return to the summary window if gnus-auto-select-part is non-nil.

2005-09-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-dnd-protocol-alist, mml-dnd-attach-options): New
	variables.
	(mml-dnd-attach-file, mml-mode): Use them.

	* nnweb.el (nnweb-type-definition, nnweb-google-wash-article):
	Make fetching article by MID work again for Google Groups.  Added
	FIXME concerning gnus-group-make-web-group.

	* mml-smime.el (mml-smime-sign-query, mml-smime-get-dns-cert):
	Don't depend on Gnus by using mail-extract-address-components if
	gnus-extract-address-components is not bound.

2005-09-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-display-security): Don't display the
	signature, but only the signed part.

2005-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-thread-hide-subtree): Doc fix.

	* gnus-msg.el (gnus-inews-insert-gcc): Fix the mistake of using
	list, not listp.

2005-09-02  Hrvoje Niksic  <hniksic@xemacs.org>

	* mm-encode.el (mm-encode-content-transfer-encoding): Likewise
	when encoding.

	* mm-bodies.el (mm-decode-content-transfer-encoding):
	De-canonicalize CRLF for all text content types, not just
	text/plain.

2005-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-part-wrapper): Error if there's no
	valid article; point arrow and cursor at the MIME button.

2005-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-save-part-and-strip): Clarify prompt.
	Suggested by Dan Christensen <jdc@uwo.ca>.

	* mm-decode.el (mm-save-part): Enable change of prompt.

2005-08-29  Jari Aalto  <jari.aalto@cante.net>

	* gnus-msg.el (gnus-inews-add-send-actions): Made
	`message-post-method' lambda parameter ARG `&optional'.

2005-08-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-mime-map): Added
	gnus-article-save-part-and-strip, gnus-article-delete-part and
	gnus-article-jump-to-part.

	* gnus-art.el (gnus-article-edit-article): Added quiet argument.
	(gnus-article-edit-part): Use it.
	(gnus-article-part-wrapper): Added no-handle argument.
	(gnus-article-save-part-and-strip, gnus-article-delete-part): New
	functions.

2005-08-29  Romain Francoise  <romain@orebokech.com>

	* gnus-fun.el (gnus-convert-image-to-face-command): Fix typo in
	docstring.
	(gnus-face-from-file): Likewise.

2005-08-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-save-part-and-strip): Don't prompt.
	(gnus-mime-delete-part): Don't prompt if `gnus-expert-user' is
	non-nil.
	(gnus-auto-select-part): New variable.
	(gnus-article-jump-to-part): New function.
	(gnus-article-edit-part, gnus-mime-save-part-and-strip)
	(gnus-mime-delete-part): Allow selecting specified part after
	deleting or stripping parts.
	(gnus-article-jump-to-part): Don't use `read-number'.  Use last
	part if argument is bogus.

2005-08-31  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (w3m-minor-mode-map):
	* gnus-spec.el (gnus-newsrc-file-version):
	* gnus-util.el (nnmail-active-file-coding-system)
	(gnus-original-article-buffer, gnus-user-agent):
	* gnus.el (gnus-ham-process-destinations)
	(gnus-parameter-ham-marks-alist)
	(gnus-parameter-spam-marks-alist, gnus-spam-autodetect)
	(gnus-spam-autodetect-methods, gnus-spam-newsgroup-contents)
	(gnus-spam-process-destinations, gnus-spam-process-newsgroups):
	* mm-decode.el (gnus-current-window-configuration):
	* mm-extern.el (gnus-article-mime-handles):
	* mm-url.el (url-current-object, url-package-name)
	(url-package-version):
	* mm-view.el (gnus-article-mime-handles, gnus-newsgroup-charset)
	(smime-keys, w3m-cid-retrieve-function-alist)
	(w3m-current-buffer, w3m-display-inline-images)
	(w3m-minor-mode-map):
	* mml-smime.el (gnus-extract-address-components):
	* mml.el (gnus-article-mime-handles, gnus-mouse-2)
	(gnus-newsrc-hashtb, message-default-charset)
	(message-deletable-headers, message-options)
	(message-posting-charset, message-required-mail-headers)
	(message-required-news-headers):
	* mml1991.el (mc-pgp-always-sign):
	* mml2015.el (mc-pgp-always-sign):
	* nnheader.el (nnmail-extra-headers):
	* rfc1843.el (gnus-decode-encoded-word-function)
	(gnus-decode-header-function, gnus-newsgroup-name):
	* spam-stat.el (gnus-original-article-buffer): Add defvars.

2005-08-22  Karl Chen  <quarl@cs.berkeley.edu>

	* gnus-art.el (gnus-treatment-function-alist): Move date-lapsed to
	the end of the date treatments.

2005-08-15  Simon Josefsson  <jas@extundo.com>

	* pgg.el (url-insert-file-contents): Don't autoload it, Emacs has
	it in url-handlers.el and XEmacs in url.el.  Reported by Luca
	Capello and Romain Francoise.
	(pgg-fetch-key-function): Removed, not used?
	(pgg-insert-url-with-w3): Require url, to get
	url-insert-file-contents regardless of where it is defined.

2005-08-13  Romain Francoise  <romain@orebokech.com>

	* message.el (message-cite-original-1): New function.
	(message-cite-original): Use it.
	(message-cite-original-without-signature): Ditto.

2005-08-08  Romain Francoise  <romain@orebokech.com>

	* message.el (message-yank-empty-prefix): New variable.
	(message-indent-citation): Use it.
	(message-cite-original-without-signature): Respect X-No-Archive.

2005-08-08  Simon Josefsson  <jas@extundo.com>

	* pgg.el: Autoload url-insert-file-contents instead of loading
	w3/url.
	(pgg-insert-url-with-w3): Don't load url here.

2005-08-07  Jesper Harder  <harder@phys.au.dk>

	* message.el (message-kill-to-signature): Don't insert newline at
	bol.
	(message-newline-and-reformat): Bind fill-paragraph-function to nil.

2005-08-06  Romain Francoise  <romain@orebokech.com>

	* message.el (message-user-fqdn): Fix typo in docstring.

2005-08-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-pgg-sign): Make sure micalg is correct.

	* pgg-parse.el (pgg-parse-hash-algorithm-alist): Add SHA-2.

2005-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-encode-body): Use coding system rather than
	charset to encode text.

	* mm-util.el (mm-find-mime-charset-region): Attempt to reduce the
	number of charsets if utf-8 is available (XEmacs).

2005-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-localpart-regexp): New variable
	taken from `gnus-button-mid-or-mail-regexp'.
	(gnus-button-mid-or-mail-regexp, gnus-button-alist): Use it.
	(gnus-button-alist): Improve regexp for domain part of the MIDs
	for news:localpart@domain buttons.
	(gnus-button-ctan-directory-regexp): Update.

2005-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sieve-manage.el (sieve-manage-interactive-login): Use
	make-local-variable rather than make-variable-buffer-local.
	(sieve-manage-open): Ditto.
	(sieve-manage-authenticate): Ditto.

	* mml.el (mml-generate-mime-1): Make the content type default to
	text/plain if the filename is not specified.

2005-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-save-article): Use insert-buffer-substring
	instead of insert-buffer.

	* message.el (message-yank-original): Ditto; set the mark at the
	end of the yanked message.

2005-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page-1): Reduce the number of
	lines to scroll rather than to stop it.

	* mml.el (mml-generate-default-type): Add doc string.
	(mml-generate-mime-1): Use mm-default-file-encoding or make it
	default to application/octet-stream when determining the content
	type if it is not specified for the part or the mml contents; add
	a comment about mml-generate-default-type.

2005-07-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-generate-mime-1): Use mm-default-file-encoding or
	make it default to application/octet-stream when determining the
	content type if it is not specified for the external contents.

2005-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Take care that not only a
	segmented parameter but also other parameters might be there.

2005-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Delete temp file, directory
	and buffer immediately if the external process is exited.

2005-07-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page-1): Don't scroll if there're
	fewer lines than that of scroll-margin.
	(gnus-article-prev-page): Narrow the range to bind scroll-in-place.

2005-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Revert.
	(gnus-article-beginning-of-window): New macro.
	(gnus-article-next-page-1): Use it.
	(gnus-article-prev-page): Ditto.
	(gnus-article-edit-part): Use insert-buffer-substring instead of
	insert-buffer.
	(gnus-article-edit-exit): Ditto.

	* gnus-util.el (gnus-beginning-of-window): Remove.
	(gnus-end-of-window): Remove.

2005-07-25  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-insert-url-with-w3): Don't load w3, it is possible
	to have the url package without w3.  Reported by Daiki Ueno
	<ueno@unixuser.org> and Luigi Panzeri <matley@muppetslab.org>.

2005-07-20  Didier Verna  <didier@xemacs.org>

	* gnus-diary.el: Remove the description comment (nndiary is now
	properly documented in the Gnus manual).
	Fix the spelling of "Back End".
	* nndiary.el: Ditto.
	Fix the copyright notice.

2005-07-18  Romain Francoise  <romain@orebokech.com>

	* gnus-sum.el (gnus-summary-to-prefix,
	gnus-summary-newsgroup-prefix): New variables.
	(gnus-summary-from-or-to-or-newsgroups): Use them.

2005-07-17  Romain Francoise  <romain@orebokech.com>

	* mml2015.el (mml2015-clean-buffer): Prefix buffer name with a
	space as it's generally not especially interesting to the user.

2005-07-16  Romain Francoise  <romain@orebokech.com>

	* nnfolder.el (nnfolder-save-buffer): Bind `copyright-update' to
	nil to avoid prompting and file modification if one of the
	messages at the top of the nnfolder file contains a copyright
	notice.
	Update copyright notice.

	* gnus-uu.el (gnus-uu-save-article): Use `message-make-date'
	instead of `current-time-string' as the latter creates a time
	string that is not RFC 2822 compliant (it lacks the zone).
	Update copyright notice.

2005-07-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mml.el (mml-minibuffer-read-disposition): Don't use inline by default
	for text/rtf.  Display default in prompt.  Pass default for M-n.

	* mm-uu.el (mm-uu-copy-to-buffer): Use with-current-buffer.

2005-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-button-mailto): Remove
	save-selected-window-window hackery because it relies on
	save-selected-window internals.

2005-07-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Use gnus-end-of-window.
	(gnus-article-next-page-1): Use gnus-beginning-of-window.
	(gnus-article-prev-page): Ditto.

	* gnus-util.el (gnus-beginning-of-window): New function.
	(gnus-end-of-window): New function.

2005-07-14  Hiroshi Fujishima  <hiroshi.fujishima@gmail.com>  (tiny change)

	* gnus-score.el (gnus-score-edit-all-score): Set
	gnus-score-edit-exit-function to gnus-score-edit-done and call
	gnus-message.

2005-07-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-button-mailto): Remove
	save-selected-window-window hackery because it relies on
	save-selected-window internals.

2005-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-salt.el (gnus-pick-mode): Remove the 5th arg of
	add-minor-mode.
	(gnus-binary-mode): Ditto.

	* gnus-topic.el (gnus-topic-mode): Ditto.

2005-07-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* gnus-art.el (gnus-article-next-page, gnus-article-next-page-1)
	(gnus-article-prev-page): Take scroll-margin into consideration.

2005-07-04  Lute Kamstra  <lute@gnu.org>

	Update FSF's address in GPL notices.

2005-07-04  Juanma Barranquero  <lekktu@gmail.com>

	* gnus.el (gnus-exit):
	* gnus-group.el (gnus-group-icons):
	* nnmail.el (nnmail-prepare): Fix typos in docstrings.

	* gnus-nocem.el (gnus-nocem):
	* message.el (message-various, message-buffers, message-sending)
	(message-interface, message-forwarding, message-insertion)
	(message-headers, message-news, message-mail):
	* pgg-gpg.el (pgg-gpg):
	* pgg-parse.el (pgg-parse):
	* pgg-pgp.el (pgg-pgp):
	* pgg-pgp5.el (pgg-pgp5):
	* pop3.el (pop3): Finish `defgroup' description with period.

2005-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Improve the efficiency.
	(article-display-x-face): Ditto; remove grey x-face stuff.

2005-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Correct the position in
	which Faces are inserted.

2005-06-29  Didier Verna  <didier@xemacs.org>

	* gnus-art.el (article-display-face): Display faces in correct
	order.

2005-06-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-verifyer): Default to pgg-verify.
	(gnus-fill-real-hashtb): Use hash table instead of obarray.
	(gnus-nocem-check-article): Fetch the Type header.
	(gnus-nocem-message-wanted-p): Fix the way to examine types.
	(gnus-nocem-verify-issuer): Use functionp instead of fboundp.
	(gnus-nocem-enter-article): Use hash tables rather than obarrays;
	make sure gnus-nocem-hashtb is initialized.
	(gnus-nocem-alist-to-hashtb): Use hash table instead of obarray.
	(gnus-nocem-unwanted-article-p): Ditto.

	* pgg.el (pgg-verify): Return the verification result.

2005-06-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-copy-part): Check whether coding-system
	is ascii.

2005-06-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-mode): Set `nobreak-char-display', not
	`show-nonbreak-escape'.

2005-06-23  Lute Kamstra  <lute@gnu.org>

	* gnus-art.el (gnus-article-mode): Use kill-all-local-variables.

	* dig.el (dig-mode):
	* smime.el (smime-mode): Use gnus-run-mode-hooks.

2005-06-21  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body): Fix spellings.

2005-06-16  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-encrypt-body):
	* gnus-cus.el (gnus-score-customize):
	* mm-extern.el (mm-extern-local-file, mm-inline-external-body):
	* pop3.el (pop3-user): Don't use `format' on `error' arguments.

2005-06-16  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime.el (smime-cert-by-ldap-1): Detect PEM format without
	header by looking for magic "MII" at the beginnig.

2005-06-16  Miles Bader  <miles@gnu.org>

	* assistant.el (assistant-field): Remove "-face" suffix from face name.
	(assistant-field-face): New backward-compatibility alias for renamed
	face.
	(assistant-render-text): Use renamed assistant-field face.

	* spam.el (spam): Remove "-face" suffix from face name.
	(spam-face): New backward-compatibility alias for renamed face.
	(spam-face, spam-initialize): Use renamed spam face.

	* message.el (message-header-to, message-header-cc)
	(message-header-subject, message-header-newsgroups)
	(message-header-other, message-header-name)
	(message-header-xheader, message-separator, message-cited-text)
	(message-mml): Remove "-face" suffix from face names.
	(message-header-to-face, message-header-cc-face)
	(message-header-subject-face, message-header-newsgroups-face)
	(message-header-other-face, message-header-name-face)
	(message-header-xheader-face, message-separator-face)
	(message-cited-text-face, message-mml-face):
	New backward-compatibility aliases for renamed faces.
	(message-font-lock-keywords): Use renamed message faces.

	* sieve-mode.el (sieve-control-commands, sieve-action-commands)
	(sieve-test-commands, sieve-tagged-arguments):
	Remove "-face" suffix from face names.
	(sieve-control-commands-face, sieve-action-commands-face)
	(sieve-test-commands-face, sieve-tagged-arguments-face):
	New backward-compatibility aliases for renamed faces.
	(sieve-control-commands-face, sieve-action-commands-face)
	(sieve-test-commands-face, sieve-tagged-arguments-face):
	Use renamed sieve faces.

	* gnus.el (gnus-group-news-1, gnus-group-news-1-empty)
	(gnus-group-news-2, gnus-group-news-2-empty, gnus-group-news-3)
	(gnus-group-news-3-empty, gnus-group-news-4)
	(gnus-group-news-4-empty, gnus-group-news-5)
	(gnus-group-news-5-empty, gnus-group-news-6)
	(gnus-group-news-6-empty, gnus-group-news-low)
	(gnus-group-news-low-empty, gnus-group-mail-1)
	(gnus-group-mail-1-empty, gnus-group-mail-2)
	(gnus-group-mail-2-empty, gnus-group-mail-3)
	(gnus-group-mail-3-empty, gnus-group-mail-low)
	(gnus-group-mail-low-empty, gnus-summary-selected)
	(gnus-summary-cancelled, gnus-summary-high-ticked)
	(gnus-summary-low-ticked, gnus-summary-normal-ticked)
	(gnus-summary-high-ancient, gnus-summary-low-ancient)
	(gnus-summary-normal-ancient, gnus-summary-high-undownloaded)
	(gnus-summary-low-undownloaded)
	(gnus-summary-normal-undownloaded, gnus-summary-high-unread)
	(gnus-summary-low-unread, gnus-summary-normal-unread)
	(gnus-summary-high-read, gnus-summary-low-read)
	(gnus-summary-normal-read, gnus-splash):
	Remove "-face" suffix from face names.
	(gnus-group-news-1-face, gnus-group-news-1-empty-face)
	(gnus-group-news-2-face, gnus-group-news-2-empty-face)
	(gnus-group-news-3-face, gnus-group-news-3-empty-face)
	(gnus-group-news-4-face, gnus-group-news-4-empty-face)
	(gnus-group-news-5-face, gnus-group-news-5-empty-face)
	(gnus-group-news-6-face, gnus-group-news-6-empty-face)
	(gnus-group-news-low-face, gnus-group-news-low-empty-face)
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face)
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face)
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face)
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face)
	(gnus-summary-selected-face, gnus-summary-cancelled-face)
	(gnus-summary-high-ticked-face, gnus-summary-low-ticked-face)
	(gnus-summary-normal-ticked-face)
	(gnus-summary-high-ancient-face, gnus-summary-low-ancient-face)
	(gnus-summary-normal-ancient-face)
	(gnus-summary-high-undownloaded-face)
	(gnus-summary-low-undownloaded-face)
	(gnus-summary-normal-undownloaded-face)
	(gnus-summary-high-unread-face, gnus-summary-low-unread-face)
	(gnus-summary-normal-unread-face, gnus-summary-high-read-face)
	(gnus-summary-low-read-face, gnus-summary-normal-read-face)
	(gnus-splash-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-group-startup-message): Use renamed gnus faces.

	* gnus-srvr.el (gnus-server-agent, gnus-server-opened)
	(gnus-server-closed, gnus-server-denied, gnus-server-offline)
	(gnus-server-agent): Remove "-face" suffix from face names.
	(gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face): Use renamed gnus faces.

	* gnus-picon.el (gnus-picon-xbm, gnus-picon):
	Remove "-face" suffix from face names.
	(gnus-picon-xbm-face, gnus-picon-face):
	New backward-compatibility aliases for renamed faces.

	* gnus-cite.el (gnus-cite-attribution, gnus-cite-1, gnus-cite-2)
	(gnus-cite-3, gnus-cite-4, gnus-cite-5, gnus-cite-6)
	(gnus-cite-7, gnus-cite-8, gnus-cite-9, gnus-cite-10)
	(gnus-cite-11): Remove "-face" suffix from face names.
	(gnus-cite-attribution-face, gnus-cite-face-1, gnus-cite-face-2)
	(gnus-cite-face-3, gnus-cite-face-4, gnus-cite-face-5)
	(gnus-cite-face-6, gnus-cite-face-7, gnus-cite-face-8)
	(gnus-cite-face-9, gnus-cite-face-10, gnus-cite-face-11):
	New backward-compatibility aliases for renamed faces.
	(gnus-cite-attribution-face, gnus-cite-face-list)
	(gnus-article-boring-faces): Use renamed gnus faces.

	* gnus-art.el (gnus-signature, gnus-header-from)
	(gnus-header-subject, gnus-header-newsgroups, gnus-header-name)
	(gnus-header-content): Remove "-face" suffix from face names.
	(gnus-signature-face, gnus-header-from-face)
	(gnus-header-subject-face, gnus-header-newsgroups-face)
	(gnus-header-name-face, gnus-header-content-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-signature-face, gnus-header-face-alist): Use renamed gnus faces.

	* gnus-sum.el (gnus-summary-selected-face)
	(gnus-summary-highlight): Use renamed gnus faces.
	* gnus-group.el (gnus-group-highlight): Likewise.

2005-06-14  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-sieve.el (gnus-sieve-article-add-rule):
	* legacy-gnus-agent.el (gnus-agent-unlist-expire-days):
	* spam-stat.el (spam-stat-buffer-change-to-spam)
	(spam-stat-buffer-change-to-non-spam): Follow error conventions.

	* message.el (message-is-yours-p):
	* gnus-sum.el (gnus-auto-select-subject): Fix quoting in docstring.

2005-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Withdraw the last change.

2005-06-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Turn off adaptive-fill-mode while
	executing enriched-decode.

2005-06-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-find-buffer-file-coding-system): Don't examine
	charset of tar files.

2005-06-04  Luc Teirlinck  <teirllm@auburn.edu>

	* gnus-art.el (article-update-date-lapsed): Use `save-match-data'.

2005-06-04  Lute Kamstra  <lute@gnu.org>

	* nnfolder.el (nnfolder-read-folder): Make sure that undo
	information is never recorded.

2005-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-emphasis-alist): Disable the strikethru thingy.

2005-06-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pop3.el (pop3-apop): Run md5 in the binary mode.

	* starttls.el (starttls-set-process-query-on-exit-flag):
	Use eval-and-compile.

2005-05-31  Simon Josefsson  <jas@extundo.com>

	* smime.el (smime-replace-in-string): Define.
	(smime-cert-by-ldap-1): Use it.

2005-05-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-x-face): Replace
	process-kill-without-query by gnus-set-process-query-on-exit-flag.

	* gnus-util.el (gnus-set-process-query-on-exit-flag): Alias to
	set-process-query-on-exit-flag or process-kill-without-query.

	* html2text.el (html2text-fix-paragraphs): Use `while - re-search'
	loop instead of replace-regexp.

	* imap.el (imap-ssl-open): Use set-process-query-on-exit-flag
	instead of process-kill-without-query if it is available.

	* mm-util.el (mm-insert-file-contents): Bind find-file-hook
	instead of find-file-hooks if it is available.

	* mml1991.el: Bind pgg-default-user-id when compiling.

	* mml2015.el: Bind pgg-default-user-id when compiling.

	* nndraft.el (nndraft-request-associate-buffer):
	Use write-contents-functions instead of write-contents-hooks if it is
	available.

	* nnheader.el (nnheader-find-file-noselect): Bind find-file-hook
	instead of find-file-hooks if it is available.

	* nntp.el (nntp-open-connection): Replace
	process-kill-without-query by gnus-set-process-query-on-exit-flag.
	(nntp-open-ssl-stream): Ditto.
	(nntp-open-tls-stream): Ditto.

	* starttls.el (starttls-set-process-query-on-exit-flag): Alias to
	set-process-query-on-exit-flag or process-kill-without-query.
	(starttls-open-stream-gnutls): Use it instead of
	process-kill-without-query.
	(starttls-open-stream): Ditto.

2005-05-31  Ulf Stegemann  <ulf@zeitform.de>  (tiny change)

	* smime.el (smime-cert-by-ldap-1): Don't use
	replace-regexp-in-string.

2005-05-31  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime-ldap.el (smime-ldap-search): Add compatibility for XEmacs.

	* smime.el (smime-cert-by-ldap-1): Handle certificates distributed
	in PEM format. Adjust to the XEmacs compability.

2005-05-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* encrypt.el (encrypt-xor-process-buffer): Replace `string-to-int'
	by `string-to-number'.
	* gnus-agent.el (gnus-agent-regenerate-group)
	(gnus-agent-fetch-articles): Ditto.
	* gnus-art.el (gnus-button-fetch-group): Ditto.
	* gnus-cache.el (gnus-cache-generate-active)
	(gnus-cache-articles-in-group): Ditto.
	* gnus-group.el (gnus-group-set-current-level)
	(gnus-group-insert-group-line): Ditto.
	* gnus-score.el (gnus-score-set-expunge-below)
	(gnus-score-set-mark-below, gnus-summary-score-effect)
	(gnus-summary-score-entry): Ditto.
	* gnus-soup.el (gnus-soup-send-packet, gnus-soup-parse-areas)
	(gnus-soup-pack): Ditto.
	* gnus-spec.el (gnus-xmas-format): Ditto.
	* gnus-start.el (gnus-newsrc-to-gnus-format): Ditto.
	* gnus-sum.el (gnus-create-xref-hashtb): Ditto.
	* gnus-uu.el (gnus-uu-expand-numbers): Ditto.
	* nnbabyl.el (nnbabyl-article-group-number): Ditto.
	* nndb.el (nndb-get-remote-expire-response): Ditto.
	* nndiary.el (nndiary-parse-schedule-value)
	(nndiary-string-to-number, nndiary-request-replace-article)
	(nndiary-request-article): Ditto.
	* nndoc.el (nndoc-rnews-body-end, nndoc-mbox-body-end): Ditto.
	* nndraft.el (nndraft-articles, nndraft-request-group): Ditto.
	* nneething.el (nneething-make-head): Ditto.
	* nnfolder.el (nnfolder-request-article)
	(nnfolder-retrieve-headers): Ditto.
	* nnheader.el (nnheader-file-to-number): Ditto.
	* nnkiboze.el (nnkiboze-request-article): Ditto.
	* nnmail.el (nnmail-process-unix-mail-format)
	(nnmail-process-babyl-mail-format): Ditto.
	* nnmbox.el (nnmbox-read-mbox, nnmbox-article-group-number): Ditto.
	* nnmh.el (nnmh-update-gnus-unreads, nnmh-active-number)
	(nnmh-request-create-group, nnmh-request-list-1)
	(nnmh-request-group, nnmh-request-article): Ditto.
	* nnml.el (nnml-request-replace-article, nnml-request-article): Ditto.
	* nnrss.el (nnrss-find-rss-via-syndic8): Ditto.
	* nnsoup.el (nnsoup-make-active): Ditto.
	* nnspool.el (nnspool-find-id, nnspool-request-group): Ditto.
	* nntp.el (nntp-find-group-and-number)
	(nntp-retrieve-headers-with-xover): Ditto.
	* pgg-gpg.el (pgg-gpg-snarf-keys-region): Ditto.
	* pgg-parse.el (pgg-read-body, pgg-read-bytes)
	(pgg-format-key-identifier): Ditto.
	* pop3.el (pop3-last, pop3-stat): Ditto.
	* qp.el (quoted-printable-decode-region): Ditto.

	* spam-report.el (spam-report-url-ping-mm-url): Use format instead
	of concat.

2005-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-category-mode): Use gnus-run-mode-hooks.

	* gnus-art.el (gnus-article-mode): Use gnus-run-mode-hooks.

	* gnus-cus.el (gnus-custom-mode): Use gnus-run-mode-hooks.

	* gnus-eform.el (gnus-edit-form-mode): Use gnus-run-mode-hooks.

	* gnus-group.el (gnus-group-mode): Use gnus-run-mode-hooks.

	* gnus-kill.el (gnus-kill-file-mode): Use gnus-run-mode-hooks.

	* gnus-salt.el (gnus-tree-mode): Use gnus-run-mode-hooks.
	(gnus-carpal-mode): Ditto.

	* gnus-srvr.el (gnus-server-mode): Use gnus-run-mode-hooks.
	(gnus-browse-mode): Ditto.

	* gnus-sum.el (gnus-summary-mode): Use gnus-run-mode-hooks.

	* gnus-util.el (gnus-run-mode-hooks): Save current buffer.

2005-05-29  Richard M. Stallman  <rms@gnu.org>

	* gnus-cite.el (gnus-cite-add-face): Set overlay's evaporate property.

2005-05-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-run-mode-hooks): New function.

	* score-mode.el (gnus-score-mode): Use gnus-run-mode-hooks.

2005-05-26  Luc Teirlinck  <teirllm@auburn.edu>

	* gnus-agent.el (gnus-agent-make-mode-line-string):
	Use mode-line-highlight as mouse-face.

2005-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock): Change the parent group to news.

	* deuglify.el (gnus-outlook-deuglify): Add :group.

	* dig.el (dig): Add :group.

	* dns-mode.el (dns-mode): Add :group.

	* encrypt.el (encrypt): Add :group.

	* gnus-cite.el (gnus-cite-attribution-face): Add :group.
	(gnus-cite-face-1, gnus-cite-face-2, gnus-cite-face-3): Ditto.
	(gnus-cite-face-4, gnus-cite-face-5, gnus-cite-face-6): Ditto.
	(gnus-cite-face-7, gnus-cite-face-8, gnus-cite-face-9): Ditto.
	(gnus-cite-face-10, gnus-cite-face-11): Ditto.

	* gnus-diary.el (gnus-diary): Add :group.

	* gnus.el (gnus-group-news-1-face): Add :group.
	(gnus-group-news-1-empty-face): Ditto.
	(gnus-group-news-2-face, gnus-group-news-2-empty-face): Ditto.
	(gnus-group-news-3-face, gnus-group-news-3-empty-face): Ditto.
	(gnus-group-news-4-face, gnus-group-news-4-empty-face): Ditto.
	(gnus-group-news-5-face, gnus-group-news-5-empty-face): Ditto.
	(gnus-group-news-6-face, gnus-group-news-6-empty-face): Ditto.
	(gnus-group-news-low-face, gnus-group-news-low-empty-face): Ditto.
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face): Ditto.
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face): Ditto.
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face): Ditto.
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face): Ditto.
	(gnus-summary-selected-face, gnus-summary-cancelled-face): Ditto.
	(gnus-summary-high-ticked-face): Ditto.
	(gnus-summary-low-ticked-face): Ditto.
	(gnus-summary-normal-ticked-face): Ditto.
	(gnus-summary-high-ancient-face): Ditto.
	(gnus-summary-low-ancient-face): Ditto.
	(gnus-summary-normal-ancient-face): Ditto.
	(gnus-summary-high-undownloaded-face): Ditto.
	(gnus-summary-low-undownloaded-face): Ditto.
	(gnus-summary-normal-undownloaded-face): Ditto.
	(gnus-summary-high-unread-face): Ditto.
	(gnus-summary-low-unread-face): Ditto.
	(gnus-summary-normal-unread-face): Ditto.
	(gnus-summary-high-read-face, gnus-summary-low-read-face): Ditto.
	(gnus-summary-normal-read-face, gnus-splash-face): Ditto.

	* hashcash.el (hashcash): New custom group.
	(hashcash-default-payment): Add :group.
	(hashcash-payment-alist): Ditto.
	(hashcash-default-accept-payment): Ditto.
	(hashcash-accept-resources): Ditto.
	(hashcash-path): Ditto.
	(hashcash-extra-generate-parameters): Ditto.
	(hashcash-double-spend-database): Ditto.
	(hashcash-in-news): Ditto.

	* message.el (message-minibuffer-local-map): Add :group.

	* netrc.el (netrc): Add :group.

	* sieve-manage.el (sieve-manage-log): Add :group.
	(sieve-manage-default-user): Diito.
	(sieve-manage-server-eol, sieve-manage-client-eol): Ditto.
	(sieve-manage-streams, sieve-manage-stream-alist): Ditto.
	(sieve-manage-authenticators): Ditto.
	(sieve-manage-authenticator-alist): Ditto.
	(sieve-manage-default-port): Ditto.

	* sieve-mode.el (sieve-control-commands-face): Add :group.
	(sieve-action-commands-face): Ditto.
	(sieve-test-commands-face): Ditto.
	(sieve-tagged-arguments-face): Ditto.

	* smime.el (smime): Add :group.

	* spam-report.el (spam-report): Add :group.

	* spam.el (spam, spam-face): Add :group.

2005-05-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-next-result-arrived-p): Some news servers may
	return \n.\n.\n at the end of articles.  Protect against that.
	(nntp-with-open-group): Allow debugging.

	* nnheader.el (mail-header-set-extra): Make into a function
	because I just could't understand how to quote the list properly.

	* dns.el (query-dns-cached): New function.

2005-05-26  Lute Kamstra  <lute@gnu.org>

	* score-mode.el (gnus-score-mode): Use run-mode-hooks.

2005-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el: Don't autoload mail-extract-address-components.

	* gnus.el: Remove duplicated autoload for message-y-or-n-p; use
	eval-and-compile to evaluate it.

	* hashcash.el: Don't autoload executable-find.

	* nndb.el: Don't declare the nndb back end two or more times; don't
	autoload news-reply-mode, news-setup, cancel-timer and telnet.

	* nntp.el: Autoload format-spec instead of format; use
	eval-and-compile to evaluate autoload forms.

2005-05-09  Georg C. F. Greve  <greve@gnu.org>  (tiny change)

	* pgg-gpg.el (pgg-gpg-possibly-cache-passphrase): Fix PIN caching.

2005-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2005-05-01  Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: No Gnus v0.3 is released.

2005-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Disable undo.

2005-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Don't delete X-Sent header when
	gnus-article-date-lapsed-new-header is t if date timer is active;
	skip headers in which the original date value is empty.
	(gnus-article-save-original-date): Redefine it as a macro.
	(gnus-display-mime): Use it.

2005-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Support converting date in
	forwarded parts as well.
	(gnus-article-save-original-date): New function.
	(gnus-display-mime): Use it.

2005-04-22  David Hansen  <david.hansen@physik.fu-berlin.de>

	* nnrss.el (nnrss-check-group, nnrss-request-article): Support the
	enclosure element of <item>.

2005-04-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-kill-buffer-query): Renamed from
	`message-kill-buffer-query-if-modified'.  Added :version.

2005-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Bind gnus-message-buffer while setting the
	window layout.

2005-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el: Autoload dnd when compiling.

2005-04-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-mode, mml-dnd-attach-file): Use dnd-* instead of
	x-dnd-*.

2005-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* qp.el (quoted-printable-encode-region): Save excursion.

2005-04-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-kill-buffer-query-if-modified): Add new variable
	so the user can kill a modified message buffer quickly.
	(message-kill-buffer): Use it.

2005-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Use mm-string-to-multibyte.
	* qp.el (quoted-printable-encode-region): Use mm-string-to-multibyte.

2005-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-node-text): Replace CRLFs (which might be
	contained in text because xml.el decodes entities) with LFs.

2005-04-11  Lute Kamstra  <lute@gnu.org>

	* nnimap.el (nnimap-date-days-ago): Handle byte-compiler warnings
	differently.

2005-04-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-detect-coding-region): Typo.

2005-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Fix misplaced parens.

2005-04-06  D Goel  <deego@gnufans.org>

	* spam-stat.el (spam-stat-score-buffer): Add a call to a
	user-function allow user modifications of the scores.
	(spam-stat-score-buffer-user): New function, to allow
	user-computed modifications to the score.
	(spam-stat-score-buffer-user-functions): list of additional
	scoring functions
	(spam-stat-error-holder): global temporary error holder
	(spam-stat-split-fancy): use the new `spam-stat-error-holder'
	variable

2005-04-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-clean-empty-function)
	(gnus-registry-trim, gnus-registry-fetch-groups)
	(gnus-registry-delete-group): Groups that match
	`gnus-registry-ignored-groups' are removed from the registry
	entries, not just ignored for splitting.  This helps clean up the
	registry.  Also, `gnus-registry-fetch-groups' is a convenient way
	to get all the groups a message ID is in.

	* spam-stat.el (spam-stat-split-fancy-spam-threshold)
	(spam-stat-split-fancy): Change "threshhold" to "threshold"
	(spam-stat-score-buffer-user-functions): Add :number custom type.

2005-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-p): Don't return binary for the nil
	argument in XEmacs.

	* nnrss.el (nnrss-compatible-encoding-alist): New variable.
	(nnrss-request-group): Decode group name first.
	(nnrss-request-article): Make a text/plain article if mml-to-mime
	failed.
	(nnrss-get-encoding): Return a compatible encoding according to
	nnrss-compatible-encoding-alist.
	(nnrss-find-el): Use consp instead of listp.
	(nnrss-opml-export, nnrss-order-hrefs, nnrss-find-el): Use dolist.

2005-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* time-date.el (time-to-seconds): Don't use the #xhhhh syntax
	which Emacs 20 doesn't support.
	(seconds-to-time, days-to-time, time-subtract, time-add): Ditto.

2005-04-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnimap.el (nnimap-date-days-ago): Add defvars in order to
	silence the byte compiler inside the defun

	* gnus-demon.el (parse-time-string): Add autoload.

	* gnus-delay.el (parse-time-string): Add autoload.

	* gnus-art.el (parse-time-string): Add autoload.

	* nnultimate.el (parse-time): Require for `parse-time-string'.

2005-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-copy-article-ignored-headers): Update :version.

	* gnus-score.el (gnus-adaptive-pretty-print): Ditto.

	* smime.el (smime-ldap-host-list): Add :version.

2005-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-srvr.el (gnus-browse-select-group): Add NUMBER argument and
	pass it to `gnus-browse-read-group'.
	(gnus-browse-read-group): Add NUMBER argument and pass it to
	`gnus-group-read-ephemeral-group'.

	* gnus-group.el (gnus-group-read-ephemeral-group): Add NUMBER
	argument and pass it to `gnus-group-read-group'.

2005-03-19  Aidan Kehoe  <kehoea@parhasard.net>

	* mm-util.el (mm-xemacs-find-mime-charset): Only call
	mm-xemacs-find-mime-charset-1 if we have the mule feature
	available at runtime.

2005-03-25  Werner Lemberg  <wl@gnu.org>

	* nnmaildir.el: Replace `illegal' with `invalid'.

2005-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-start.el (gnus-display-time-event-handler):
	Check display-time-timer at runtime rather than only at load time
	in case display-time-mode is turned off in the mean time.

2005-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnimap.el (nnimap-open-connection): Print which authinfo file is
	used.

	* nneething.el (nneething-map-file-directory): Derive from
	`gnus-directory'.

	* gnus-art.el (gnus-header-button-alist): Use `gnus-msg-mail' for
	the To/Cc button.

2005-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmaildir.el (nnmaildir-request-accept-article):
	Use `nnheader-cancel-timer' for compatibility with current XEmacs.

2005-03-13  Andrey Slusar  <anrays@gmail.com>  (tiny change)

	* gnus-async.el: Require timer-funcs at compile time when in
	XEmacs for `run-with-idle-timer'.

2005-03-13  Andrey Slusar  <anrays@gmail.com>  (tiny change)

	* gnus.el: Don't try and mark `gnus-agent-save-groups' as an
	autoloaded function.

2005-03-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-retrieve-headers-from-server): Fix last change.

2005-03-10  Arne J,Ax(Brgensen  <arne@arnested.dk>  (tiny change)

	* nnimap.el (nnimap-retrieve-headers-from-server): Fix off-by-one flaw.

2005-03-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news): Add
	gnus-expert-user to default.

2005-03-08  Juergen Kreileder  <jk@blackdown.de>  (tiny change)

	* nnimap.el (nnimap-open-server): Ditto.

	* imap.el (imap-authenticate): Fix typo.

2005-03-08  Bjorn Solberg  <bjorn_ding@hekneby.org>  (tiny change)

	* nnimap.el (nnimap-retrieve-headers-from-server): Sort NOV
	buffer (since IMAP server might return FETCH response out of
	order, and the nntp buffer must be sorted).

2005-03-06  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-start.el (gnus-convert-old-newsrc): Fixed numeric
	comparison on string.

	* gnus-agent.el (gnus-agent-long-article,
	gnus-agent-short-article, gnus-agent-score): Renamed category
	keywords to match gnus-cus.
	(gnus-agent-summary-fetch-series): Modified to protect against
	gnus-agent-summary-fetch-group clearing processable flags.
	(gnus-agent-synchronize-group-flags): Update live group buffer as
	synchronization may occur due to the user toggle the plugged
	status.
	(gnus-agent-fetch-group-1): Clear downloadable flag when article
	successfully downloaded.
	(gnus-agent-expire-group-1): Avoid using markers when the overview
	is in ascending order; greatly improves performance.
	(gnus-agent-regenerate-group): Use
	gnus-agent-synchronize-group-flags to reset read status in both
	gnus and server.
	(gnus-agent-update-files-total-fetched-for): Fixed initial size.

2005-03-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Don't autoload former message-utils variables.
	(message-strip-subject-trailing-was): Change doc string.

	* nnweb.el: Fixes for `gnus-group-make-web-group'.
	(nnweb-type-definition): Don't add "hl=en" in `address'.  Add `base'.
	(nnweb-google-search): Add "hl=en" here.
	(nnweb-google-parse-1, nnweb-google-create-mapping):
	Don't hardcode URL.

2005-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-get-reply-headers, message-followup):
	Mention related variables `message-use-followup-to' and
	`message-use-mail-followup-to', in the information buffer.

	* nnweb.el (nnweb-type-definition): Use groups.google.de instead
	of broken groups(-beta).google.com.

2005-03-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-move-article): Pass move-is-internal
	parameter to invoked gnus-request-move-article; remove the
	redundant gnus-sum-hint-move-is-internal variable; apply the marks
	all at once instead of once per article.
	(gnus-summary-remove-process-mark): Accept a list of articles as
	well as a single article for processing.

	* gnus-int.el (gnus-request-move-article): Add move-is-internal
	parameter.

	* nnml.el (nnml-request-move-article): Add move-is-internal parameter.

	* nnmh.el (nnmh-request-move-article): Add move-is-internal parameter.

	* nnmbox.el (nnmbox-request-move-article): Add move-is-internal
	parameter.

	* nnmaildir.el (nnmaildir-request-move-article): Add move-is-internal
	parameter.

	* nnimap.el (nnimap-request-move-article): Add move-is-internal
	parameter and remove the gnus-sum-hint-move-is-internal variable.

	* nnfolder.el (nnfolder-request-move-article): Add move-is-internal
	parameter.

	* nndraft.el (nndraft-request-move-article): Add move-is-internal
	parameter.

	* nndiary.el (nndiary-request-move-article): Add move-is-internal
	parameter.

	* nndb.el (nndb-request-move-article): Add move-is-internal parameter.

	* nnbabyl.el (nnbabyl-request-move-article): Add move-is-internal
	parameter.

	* nnagent.el (nnagent-request-move-article): Add move-is-internal
	parameter.

2005-03-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Undo last change and fix it in
	a more conservative way.

2005-02-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Move point after displaying the
	buffer, so it moves the window's cursor.

2005-02-26  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* mm-decode.el (mm-dissect-buffer): Pass the from field on to
	`mm-dissect-multipart' and receive the from field as an (optional)
	argument from `mm-dissect-multipart'.
	(mm-dissect-multipart): Receive the from field as an argument and
	pass it on when we call `mm-dissect-buffer' on MIME parts.
	Fixes verification/decryption of signed/encrypted MIME parts.

2005-02-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-move-article): Set
	gnus-sum-hint-move-is-internal for gnus-request-move-article and
	whatever it calls (right now, only nnimap-request-move article
	respects it).

	* nnimap.el (nnimap-request-move-article): When
	gnus-sum-hint-move-is-internal is set, don't do the extra
	nnimap-request-article.

2005-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnheader.el (nnheader-find-file-noselect): Add doc string.

	* nnfolder.el (nnfolder-read-folder): Use RAWFILE for
	`nnheader-find-file-noselect' to avoid `large-file-warning-threshold'.

	* gnus-sum.el (gnus-summary-caesar-message):
	Apply `gnus-treat-article' after rotation.

	* gnus-group.el (gnus-group-clear-data): Mention process/prefix in
	doc string.

2005-02-22  Simon Josefsson  <jas@extundo.com>

	* encrypt.el (encrypt-password-cache-expiry): Remove (use
	`password-cache-expiry' instead).  Reported by Arne J,Ax(Brgensen
	<arne@arnested.dk>.
	(encrypt): Add password-cache and password-cache-expiry as group
	members.

2005-02-22  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime.el (smime-ldap-host-list): Doc fix.
	(smime-ask-passphrase): Use `password-read-and-add' to read (and
	cache) password.
	(smime-sign-region): Use it.
	(smime-decrypt-region): Use it.
	(smime-sign-buffer): Signal an error if `smime-sign-region' fails.
	(smime-encrypt-buffer): Signal an error if `smime-encrypt-region'
	fails.
	(smime-cert-by-ldap-1): Use `base64-encode-string' to convert
	certificate from DER to PEM format rather than calling openssl.

	* mml-smime.el (mml-smime-encrypt-query): Remove obsolete comment.

	* mml-sec.el (mml-secure-message): Insert keyfile/certfile tags
	for signing/encryption.

	* mml.el (mml-parse-1): Use them.

2005-02-21  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* nnrss.el (nnrss-verbose): Removed.
	(nnrss-request-group): Use `nnheader-message' instead.

2005-02-19  Mark Plaksin  <happy@usg.edu>  (tiny change)

	* nnrss.el (nnrss-verbose): New variable.
	(nnrss-request-group): Make it say nnrss is requesting a group.

2005-02-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-parse-news-url, gnus-button-handle-news):
	Handle news URL with given port correctly.

2005-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-copy-article-buffer): Quote decoded words
	containing special characters.

	* gnus-sum.el (gnus-summary-edit-article): Ditto.

	* mml.el (mime-to-mml): Ditto.

	* rfc2047.el (rfc2047-encode-parameter): Use ietf-drums-tspecials.
	(rfc2047-quote-decoded-words-containing-tspecials): New variable.
	(rfc2047-decode-region): Quote decoded words containing special
	characters when rfc2047-quote-decoded-words-containing-tspecials
	is non-nil.

2005-02-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-delete-group): Add minor bug fix.

	* gnus.el (gnus-install-group-spam-parameters): Add minor doc fix.

2005-02-15  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-debug): Doc fix.

	* imap.el (imap-debug): Doc fix.

2005-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el: Avoid "Recursive load suspected" error in Emacs 21.1.

2005-02-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (spam-contents): Improve docs for spam-contents
	parameter in its variable incarnation.

2005-02-14  Simon Josefsson  <jas@extundo.com>

	* smime-ldap.el: Use require instead of load-library for ldap.
	(smime-ldap-search): Indent.
	(smime-ldap-search-internal): Shorten line.

	* smime.el (smime-cert-by-dns): Add doc-string.
	(smime-cert-by-ldap-1): Indent.

	* mml-smime.el (mml-smime-get-ldap-cert): Renamed from
	mml-smime-get-dns-ldap.
	(mml-smime-encrypt-query): Use new function.  Default to ldap.

2005-02-14  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime.el: Require smime-ldap.
	(smime-ldap-host-list): New variable.
	(smime-cert-by-ldap, smime-cert-by-ldap-1): New functions.

	* mml-smime.el (mml-smime-encrypt-query): New function.
	(mml-smime-encrypt-query): Use it.

	* smime-ldap.el: New file.

2005-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el: Remove garbage made while merging the Emacs trunk.

2005-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-doc-group): Mention prefix
	argument in doc string.  Make query for type more clear.

2005-02-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-group-startup-message): Search for gnus images in
	etc/images/gnus.
	* mm-util.el (mm-image-load-path): Likewise.
	* smiley.el (smiley-data-directory): Search for smilies in
	etc/images/smilies.

2005-02-09  Kim F. Storm  <storm@cua.dk>

	Change Emacs release version from 21.4 to 22.1 throughout.
	Change Emacs development version from 21.3.50 to 22.0.50.

2005-02-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-copy-part): Don't decode compressed parts.

	* mm-util.el (mm-coding-system-to-mime-charset): Make it work with
	non-Mule XEmacs as well.
	(mm-decompress-buffer): Signal an error intentionally if it does
	not decompress compressed data because auto-compression-mode is
	disabled.

2005-02-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-delete-group): Fix bug: leaves
	an ID in the registry even if it has no groups.

2005-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-jka-compr-maybe-uncompress): Remove;
	merge it into mm-decompress-buffer.
	(gnus-mime-copy-part): Use the MIME part charset, the value which
	a user specified or gnus-newsgroup-charset for decoding, like
	gnus-mime-inline-part does; set buffer-file-coding-system to tell
	save-buffer what was used.  Suggested by Kevin Ryde
	<user42@zip.com.au>.
	(gnus-mime-inline-part): Allow the name parameter as well as the
	filename parameter; force decompressing of compressed data; always
	display contents being not decoded as unibyte.

	* mm-view.el (mm-display-inline-fontify): Allow the name parameter
	as well as the filename parameter.

	* mm-util.el (mm-decompress-buffer): Merge
	gnus-mime-jka-compr-maybe-uncompress.
	(mm-find-buffer-file-coding-system): Doc fix; force decompressing
	of compressed data.

2005-02-08  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-log): Doc fix.

2005-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Decode parts according to
	the coding cookies; decompress compressed parts.

	* mml.el (mml-generate-mime-1): Add the charaset parameter according
	to the value which a user specified manually or the coding cookie.

	* mm-util.el (mm-string-to-multibyte): New function.
	(mm-detect-mime-charset-region): Work with Emacs 22 as well.
	(mm-coding-system-to-mime-charset): New function.
	(mm-decompress-buffer): New function.
	(mm-find-buffer-file-coding-system): New function.

	* mm-view.el (mm-insert-inline): Make sure a part ends with a newline.
	(mm-display-inline-fontify): Rewrite for decoding and decompressing
	parts.

2005-02-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mm-view.el (mm-display-inline-fontify): Decode a part according
	to the charset parameter.

2005-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Show the raw contents if a
	prefix arg is neither nil nor a number, as info specifies.

2005-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-marks-changed-p): Use time-less-p to compare the
	timestamps.

2005-02-02  Jari Aalto  <jari.aalto@cante.net>

	* gnus-sum.el (gnus-list-of-unread-articles): Improve active
	groups error checking and notify user.

2005-02-02  Jari Aalto  <jari.aalto@poboxes.com>

	* message.el (message-send-mail-function): Check existence of
	sendmail-program first before using default value
	`message-send-mail-with-sendmail'.  Otherwise use more generic
	`smtpmail-send-it'.

2005-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-request-update-info): Always return nil.

2005-01-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-article-mode): Turn off the "\ " non-break space.

2005-01-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-beginning-of-line): Change the behavior when
	invoked between BOL and : so that it first moves backward.

2005-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Kill and re-create the
	article buffer when editing of the article is discarded.
	(gnus-article-prepare): Revert.

2005-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-prepare):
	Remove message-strip-forbidden-properties from the local hook.

2005-01-27  Simon Josefsson  <jas@extundo.com>

	* password.el (password-cache-add): Only start one timer per key.
	Reported by Derek Atkins <warlord@MIT.EDU>.

2005-01-26  Steve Youngs  <steve@sxemacs.org>

	* run-at-time.el: Removed.  It is no longer needed as
	timer-funcs.el in the xemacs-base package has a working version of
	`run-at-time'.

	* password.el: Require timer-funcs instead of run-at-time in
	XEmacs.
	Remove `password-run-at-time' macro.
	(password-cache-add): Use `run-at-time' instead of
	`password-run-at-time'.

	* mail-source.el: Require timer-funcs instead of itimer in XEmacs
	for `run-with-idle-timer'.

	* gnus-demon.el: Require timer-funcs instead of itimer in XEmacs
	for `run-at-time'.

	* mm-url.el: Require timer-funcs at compile time when in XEmacs
	for `with-timeout'.

2005-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Convert string into unibyte when
	inserting " *mml*" buffer's contents into a unibyte temp buffer.

2005-01-24  Harald Meland  <harald.meland@usit.uio.no>  (tiny change)

	* mail-source.el (mail-source-fetch-imap): Search for ^From case
	sensitively.

2005-01-21  Derek Atkins  <warlord@MIT.EDU>  (tiny change)

	* pgg-pgp.el (pgg-pgp-decrypt-region): Use passphrase cache.

2005-01-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-insert-part): Switch the multibyteness of data
	which will be inserted according to the multibyteness of a buffer
	rather than the type of contents.  Suggested by ARISAWA Akihiro
	<ari@mbf.ocn.ne.jp>.

	* nnrss.el (nnrss-find-el): Check carefully whether there's a list
	of string which old xml.el may return rather than a string.

2005-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-idna-message): Silence byte compiler.

2005-01-16  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-idna-message): Fail gracefully if
	idn/idna.el isn't available.
	(gnus-summary-idna-message): Doc fix.  Suggested by Michael Cook
	<michael@waxrat.com>.

	* hashcash.el: Remove non-FSF copyright header.

	* hashcash.el (hashcash-extra-generate-parameters): New variable.
	(hashcash-generate-payment): Use it.
	(hashcash-generate-payment-async): Use it.

2005-01-15  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs): Decode Reply-To too.
	Suggested by Raymond Scholz <ray-2005@zonix.de>.

	* gnus-sum.el (gnus-summary-wash-map): Bind "W i" to
	gnus-summary-idna-message.
	(gnus-summary-make-menu-bar): Add De-IDNA menu entry.
	(gnus-summary-idna-message): New function.

2005-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news): Change default to
	gnus-novice-user.

2005-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-delete-group): Delete entries in
	nnrss-group-alist as well.
	(nnrss-save-server-data): Insert newline.

2005-01-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-user-agent): Use list of symbols instead of
	symbols.  Display full version number for (S)XEmacs.  Optionally
	display (S)XEmacs codename.

	* gnus-util.el (gnus-emacs-version): Update for new
	`gnus-user-agent'.

	* gnus-msg.el (gnus-extended-version): Make it possible to omit
	Gnus version.

2005-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-face): New face.  Don't use `gnus-splash-face'
	which is unreadable in some setups.

2005-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-spec.el (gnus-update-format-specifications): Flush the
	group format spec cache if it doesn't support decoded group names.

2005-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-decay-scores, gnus-score-load-file): Allow
	to apply decay on score files matching a regexp.

2004-12-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-line-format-alist): Keep the forward
	compatibility in %g and %c.

2004-12-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-line-format-alist): Use decoded group
	name for only %g and %c.
	(gnus-group-insert-group-line): Bind gnus-tmp-decoded-group instead
	of gnus-tmp-group to decoded group name.
	(gnus-group-make-rss-group): Exclude `/'s from group names.

2004-12-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-get-encoding): Fix regexp.

2004-12-27  Simon Josefsson  <jas@extundo.com>

	* mm-bodies.el (mm-body-encoding): Don't permit 7-bit to be used when
	mm-use-ultra-safe-encoding is enabled (e.g., for PGP/MIME) and we have
	trailing white space.  Reported by Werner Koch <wk@gnupg.org>.

2004-12-17  Kim F. Storm  <storm@cua.dk>

	* gnus-group.el (gnus-group-mode-map): Map follow-link to mouse-face.

	* gnus-sum.el (gnus-summary-mode-map): Likewise.

2004-12-26  Tsuyoshi AKIHO  <akiho@kawachi.zaq.ne.jp>

	* gnus-sum.el (gnus-summary-walk-group-buffer): Decode group name.

2004-12-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el: Require rfc2047 and mml.
	(nnrss-file-coding-system): New variable.
	(nnrss-format-string): Redefine it as an inline function.
	(nnrss-decode-group-name): New function.
	(nnrss-string-as-multibyte): Remove.
	(nnrss-retrieve-headers): Decode group name; don't use
	nnrss-format-string.
	(nnrss-request-group): Decode group name.
	(nnrss-request-article): Decode group name; allow a Message-ID as
	well as an article number; don't use nnrss-format-string; encode a
	Message-ID string which may contain non-ASCII characters; use
	mml-to-mime to compose a MIME article.
	(nnrss-request-expire-articles): Decode group name.
	(nnrss-request-delete-group): Decode group name.
	(nnrss-fetch): Clarify error message.
	(nnrss-read-server-data): Use insert-file-contents instead of load;
	bind file-name-coding-system; use multibyte buffer.
	(nnrss-save-server-data): Bind coding-system-for-write to the
	value of nnrss-file-coding-system; bind file-name-coding-system;
	add coding cookie.
	(nnrss-read-group-data): Use insert-file-contents instead of load;
	bind file-name-coding-system; use multibyte buffer.
	(nnrss-save-group-data): Bind coding-system-for-write to the
	value of nnrss-file-coding-system; bind file-name-coding-system.
	(nnrss-decode-entities-string): Rename from n-d-e-unibyte-string;
	make it work with non-ASCII text.
	(nnrss-find-el): Make it work with old xml.el as well.

2004-12-26  Tsuyoshi AKIHO  <akiho@kawachi.zaq.ne.jp>

	* nnrss.el (nnrss-get-encoding): New function.
	(nnrss-fetch): Use unibyte buffer initially; bind
	coding-system-for-read while performing mm-url-insert; remove ^Ms;
	decode contents according to the encoding attribute.
	(nnrss-save-group-data): Add coding cookie.
	(nnrss-mime-encode-string): New function.
	(nnrss-check-group): Use it to encode subject and author.

2004-12-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): Don't get the symbol-value of an
	imaginary variable.

2004-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-spec.el (gnus-spec-tab): Make a Lisp form which works
	correctly even if there are wide characters.

2004-12-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): Fix the BBDB caching code to use
	downcased symbol names; make a new cache instead of reusing
	bbdb-hashtable.

2004-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Decode encoded value after
	concatenating segments rather than before concatenating them.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

	* message.el (message-get-reply-headers): Bind `extra'.

2004-12-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-extra-wide-headers): New variable.
	(message-get-reply-headers): Use it.

2004-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-group-path): Decode group name.
	(gnus-agent-group-pathname): Ditto.

	* gnus-cache.el (gnus-cache-file-name): Decode group name.

	* gnus-group.el (gnus-group-make-group): Decode group name.
	(gnus-group-make-rss-group): Register the group data after opening
	the nnrss group.

2004-12-17  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-expire-articles): Articles moved
	by expiry now get marked as read.

2004-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-xemacs-find-mime-charset): New macro.

2004-12-17  Aidan Kehoe  <kehoea@parhasard.net>

	* mm-util.el (mm-xemacs-find-mime-charset-1): New function used to
	unify Latin characters in XEmacs.
	(mm-find-mime-charset-region): Use it.

2004-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-delete-directory): New function.

	* gnus-agent.el (gnus-agent-delete-group): Use it.

	* gnus-cache.el (gnus-cache-delete-group): Use it.

2004-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-rss-group): Unify non-ASCII group
	names.

2004-12-16  Simon Josefsson  <jas@extundo.com>

	* hashcash.el (hashcash-payment-alist): Fix custom :type.

2004-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-url.el (mm-url-predefined-programs): Add --silent arg to curl.

	* gnus-group.el (gnus-group-expire-articles-1): Decode group name.
	(gnus-group-set-current-level): Decode group name.

2004-12-15  Maciek Pasternacki  <maciekp@japhy.fnord.org>  (tiny change)

	* nnrss.el (nnrss-fetch): Signal an error if w3-parse-buffer also
	failed.

2004-12-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-delete-group): Decode group name.
	(gnus-group-make-rss-group): Encode group name.
	(gnus-group-catchup-current): Decode group name.
	(gnus-group-kill-group): Decode group name.

2004-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-narrow-to-page): Don't hardcode point-min.

2004-12-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-rss-group):
	Use gnus-group-make-group instead of gnus-group-unsubscribe-group.

	* gnus-start.el (gnus-setup-news): Honor user's setting to
	gnus-message-archive-method.  Suggested by Lute Kamstra
	<lute@gnu.org>.

2004-12-10  Arnaud Giersch  <arnaud.giersch@free.fr>  (tiny change)

	* gnus-sum.el (gnus-summary-exit-no-update): Don't clear the
	global counterparts of the buffer-local variables.

2004-11-16  Romain Francoise  <romain@orebokech.com>

	* gnus-sum.el (gnus-summary-exit): Don't clear the global
	counterparts of the buffer-local variables.

2004-11-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-forbidden-properties): Fixed typo in doc
	string.

2004-11-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-replace-in-string): Added doc string.

	* nnmail.el (nnmail-split-header-length-limit): Increase to 2048
	to avoid problems when splitting mails with many recipients.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Remove redundant and harmful
	pop-to-buffer, covered by the subsequent gnus-configure-windows.

2004-12-05  Nelson Ferreira  <nelson.ferreira@ieee.org>

	* spam-stat.el (spam-stat-save): Load the hashtable from disk only
	if there is no hashtable in memory or file modification time is
	newer than cached timestamp.

2004-12-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-limit-to-recipient): Implement
	not-matching option.

2004-12-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-limit-to-recipient): New function.
	Suggested David Mazieres in analogy to rmail-summary-by-recipients.
	(gnus-summary-limit-map, gnus-summary-make-menu-bar): Add it.
	(gnus-article-sort-by-recipient, gnus-summary-sort-by-recipient):
	New functions.  Suggested by Uwe Brauer <oub@mat.ucm.es>.
	(gnus-summary-mode-map, gnus-summary-make-menu-bar): Add it.

2004-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-make-body-mml): Remove headers
	according to message-forward-ignored-headers if a message is decoded.

2004-12-02  Romain Francoise  <romain@orebokech.com>

	* message.el (message-forward-make-body-plain): Always remove
	headers according to message-forward-ignored-headers.

2004-12-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-summary-prepare-exit): Remove the
	gnus-summary-limit pop for now, it has problems with ham marks for
	me.

2004-11-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-summary-prepare-exit): Use gnus-summary-limit
	correctly.

2004-11-28  Carl Henrik Lunde  <chlunde+bugs+@ping.uio.no>  (tiny change)

	* format-spec.el (format-spec): Message the char.

2004-11-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-art.el (gnus-split-methods): Reformat comments.

	* spam.el (spam-summary-prepare-exit): Remove article limits
	before exiting the summary buffer.

2004-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-string-as-multibyte): Redefine it as a macro in
	order to silence the byte compiler.

	* spam.el: Fix the way to silence the byte compiler, which
	complained about bbdb-buffer, bbdb-create-internal, bbdb-records,
	bbdb-search-simple, spam-BBDB-register-routine,
	spam-enter-ham-BBDB, spam-stat-buffer-change-to-non-spam,
	spam-stat-buffer-change-to-spam, spam-stat-buffer-is-non-spam,
	spam-stat-buffer-is-spam, spam-stat-load,
	spam-stat-register-ham-routine, spam-stat-register-spam-routine,
	spam-stat-save and spam-stat-split-fancy.

2004-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-password): Remove `:size 0' or `:size 1'
	which may confuse users.
	(canlock-password-for-verify): Ditto.

	* deuglify.el (gnus-outlook-deuglify-unwrap-stop-chars): Ditto.

	* gnus-art.el (gnus-emphasis-alist): Ditto.

	* gnus-registry.el (gnus-registry-max-entries): Ditto.

	* gnus-score.el (gnus-adaptive-word-length-limit): Ditto.

	* gnus-start.el (gnus-save-killed-list): Ditto.

	* gnus-sum.el (gnus-thread-hide-subtree): Ditto.
	(gnus-sum-thread-tree-root): Ditto.
	(gnus-sum-thread-tree-false-root): Ditto.
	(gnus-sum-thread-tree-single-indent): Ditto.

	* message.el (message-courtesy-message): Ditto.
	(message-archive-note): Ditto.
	(message-subscribed-address-file): Ditto.
	(message-user-fqdn): Ditto.

	* spam-report.el (spam-report-gmane-regex): Ditto.

	* spam.el (spam-blackhole-good-server-regex): Ditto.

2004-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Widen the message buffer before copying
	the contents to the preview buffer; sort headers before previewing.

	* message.el (message-hidden-headers): Fix the way to avoid a bug
	in the `repeat' widget in Emacs 21.3 or earlier.

2004-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-hidden-headers): Default to "^References:".
	Improve customization type.  Suggested by Reiner Steib
	<Reiner.Steib@gmx.de>.

2004-11-25  Romain Francoise  <romain@orebokech.com>

	* message.el (message-strip-forbidden-properties): Remove check for
	obsolete `message-hidden' text property, hidden headers are not
	accessible in the buffer anymore.

2004-11-22  Romain Francoise  <romain@orebokech.com>

	* message.el (message-header-format-alist): Add `From' in list
	so that it can be sorted.
	(message-fix-before-sending): Widen and sort headers before
	sending.
	(message-hide-headers): Use narrowing to hide headers by moving
	them to the top of the buffer and narrowing to the region
	underneath.

2004-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-strip-forbidden-properties): Bind
	buffer-read-only (etc) to nil.

2004-11-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-header-encoding-alist): Add In-Reply-To to
	address-mime.  Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2004-11-22  Marek Martin  <marek.martin@mum.pri.ee>  (tiny change)

	* nnfolder.el (nnfolder-request-create-group): Save current buffer.

2004-11-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Use sit-for to time instead of
	accept-process-output, since that doesn't seem to work on udp
	sockets.

2004-11-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encode-region): Encode bogus delimiters.

2004-11-15  Jesper Harder  <harder@ifa.au.dk>

	* pop3.el (pop3-leave-mail-on-server): Don't quote nil in
	doc string.  Improve doc string.

2004-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-request-update-info): Return nil if
	nntp-marks-is-evil is true so that gnus-get-unread-articles-in-group
	may not call gnus-activate-group which uselessly issues the GROUP
	commands for all nntp groups and wastes time.  Reported by Romain
	Francoise <romain@orebokech.com>.

	* gnus-start.el (gnus-get-unread-articles): Remove redundant test.

2004-11-15  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-header-button-alist): Handle URLs in OpenPGP:
	headers separately.
	(gnus-button-openpgp): New function, inspired by Jochen K,A|(Bpper
